2015-04-07  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib
	* lib/stddef.in.h: Update from gnulib, incorporating:
	2015-04-02 stddef: port to pre-C11 GCC on x86

2015-04-03  Paul Eggert  <eggert@cs.ucla.edu>

	Port 'configure' to clang 3.5
	* configure.ac: Add -Wno-unknown-attributes if clang;
	otherwise clang 3.5.0 (Fedora 21 x86-64) complains
	"/usr/include/glib-2.0/glib/gmem.h: ... warning: unknown attribute
	'__alloc_size__' ignored".  Use -Werror when checking for -nopie;
	otherwise clang warns about -nopie instead of failing, and then
	later it warns everytime the build uses -nopie.

2015-04-03  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac (LD_SWITCH_SYSTEM_TEMACS): Add -nopie option if it
	is supported, in order to avoid segfaults in temacs.  (Bug#18784)

2015-03-27  Pete Williamson  <petewil@chromium.org>  (tiny change)

	Add NaCl target
	* configure.ac: Add a target for Chromium Native Client (NaCl).

2015-03-29  Eli Zaretskii  <eliz@gnu.org>

	* build-aux/dir_top (File): Fix the description of selecting a
	menu item by its number.  (Bug#20213)

2015-03-29  Paul Eggert  <eggert@cs.ucla.edu>

	Fix 'commit-msg' to cite 'CONTRIBUTE'
	As suggested in:
	https://lists.gnu.org/r/emacs-devel/2015-03/msg00947.html
	Also, have the two files match better.
	* CONTRIBUTE: Match what's in build-aux/git-hooks/commit-msg.
	* build-aux/git-hooks/commit-msg: Mention 'CONTRIBUTE'.

2015-03-23  Andreas Schwab  <schwab@suse.de>

	* configure.ac: Fix jpeg version check to work with gcc >= 5.

2015-03-21  Samer Masterson  <samer@samertm.com>

	* CONTRIBUTE (Test your changes.): New section.
	(Document your changes.): Add doc tips.

2015-03-19  Paul Eggert  <eggert@cs.ucla.edu>

	Better port of pthread usage to FreeBSD
	* configure.ac (ac_func_list): Omit pthread_sigmask, since
	we check for that ourselves rather than relying on gnulib.
	(HAVE_PTHREAD, LIB_PTHREAD): Port better to FreeBSD,
	by also checking for pthread_create, pthread_self, pthread_sigmask.
	Tighten the test for pthread_atfork while we're at it.
	(Bug#20136)

	Merge from gnulib
	This incorporates:
	2015-03-19 fdopendir: port better to MinGW
	2015-03-18 fdopendir: fix typo in comment
	2015-02-24 glob, etc.: port to MSVC v18 on MS-Windows 8.1
	* lib/dirent.in.h, lib/fdopendir.c: Update from gnulib.
	* lib/dirfd.c, m4/dirfd.m4: New files from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2015-03-02  Robert Pluim  <rpluim@gmail.com>  (tiny change)

	* configure.ac: Error out if with-file-notification=w32 is
	specified on Cygwin.  (Bug#19909)

2015-02-27  Paul Eggert  <eggert@cs.ucla.edu>

	Don't require GNU putenv
	* configure.ac: Use system putenv even if it lacks GNU features, as
	we don't need them.  This works around a bug in FreeBSD 10.1 getenv.
	(Bug#19874)

2015-02-25  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib
	* lib/getdtablesize.c, m4/dup2.m4, m4/fcntl.m4:
	Update from gnulib, incorporating:
	2015-02-23 dup2: doc and test for Android bug
	2015-02-23 Replace dup2() on Android
	2015-02-22 Android doesn't define RLIM_SAVED_*

2015-02-21  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib
	* lib/getdtablesize.c, lib/getopt.c, lib/signal.in.h, lib/tempname.c:
	* lib/tempname.h, m4/dup2.m4, m4/fcntl.m4, m4/getdtablesize.m4:
	Update from gnulib, incorporating:
	2015-02-20 getdtablesize: port better for Android
	2015-02-19 fcntl: Fix cross compiling
	2015-02-18 dup2, fcntl: cross-compile better for Android
	2015-02-18 getopt: don't crash on memory exhaustion
	2015-02-17 tempname: allow compilation with C++ (trivial)
	2015-02-17 dup2, fcntl: port to AIX
	2015-02-16 getdtablesize, dup2, fcntl: port to Android
	2015-02-11 getdtablesize, signal_h: Fix Android build
	2015-02-11 maint: various whitespace cleanups in tempname

2015-02-13  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Set locallisppath to empty for NS self contained,
	unless --enable-loadllisppath was given (Bug#19850).

2015-02-09  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (HAVE_LIBXML2): Add missing comma.

2015-02-08  Paul Eggert  <eggert@cs.ucla.edu>

	Port to platforms lacking test -a and -o
	* configure.ac (HAVE_LIBXML2):
	Prefer '&&' and '||' to 'test -a' and 'test -o'.

2015-02-08  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac (--with-gameuser): Default to 'games' group instead
	of 'games' user.

2015-02-04  Paul Eggert  <eggert@cs.ucla.edu>

	* .gitattributes: Ignore blanks at EOL in texinfo.tex.

2015-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib and try to repair bad merge
	This attempts to repair problems introduced by the bad merge
	5491fd1098d27b3ba3db054076b9ab60fb3558dc.  The easiest way for me
	to fix the badly-merged gnulib files was to run
	'admin/merge-gnulib', so I did that, which also imported the
	following changes:
	* build-aux/update-copyright, m4/gnulib.m4:
	Update from gnulib, incorporating:
	2015-01-15 time: port to MinGW32 3.21
	2015-01-15 update-copyright: apply to self
	2015-01-11 update-copyright: recognize groff's \(co marker

2015-01-28  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_W32): Abort with error message if
	--without-toolkit-scroll-bars was specified.  See
	https://lists.gnu.org/r/emacs-devel/2015-01/msg00525.html
	for the details.

2015-01-27  Paul Eggert  <eggert@cs.ucla.edu>

	Port autogen.sh hook creation to private templates
	* autogen.sh: Do not assume that the hook samples exist.
	This ports to developers who override templatedir in their Git
	configuration.  The downside is that patch applications won't be
	checked, but that's better than autogen.sh failing.
	Problem reported by Sam Steingold in:
	https://lists.gnu.org/r/emacs-devel/2015-01/msg00898.html

2015-01-26  Paul Eggert  <eggert@cs.ucla.edu>

	* INSTALL.REPO: Mention minimum Git version.

2015-01-25  Paul Eggert  <eggert@cs.ucla.edu>

	Use gnustep-config if available
	* configure.ac (--with-gnustep): Document this.
	(NS_GNUSTEP_CONFIG): New variable, set if gnustep-config works.
	If gnustep-config works, use 'gnustep-config --objc-flags' and
	'gnustep-config --gui-libs' to compute GNUstep configuration
	variables, instead of attempting to infer them individually.
	(Bug#19507)

2015-01-21  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac (gamegroup): New AC_SUBST.
	(--with-gameuser): Allow to specify a group instead of a user.
	In the default case, check at configure time if a 'games' user
	exists.

2015-01-16  Paul Eggert  <eggert@cs.ucla.edu>

	Give up on -Wsuggest-attribute=const
	The attribute doesn't help performance significantly, and the
	warning seems to be more trouble than it's worth.  See the thread at:
	https://lists.gnu.org/r/emacs-devel/2015-01/msg00361.html
	* configure.ac (WERROR_CFLAGS): Don't use -Wsuggest-attribute=const.

2015-01-11  Paul Eggert  <eggert@cs.ucla.edu>

	Default to 'configure --enable-silent-rules'
	This greatly shortens the 'make' output, making it more readable
	and useful.  For example, on my platform it shortens a
	4125-character line "gcc -std=gnu99 -c -Demacs -I. -I. -I../lib
	... emacs.c" -- a line so long that it's hard to see what's going
	on or where the diagnostics are -- to just "CC emacs.o".
	* INSTALL: Document this.
	* configure.ac: Add AM_SILENT_RULES([yes]).
	(AM_DEFAULT_VERBOSITY): Remove now-unnecessary initialization.
	(Bug#19501)

2015-01-06  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib
	* lib/stdio.in.h, m4/stdio_h.m4: Update from gnulib, incorporating:
	2015-01-05 stdio: fix use of PRIdMAX on modern mingw

2015-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	* INSTALL: Mention 'make WERROR_CFLAGS='.

	Clarify 'make info'
	* Makefile.in (info): Use GNU make conditional rather than
	an '@' rule with a shell conditional, so that the builder can
	see the submake.

	Less 'make' chatter for VCSWITNESS
	* Makefile.in (dirstate, VCSWITNESS): New macros.
	(src): Use them to lessen 'make' chatter.

2015-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2015-01-01 version-etc: new year

	* .gitattributes: New file.

	* autogen.sh: Port better to non-GNU 'cp'.  Reported by Han Boetes.

2014-12-31  Paul Eggert  <eggert@cs.ucla.edu>

	Less 'make' chatter at top level
	* Makefile.in (AM_DEFAULT_VERBOSITY, AM_V_GEN, am__v_GEN_)
	(am__v_GEN_0, am__v_GEN_1, AM_V_at, am__v_at_, am__v_at_0)
	(am__v_at_1): New macros, copied from src/Makefile.in.
	($(srcdir)/src/config.in, ${srcdir}/info/dir):
	Be less chatty when not verbose.
	($(srcdir)/src/stamp-h.in): Simplify with '$@'.

2014-12-28  Paul Eggert  <eggert@cs.ucla.edu>

	* build-aux/git-hooks/commit-msg: Allow tabs.
	Treat them as if they were expanded to spaces, with tab stops
	every 8 columns.

2014-12-27  Paul Eggert  <eggert@cs.ucla.edu>

	* .gitignore: Ignore /conftest*.

2014-12-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* build-aux/git-hooks/commit-msg (at_sign): Bump up line-length limit
	to 78.

2014-12-25  Paul Eggert  <eggert@cs.ucla.edu>

	Prefer stpcpy to strcat.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/stpcpy.c, m4/stpcpy.m4: New files, from gnulib.

2014-12-24  Stephen Leake  <stephen_leake@stephe-leake.org>

	* CONTRIBUTE: Move user-level information to doc/emacs/trouble.texi.
	Add Savannah url, cleanup announcing freeze.
	(commit messages): New, gathered from comments on emacs-devel.
	(Changelog notes): Add reference to GNU coding standards section 5.2;
	doc 'present tense', bug fix format.
	(branches): Freeze announcements are made on info-gnu-emacs mailing
	list.
	(git vs rename): New.

2014-12-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	2014-12-20 utimens: remove unnecessary assert
	2014-12-16 stdalign: port better to HP compilers
	2014-12-16 stdalign: work around Apple GCC 4.0 bug
	* lib/stdalign.in.h, lib/utimens.c, m4/stdalign.m4: Update from gnulib.

2014-12-14  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more lib-src/grep-changelog.

	* INSTALL.REPO: Revert 2014-12-06 change.

2014-12-13  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/gnulib.mk: Regenerate.

2014-12-13  Paul Eggert  <eggert@cs.ucla.edu>

	* .gitignore: Add lib/std*.h, to ignore stdarg.h, stdbool.h, and
	stddef.h.  Remove subsumed entries.
	Add !lib/std*.in.h, so as to not ignore the .in.h files.

2014-12-13  Paul Eggert  <eggert@cs.ucla.edu>

	Port commit-msg to mawk.  Reported by Ted Zlatanov in:
	https://lists.gnu.org/r/emacs-devel/2014-12/msg01093.html
	* build-aux/git-hooks/commit-msg (space, non_space, non_print):
	New vars.  Use them as approximations to POSIX bracket expressions,
	on implementations like mawk that do not support POSIX regexps.

	Improve commit-msg messages and autosquash.
	Reported by Michal Nazarewicz in Bug#19337.
	* build-aux/git-hooks/commit-msg: Add "commit message" to
	diagnostics.  Distinguish better between tabs and other
	unprintable chars in diagnostics.  Don't complain if a prefix
	"fixup! " or "squash! " makes a summary line too long.

2014-12-13  Paul Eggert  <eggert@cs.ucla.edu>

	Port commit-message checking to FreeBSD 9.
	Reported by Jan Djärv in:
	https://lists.gnu.org/r/emacs-devel/2014-12/msg00704.html
	along with some other issues I noticed while testing with FreeBSD.
	* build-aux/git-hooks/commit-msg: Prefer gawk if available.
	Prefer en_US.UTF-8 to en_US.utf8, as it's more portable.
	Work around bug in FreeBSD 9 awk, where /[[:cntrl:]]/ matches
	ordinary text characters.
	Be less tricky about quoting "'" in a shell script.

2014-12-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .gitignore: Ignore autosave files.

2014-12-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	2014-12-12 stddef: support C11's max_align_t
	2014-12-11 unistd: fix iOS check conditional
	2014-12-08 apply _GL_ATTRIBUTE_PURE to some inline functions
	2014-12-02 support GNU format printf and scanf on mingw
	* lib/stat-time.h, lib/stddef.in.h, lib/timespec.h:
	* m4/extensions.m4, m4/stddef_h.m4, m4/stdio_h.m4: Update from gnulib.
	* lib/gnulib.mk: Regenerate.

2014-12-06  Stephen Leake  <stephen_leake@stephe-leake.org>

	* CONTRIBUTE: Improve; add explicit web references, move some info
	from admin/notes/* here.

	* INSTALL.REPO: You can't "just run make" after a clean checkout.

2014-12-05  Stephen Leake  <stephen_leake@stephe-leake.org>

	* CONTRIBUTE: Move here from etc/, preparatory to further
	changes/cleanup.

2014-12-05  Paul Eggert  <eggert@cs.ucla.edu>

	* .gitignore: Remove redundant pattern (subsumed by _*).
	Avoid "**", as it requires Git 1.8.2 or later.

2014-12-05  Eli Zaretskii  <eliz@gnu.org>

	* .gitignore: Ignore test/biditest.txt.

2014-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* .gitignore: Ignore loaddefs directly under lisp, and in
	sub-sub-directories.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	Add more of the old .bzrignore to .gitignore.
	Plus a few more .gitignore improvements.
	* .gitignore: Add copyright notice, since it's big enough.
	Put exceptions immediately after the patterns they're exceptions
	to, to make them easier to follow.
	Give four exceptions for the Makefile pattern.
	Ignore /confdefs.h, test/indent/*.new, TAGS, GPATH, GSYMS, GRTAGS,
	GTAGS, ID, *.exe, some nextstep-related files,
	jisx2131-filter, *.orig, *.rej, etc/emacs.tmpdesktop, *.in-h
	_* (except for build-aux/snippet/_Noreturn.h), /bin/, /BIN/,
	/data/, etc/icons/, lib/cxxdefs.h, lib/SYS/, /libexec/, /lock/,
	/README.W32, /share/, /site-lisp/, src/gdb.ini, /var/.
	Ignore /configure.lineno, since POSIX requires
	LINENO only with the User Portability Utilities option.
	Ignore *cust-load.el and *loaddefs.el only under lisp.
	Ignore core files of various flavors.
	Do not ignore etc/refcards/gnus-logo.pdf.

2014-11-29  Eli Zaretskii  <eliz@gnu.org>

	* .gitignore: Add back src/_gdbinit, which is a temporary file
	created by the MS-DOS build.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	Add a.out to .gitignore.
	Suggested by Lee Duhem in:
	https://lists.gnu.org/r/emacs-devel/2014-11/msg01665.html
	* .gitignore: Add a.out.
	Move *.log next to *.tmp, since it's generic.
	Put *.exe before non-generics.

2014-11-29  Eli Zaretskii  <eliz@gnu.org>

	* .gitignore: Resurrect Windows-specific ignorables lost in last
	changes.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	* .gitignore: Add /emacs-[1-9]*/, and sort better.

2014-11-29  Ivan Andrus  <darthandrus@gmail.com>

	* .gitignore: Add some nextstep/mac ignorables.

2014-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	.gitignore cleanup.
	* .gitignore: Merge contents of subsidiary files and organize the
	result so as to avoid duplication.  Remove no-longer needed entries.
	* admin/charsets/.gitignore, admin/unidata/.gitignore:
	* doc/lispintro/.gitignore, etc/.gitignore, leim/.gitignore:
	* leim/ja-dic/.gitignore, lib-src/.gitignore, lisp/.gitignore:
	* lisp/calc/.gitignore, lisp/calendar/.gitignore:
	* lisp/cedet/.gitignore, lisp/emulation/.gitignore:
	* lisp/erc/.gitignore, lisp/eshell/.gitignore, lisp/gnus/.gitignore:
	* lisp/international/.gitignore, lisp/language/.gitignore:
	* lisp/leim/.gitignore, lisp/leim/quail/.gitignore:
	* lisp/mail/.gitignore, lisp/mh-e/.gitignore, lisp/net/.gitignore:
	* lisp/nxml/.gitignore, lisp/obsolete/.gitignore:
	* lisp/play/.gitignore, lisp/progmodes/.gitignore:
	* lisp/term/.gitignore, lisp/textmodes/.gitignore:
	* lisp/url/.gitignore, nt/.gitignore, src/.gitignore:
	Remove; no longer needed.

2014-11-29  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Simplify gnutls tests.

2014-11-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .gitignore: Add entries for emacsvers files.

2014-11-27  Paul Eggert  <eggert@cs.ucla.edu>

	Restore 'Bug#' -> 'debbugs:' rewrite in log-edit-mode.
	* .dir-locals.el (log-edit-mode): Restore the (log-edit-rewrite-fixes
	"[ \n](bug#\\([0-9]+\\))" . "debbugs:\\1").  See Glenn Morris in:
	https://lists.gnu.org/r/emacs-devel/2014-11/msg01187.html

	Simplify and fix doc-related .gitignore files.
	This fixes some unwanted 'git status' output after 'make docs'.
	* .gitignore: Add **/Makefile, **/makefile.
	Remove Makefile, makefile.
	Add doc/*/*.xxx rules for the usual kinds of documentation outputs
	and temporaries.  Add doc/misc/cc-mode.ss.
	* doc/emacs/.gitignore, doc/lispintro/.gitignore, doc/misc/.gitignore:
	* lwlib/.gitignore, oldXMenu/.gitignore:
	Remove, as these .gitignore files are no longer needed.
	* doc/lispintro/.gitignore: Replace with list of exceptional PDF files.

2014-11-26  Dani Moncayo  <dmoncayo@gmail.com>

	* configure.ac [MINGW]: Fix the way of getting the right host
	platform.

2014-11-25  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Fix yesterday's use of uninitialized $version.

2014-11-25  Oscar Fuentes  <ofv@wanadoo.es>

	* configure.ac [MINGW]: Set $canonical default value as per the
	compiler's target.

2014-11-24  Glenn Morris  <rgm@gnu.org>

	* configure.ac [HAVE_W32]: Generate nt/*.rc files when HAVE_W32,
	not just when using mingw32.

2014-11-22  Glenn Morris  <rgm@gnu.org>

	Further reduce number of versioned files storing Emacs version number.
	* configure.ac (comma_version, comma_space_version) [mingw32]:
	New output variables.
	(nt/emacs.rc, nt/emacsclient.rc) [mingw32]: New output files.
	* make-dist: Update nt/ for *.rc -> *.rc.in changes.

2014-11-19  Dani Moncayo  <dmoncayo@gmail.com>

	* build-aux/msys-to-w32: Simplify implementation and docstring;
	Paths starting with '%emacs_dir%' are just considered relative.

2014-11-16  Christoph Scholtes  <cschol2112@gmail.com>

	* .gitignore: Ignore generated file lib/stdalign.h.

2014-11-16  Eli Zaretskii  <eliz@gnu.org>

	* .gitignore: Add more ignorables.

2014-11-14  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (config.status): Don't depend on
	${srcdir}/lisp/version.el.

2014-11-14  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	2014-11-14 extern-inline: update commentary about GCC bugs
	2014-11-06 unistd: port to iOS
	2014-11-04 update from texinfo
	* doc/misc/texinfo.tex, lib/unistd.in.h, m4/extern-inline.m4:
	Update from gnulib.

	build: port to GCC 4.6.4 + glibc 2.5
	On platforms this old, building with _FORTIFY_SOURCE equal to 2
	results in duplicate definitions of standard library functions.
	Reported by Nelson H. F. Beebe.
	* configure.ac (_FORTIFY_SOURCE): Sort after GNULIB_PORTCHECK.
	By default, do not enable this unless GNULIB_PORTCHECK is defined.
	This better matches the original intent, which as I recall was to
	enable these extra checks only with --enable-gcc-warnings.

2014-11-14  David Reitter  <david.reitter@gmail.com>

	* Makefile.in (install-arch-indep): Compress publicsuffix.txt file.

2014-11-13  Paul Eggert  <eggert@cs.ucla.edu>

	* .dir-locals.el: Remove reference to bzr commit --fixes debbugs.

2014-11-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* .gitignore: Copy over sufficient ignorable files from the old
	.bzrignore that a simple build doesn't list lots of unregistered files.

2014-11-11  Eric S. Raymond  <esr@thyrsus.com>

	Git transition.
	* Makefile.in (src): Set VCSWITNESS appropriately for git.

	All bzr revision IDS, and all CVS revision IDs for which a commit
	could be identified, were changed to time-date!committer version
	stamps. All .cvsignore files in the history became .gitignore
	files. Fixes-bug annotations from bzr were copied into the
	corresponding commit comments.

	(The first .cvsignore commit was 1999-09-30T14:07:54Z!fx@gnu.org.
	The last CVS commit was 2009-12-27T08:11:12Z!cyd@stupidchicken.com.)

	Committer/author email addresses are generally correct for the
	transition day, not necessarily when the commit was originally made.

2014-11-10  Glenn Morris  <rgm@gnu.org>

	* configure.ac (doc/man/emacs.1): Generate it.
	* Makefile.in (top_bootclean): Remove doc/man/emacs.1.
	* make-dist: Do not distribute doc/man/emacs.1.

	* configure.ac (etc/refcards/emacsver.tex): Generate it.
	* Makefile.in (etc-emacsver): New PHONY rule.
	(bootstrap-clean): Delete etc/refcards/emacsver.tex.

	* configure.ac (doc/emacs/emacsver.texi): Generate it.
	* make-dist (doc/emacs/emacsver.texi) [update]: No longer check it.

2014-11-08  Dani Moncayo  <dmoncayo@gmail.com>

	* build-aux/msys-to-w32: Simplify the initial over-engineered
	interface, and the implementation.
	* Makefile.in (epaths-force-w32): Update for the above.  Also
	simplify, assuming that the shell is bash (which is the case in MSYS).
	(msys_w32prefix_subst, msys_sed_sh_escape): Remove (no longer used).

2014-11-05  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (QUIET_SUBMAKE): Remove.
	(install-info, uninstall): Use --no-print-directory.  (Bug#18908)

2014-10-25  Eric S. Raymond  <esr@thyrsus.com>

	* autogen.sh: Neutralize language specific to a repository type.

2014-10-23  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (ACLOCAL_INPUTS): Omit unnecessary use of 'wildcard'.

	Fix race in 'make info/dir', and speed it up.
	* Makefile.in (AWK, srcdir_doc_info_dir_inputs, info_dir_inputs):
	New macros.
	(clean): Remove info-dir.*.
	(info_dir_deps): Depend on make-info-dir too.
	(${srcdir}/info/dir): Make sure info directory exists.
	Don't call pwd; just redirect make-info-dir's stdout to temp file.
	* build-aux/make-info-dir: Send output to stdout.
	Take input file names from args.
	Fix a "FIXME inefficient looping" by using awk's associative arrays.
	Basically, this rewrites the script from scratch, and speeds up
	'make info/dir' from 2.6s to 0.07s on my platform.

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to 24.4 release.

2014-10-19  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-10-18 readlinkat: port to AIX 7.1
	2014-10-07 fcntl: fix error reporting by dupfd
	* lib/fcntl.c, lib/readlinkat.c, lib/unistd.in.h, m4/readlinkat.m4:
	* m4/unistd_h.m4: Update from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2014-10-17  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Simplify OS X $canonical tests.

2014-10-15  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Move the OSX 10.6 test.

2014-10-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .bzrignore: Add uni-brackets.el.

2014-10-14  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: apple-darwin powerpc is unported.
	Require OSX >= 10.6 even if --with-ns is not given.

2014-10-12  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (LD_SWITCH_SYSTEM_TEMACS) [CYGWIN]: Set stack size
	to 8 MB.  (Bug#18438)

2014-10-12  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Require OSX 10.6.  Remove NSInteger test,
	use nsfont for Gnustep, macfont for OSX.

2014-10-12  Paul Eggert  <eggert@cs.ucla.edu>

	Fix putenv race conditions that can crash Emacs (Bug#8705).
	* configure.ac (LOCALTIME_CACHE): Remove.
	We needn't worry about SunOS 4 any more; Sun dropped support in 2003.
	All uses of LOCALTIME_CACHE removed.  This simplifies the fix.
	(tzalloc): Add check for this function.

2014-10-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Add -Wno-string-plus-int for clang.

2014-10-04  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Silence warning with some old Xrandr.h.  (Bug#18465)

2014-10-03  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Port to strict POSIX shells on non-MinGW (Bug#18612).

2014-09-29  Eli Zaretskii  <eliz@gnu.org>

	* README: Bump version to 25.0.50.

	* configure.ac (AC_INIT): Bump version to 25.0.50.

2014-09-29  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (HAVE_STATEMENT_EXPRESSIONS): Remove.
	For USE_STACK_LISP_OBJECTS, we always assume __GNUC__.

2014-09-27  Ken Brown  <kbrown@cornell.edu>

	* configure.ac [CYGWIN]: Enable sound support.

2014-09-25  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (MAKEINFO): Allow 'makeinfo' to be called 'texi2any'.

2014-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-09-11 fcntl-h: fix compilation with Intel C++ compiler
	2014-09-04 pthread, pthread_sigmask, threadlib: port to Ubuntu 14.04

2014-09-22  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Increase headerpad_extra to 1000, update the comment
	about load commands (Bug#18505).

2014-09-15  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_SOUND): Check for mmsystem.h header that
	defines the sound stuff on MS-Windows.  (Bug#18463)

2014-09-10  Paul Eggert  <eggert@cs.ucla.edu>

	Improve the experimental local and scoped allocation.
	* configure.ac (HAVE_STRUCT_ATTRIBUTE_ALIGNED)
	(HAVE_STATEMENT_EXPRESSIONS): New configure-time checks.

2014-09-07  Paul Eggert  <eggert@cs.ucla.edu>

	Expand @AM_DEFAULT_VERBOSITY@ even if Automake is old (Bug#18415).
	* configure.ac: Assume verbose output for older Automake.

2014-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (MAKEINFO): Clean up some configuration bitrot.
	MAKEINFO is already set before we get here, so no need to call AC_PATH_PROG.
	Bypass $am_missing_run.  Simplify version-number checking.

2014-09-02  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-09-02 gnulib-common.m4: port to GCC 4.2.1 and Sun Studio 12 C++
	2014-09-01 manywarnings: add GCC 4.9 warnings
	* m4/gnulib-common.m4, m4/manywarnings.m4: Update from gnulib.

2014-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	--enable-silent-rules now suppresses more chatter.
	* INSTALL: Document this.

	Clean up extern decls a bit.
	* configure.ac (WERROR_CFLAGS): Don't disable -Wnested-externs.
	While we're at it, don't disable -Wlogical-op either.

2014-08-31  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (MAKE): Export it, for config.status.
	Needed on AIX when 'configure' infers MAKE=gmake.
	(__restrict_arr): Remove; no longer used.

2014-08-30  Paul Eggert  <eggert@cs.ucla.edu>

	Vector-sorting fixes (Bug#18361).
	* configure.ac (qsort_r): Remove, as we no longer use qsort-like
	functions.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/vla.h, m4/vararrays.m4: New files, copied from gnulib.
	* lib/stdlib.in.h, m4/stdlib_h.m4: Sync from gnulib, incorporating:
	2014-08-29 qsort_r: new module, for GNU-style qsort_r
	The previous two files' changes are boilerplate generated by
	admin/merge-gnulib, and should not affect Emacs.

2014-08-29  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (AC_CHECK_FUNCS): Check for qsort_r.

2014-08-28  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (HYBRID_MALLOC): New macro; define to use gmalloc
	before dumping and the system malloc after dumping.  Define on
	Cygwin.  (Bug#18222)

2014-08-28  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (appdatadir): New variable.
	(install-etc, uninstall, clean): Handle etc/emacs.appdata.xml.

2014-08-27  Paul Eggert  <eggert@cs.ucla.edu>

	Improve robustness of new string-collation code (Bug#18051).
	* configure.ac (newlocale): Check for this, not for uselocale.

2014-08-26  Dmitry Antipov  <dmantipov@yandex.ru>

	Detect features needed to handle C stack overflows.
	* configure.ac: Check for sigaltstack and related sigaction
	support.  Unconditionally check for sigsetjmp and siglongjmp.
	(HAVE_STACK_OVERFLOW_HANDLING): Define if we can support it.

	(HAVE_LINUX_SYSINFO): Avoid false positive on Solaris.

2014-08-25  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (G_SLICE_ALWAYS_MALLOC): Remove obsolete macro.

2014-08-25  Christoph Scholtes  <cschol2112@gmail.com>

	* INSTALL.REPO: Remove reference to obsolete configure scripts
	on non-Posix platforms (Bug#18323).

2014-08-24  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac: Check also for the uselocale function.  (Bug#18051)

2014-08-23  Karol Ostrovsky  <karol.ostrovsky@gmail.com>  (tiny change)

	* configure.ac: Accept "*-mingw*", not just "*-mingw32", as
	canonical name of a MinGW build, because using MSYS2 'uname'
	produces "MINGW64".

2014-08-21  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (HAVE_XPM): Explain the use of CPPFLAGS in the
	Cygwin-w32 build.  (Bug#18302)

2014-08-11  Paul Eggert  <eggert@cs.ucla.edu>

	Don't prevent random file systems from being unmounted (Bug#18232).
	This fix relies on having the 'fchdir' function, and on having
	"." be searchable (or at least readable, on platforms lacking O_SEARCH),
	but that's good enough to handle the vast majority of cases and the
	remaining folks can just live with the annoyance of file systems
	that occasionally can't be unmounted.
	* configure.ac (fchdir): New function to check for.
	* lib/save-cwd.c: Copy from gnulib, except omit the part that
	allocates memory, since that can cause problems in Emacs.
	* lib/save-cwd.h: Copy from gnulib.

2014-08-10  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Fix some confusing wording.

2014-08-09  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Fix EOL format in lines modified by last commit.

2014-08-09  Reuben Thomas  <rrt@sc3d.org>

	* make-dist (files): Remove msdos/is_exec.c and sigaction.c.
	* config.bat: Require DJGPP 2.02 or later.

2014-08-09  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-08-07 getdtablesize: fall back on sysconf (_SC_OPEN_MAX)
	2014-08-05 sys_select: fix FD_ZERO problem on Solaris 10
	* lib/getdtablesize.c, lib/sys_select.in.h: Update from gnulib.

2014-08-07  Reuben Thomas  <rrt@sc3d.org>

	* README: ``MSDOG'' becomes ``MS-DOS''.

2014-08-04  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-08-04 extern-inline: port to FreeBSD, DragonFly
	* lib/gnulib.mk: Regenerate (comment change only).
	* m4/extern-inline.m4: Update from gnulib.

2014-08-02  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (HAVE_TIMERFD): Also check for TFD_NONBLOCK,
	since the code is using TFD_NONBLOCK now.

2014-07-31  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify timerfd configuration and fix some minor glitches.
	* configure.ac (HAVE_TIMERFD): Define only if TFD_CLOEXEC works,
	since the code leaked file descriptors to children when !TFD_CLOEXEC.
	(HAVE_TIMERFD_CLOEXEC): Remove; no longer used.
	* m4/clock_time.m4 (gl_CLOCK_TIME): Don't check for clock_getres.
	This reverts the previous change to this file, so it matches
	gnulib again.

2014-07-28  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (toplevel): Check whether GNU/Linux-specific
	timerfd functions and macros are available.
	* m4/clock_time.m4 (gl_CLOCK_TIME): Check for clock_getres as well.

2014-07-13  Paul Eggert  <eggert@cs.ucla.edu>

	Improve behavior of 'bzr up; cd src; make -k'.
	* Makefile.in (ACLOCAL_INPUTS): Add all m4/*.m4 files.

2014-07-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-06-27 mktime: merge #if/#ifdef usage from glibc
	* lib/mktime.c: Update from gnulib.

	* Makefile.in (install-arch-indep): Avoid readdir race (Bug#17971).

2014-07-10  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac: Check whether sys/sysinfo.h provides
	Linux 'sysinfo' function and 'struct sysinfo' type.

2014-06-28  Glenn Morris  <rgm@gnu.org>

	* configure.ac (lwlib_deps_frag, oldxmenu_deps_frag): New output files.
	* make-dist (lwlib, oldXMenu): Distribute *.mk.

2014-06-27  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (src): No more need to pass BOOTSTRAPEMACS.

	* make-dist: Exclude test/automated/*.log.

2014-06-26  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (mostlyclean, clean): Maybe clean test/automated.

2014-06-21  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Warn about --enable-link-time-optimization's issues
	in --help message (Bug#17806).

	Port to GCC 4.9.0 with link time optimization (Bug#17806).
	* configure.ac (CFLAGS): With link time optimization,
	use -ffat-lto-objects if supported; otherwise Emacs won't
	build with GCC 4.9.0.

2014-06-20  Paul Eggert  <eggert@cs.ucla.edu>

	Diagnose failures due to colons in directory names (Bug#17278).
	* Makefile.in (epaths-force): Don't allow ':' in directories whose
	names go into a colon-separated path.
	* configure.ac: Fail if submake fails.

2014-06-17  Paul Eggert  <eggert@cs.ucla.edu>

	Omit redundant extern decls.
	Most of this patch is from Dmitry Antipov, in:
	https://lists.gnu.org/r/emacs-devel/2014-06/msg00263.html
	* configure.ac (WERROR_CFLAGS): Add -Wredundant-decls.

	Merge from gnulib, incorporating:
	2014-06-17 acl: port to gcc -Wredundant-decls
	2014-06-01 gnulib-common.m4: Fix typo in _GL_UNUSED_LABEL.
	* lib/acl.h, m4/gnulib-common.m4: Update from gnulib.

2014-06-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in: Use `make -C' rather than `cd && make' throughout.

	* Makefile.in: Parallelize clean rules using GNU make features.
	(submake_template): New definition.
	(mostlyclean_dirs, clean_dirs, distclean_dirs, maintainer_clean_dirs):
	New variables.
	(mostlyclean, clean, distclean, bootstrap-clean, maintainer-clean)
	(extraclean): Define using each subdirectory as a prequisite.
	* lib/Makefile.am (bootstrap-clean): New.

2014-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	Port part of the AIX fix to Solaris (Bug#17598).
	* configure.ac (_REENTRANT): Define on Solaris if HAVE_PTHREAD.
	This ports part of the recent AIX fixes to Solaris.  It is needed
	for the same reason that _THREAD_SAFE is needed on AIX, e.g., to
	make sure that each thread has its own 'errno'.

2014-06-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (CC, CFLAGS, LDFLAGS, CPPFLAGS, abs_top_srcdir):
	Remove, no longer used.
	(lib, lib-src, lisp, nt, src, blessmail, install-arch-dep)
	(install-nt, install-strip, uninstall, uninstall-nt)
	(mostlyclean, clean, distclean, bootstrap-clean)
	(maintainer-clean, extraclean, TAGS, tags, check, $(DOCS)):
	($(INSTALL_DOC), $(UNINSTALL_DOC), info, bootstrap, check-declare):
	GNU make automatically passes command-line arguments to sub-makes.

2014-06-11  Paul Eggert  <eggert@cs.ucla.edu>

	Use a shell function in configure.ac to cut down on code duplication.
	* configure.ac (emacs_check_gnu_make): New shell function.
	Use it to avoid duplication when checking for GNU Make.
	It's OK for 'configure' to use shell functions these days,
	as long as we follow the advice in the 'Shell Functions'
	section of the Autoconf manual.

2014-06-11  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Require at least version 3.81 of GNU make.

2014-06-10  Paul Eggert  <eggert@cs.ucla.edu>

	Rely on AC_CANONICAL_HOST to detect whether we're using mingw.
	See the thread containing:
	https://lists.gnu.org/r/emacs-devel/2014-06/msg00206.html
	* configure.ac (AC_CANONICAL_HOST): Invoke this as early as we
	can, which is just after AM_INIT_AUTOMAKE.  Then check for mingw
	just after that.

2014-06-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (AUTOCONF, AUTOMAKE, AUTOHEADER, ACLOCAL):
	New, set by configure.  Use throughout where appropriate.

	* Makefile.in (INFO_EXT): Remove and replace by ".info" throughout.
	* configure.ac (INFO_EXT, INFO_OPTS): Remove output variables.

2014-06-08  Paul Eggert  <eggert@cs.ucla.edu>

	Port better to AIX (Bug#17598).
	* configure.ac (with_xpm_set): New shell var.
	(_THREAD_SAFE): Define on AIX if HAVE_PTHREAD.
	(with_xpm): Default to 'no' on AIX.
	(LIBXPM): Append -lXpm if -lXaw is also used, as the latter
	requires the former on AIX.

2014-06-05  Paul Eggert  <eggert@cs.ucla.edu>

	Try harder to find GNU Make when configuring.
	* configure.ac (AC_PROG_MAKE_SET): Define a dummy.
	(MAKE): Set it to GNU Make, if one can be found.
	Search PATH for 'make', 'gmake', 'gnumake'.
	This works better on platforms like AIX, where GNU Make
	might be in /opt/freeware/bin/make, and reside
	behind /usr/bin/make in the PATH.

2014-06-05  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (POLL_FOR_INPUT): Define with HAVE_WINDOW_SYSTEM.
	* INSTALL: Mention SVG image support.

2014-06-05  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: --without-all now implies --without-xft, --disable-acl.
	* INSTALL: Remove apparently unmaintained documentation about what
	--without-all exactly means.

2014-06-03  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (C_HEAP_SWITCH): Remove.

2014-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	Fix port to 32-bit AIX with xlc (Bug#17598).
	This doesn't fix Bug#17598, but it does fix a regression since Emacs
	built with xlc until recently, and perhaps it'll help us fix Bug#17598.
	* configure.ac (GC_SETJMP_WORKS): Define for AIX, too.
	Merge from gnulib, incorporating:
	2014-05-30 ftoastr: work around compiler bug in IBM xlc 12.1
	* lib/ftoastr.c: Update from gnulib.

2014-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-06-02 acl: apply pure attribute to two functions
	2014-06-01 gnulib-common.m4: add _GL_UNUSED_LABEL
	2014-05-31 dup2, fcntl, fcntl-h: port to AIX 7.1
	2014-05-30 ftoastr: work around compiler bug in IBM xlc 12.1
	* lib/acl-internal.h, lib/fcntl.in.h, lib/ftoastr.h:
	* m4/dup2.m4, m4/fcntl.m4, m4/gnulib-common.m4:
	Update from gnulib.

2014-06-01  Juanma Barranquero  <lekktu@gmail.com>

	* configure.ac (C_HEAP_SWITCH): Raise HEAPSIZE value for 32-bit
	builds on Windows.

2014-05-29  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (pthread_sigmask): Look in LIB_PTHREAD too (Bug#17561).
	Fixes configuration glitch found in <https://bugs.gnu.org/17561#59>.

2014-05-29  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (ADDSECTION, TEMACS_POST_LINK): Don't compute,
	unused.

2014-05-29  Paul Eggert  <eggert@cs.ucla.edu>

	Don't substitute sigprocmask for pthread_sigmask (Bug#17561).
	sigprocmask isn't portable in a multithreaded process.
	* configure.ac (gl_THREADLIB): Remove dummy.
	Merge from gnulib, incorporating:
	2014-05-28 pthread_sigmask, timer-time: use gl_THREADLIB only if needed
	* m4/pthread_sigmask.m4, m4/timer_time.m4: Update from gnulib.

2014-05-29  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Explicitly drop some ancient Solaris versions.

2014-05-27  Fabrice Popineau  <fabrice.popineau@gmail.com>

	* configure.ac (C_HEAP_SWITCH): Define for different values of
	dumped heap size depending on 32/64bits arch on Windows.
	Don't check for pthreads.h on MinGW32/64, it gets in the way.
	Use mmap(2) for buffers and system malloc for MinGW32/64.
	(EMACS_HEAPSIZE): Remove.

2014-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-05-21 fchdir: port 'open' and 'close' redefinitions to AIX 7.1
	* lib/openat-proc.c: Update from gnulib.

2014-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	Fix port to 32-bit AIX (Bug#17540).
	* configure.ac (opsys): On Power Architecture, treat release 7 of
	AIX like releases 5 and 6.

2014-05-19  Paul Eggert  <eggert@cs.ucla.edu>

	Remove dependencies on getdelim and getline.
	* configure.ac (getdelim, getline): Remove.

2014-05-18  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Do not bother testing for png in non-graphical builds.

2014-05-18  Paul Eggert  <eggert@cs.ucla.edu>

	Port ctags+etags build to Sun C 5.12.
	* .bzrignore: Remove lib-src/ctags.c.

	Port recent libpng changes to hosts with missing png.h.
	* configure.ac (HAVE_PNG): Port to platforms where libpng-config
	succeeds but png.h is absent, by testing libpng-config's output
	rather than trusting it.  I ran into this problem when building
	Emacs trunk on a Solaris 10 host.

2014-05-17  Paul Eggert  <eggert@cs.ucla.edu>

	Assume C99 or later (Bug#17487).
	* lib/stdarg.in.h, lib/stdbool.in.h, m4/stdarg.m4, m4/stdbool.m4:
	Remove.
	* configure.ac (_AC_PROG_CC_C89): Define a dummy, to keep 'configure'
	smaller.
	(gl_PROG_CC_C99): Use this to get C99 or later.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2014-05-16  Paul Eggert  <eggert@cs.ucla.edu>

	Don't require pkg-config when building from repository.
	* INSTALL: Prefer './configure FOO=BAR' to 'FOO=BAR ./configure'.
	* INSTALL.REPO: pkg-config is no longer required to build from
	the repository.
	* autogen.sh: Don't check for pkg-config.
	(progs): Remove pkg-config.
	(pkg_config_min, AUTORECONF_ENV, env_space, ACLOCAL_PATH):
	Remove.  All uses removed.
	* m4/pkg.m4: New file, built by admin/merge-pkg-config.
	* configure.ac: Remove unnecessary m4_pattern_forbid of ^PKG_ and
	an AC_ARG_VAR of PKG_CONFIG_PATH.  pkg.m4 does that for us.
	(EMACS_CHECK_MODULES): Remove workaround for old pkg-config bug,
	as we use pkg.m4 from a newer pkg-config.

2014-05-15  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (LIBPNG): Do not test for libpng if NS_IMPL_COCOA.

2014-05-13  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (HAVE_XFIXES): Define if available.
	(XFIXES_CFLAGS, XFIXES_LIBS): New AC_SUBSTs.
	(--enable-link-time-optimization): Add clang support.
	* INSTALL: Mention it.

2014-05-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* configure.ac (EMACS_CHECK_MODULES): Fix typo in previous change.

2014-05-11  Paul Eggert  <eggert@cs.ucla.edu>

	Work around bug in pkg-config before 0.26 (Bug#17438).
	* configure.ac (EMACS_CHECK_MODULES): Check for failed exit status
	of pkg-config, on older pkg-config versions that don't do it
	properly.

2014-05-07  Glenn Morris  <rgm@gnu.org>

	* autogen.sh: Check for failing aclocal.

2014-05-05  Glenn Morris  <rgm@gnu.org>

	* autogen.sh: Check any pre-existing ACLOCAL_PATH.

2014-05-04  Paul Eggert  <eggert@cs.ucla.edu>

	Consult libpng-config more consistently (Bug#17339).
	This is mainly for simplicity, but it should also avoid
	some future problems like the ones we recently had with NetBSD.
	* configure.ac (LIBPNG): Configure after LIBZ.  Use libpng-config
	for cflags, too.  Append -lz if we're not already doing that with
	LIBZ.  Do not bother appending -lm, since we always append that.
	Coalesce some duplicate code.

	* autogen.sh: Use ‘"’ to quote a message that often contains ‘'’.

	Require ImageMagick >= 6.3.5, due to PixelSetMagickColor (Bug#17339).
	* configure.ac (IMAGEMAGICK_MODULE): Bump prereq from 6.2.8 to 6.3.5.
	A more-complicated fix would be to remove uses of PixelSetMagickColor,
	introduced in ImageMagick 6.3.5 (Sept. 2007).

2014-05-04  Glenn Morris  <rgm@gnu.org>

	* configure.ac (LIBPNG): Consult libpng-config for the precise
	form of "-lpng" to use.  (Bug#17339)

2014-05-03  Glenn Morris  <rgm@gnu.org>

	* autogen.sh: If all else fails, try using pkg-config to find pkg.m4.

2014-05-03  Paul Eggert  <eggert@cs.ucla.edu>

	Get --enable-gcc-warnings to work after touching configure.ac.
	Preserve ACLOCAL_PATH in later builds, so that by default it has
	the same value as it did in the first build after initial checkout.
	* Makefile.in (ACLOCAL_PATH): New macro.
	($(srcdir)/aclocal.m4): Use it.
	* configure.ac (ACLOCAL_PATH): AC_SUBST it.
	* autogen.sh (env_space): New var.
	Tell user what variables, if any, to pass to 'configure'.

	Get --enable-gcc-warnings working again.
	The recent changes to configure.ac removed the transliteration of
	-I to -isystem in CFLAGS, which is needed for --enable-gcc-warnings.
	Bring this back while keeping the spirit of the recent changes.
	* configure.ac (edit_cflags): Restore this shell var, and put it
	at the top level, where it'll be useful when emacs-24 is next merged.
	(EMACS_CHECK_MODULES): New macro.  All uses of PKG_CHECK_MODULES
	changed to use it.

	Make it easier on maintainers who use their own Automake.
	* autogen.sh (ACLOCAL_PATH, AUTORECONF_ENV): New vars.
	Set them to avoid problems when maintainers prepend their own
	Automake installations to their PATH.  Report an error if pkg.m4
	can't be found.

2014-05-02  Glenn Morris  <rgm@gnu.org>

	* configure.ac (PKG_CONFIG_PATH): Declare with AC_ARG_VAR.

	* configure.ac (--with-pkg-config-prog): Remove.
	Use the PKG_CONFIG environment variable instead if you need it.

	* configure.ac: Use pkg-config's pkg.m4, rather than reinventing it.
	Add explicit AC_SUBST's where needed.
	* autogen.sh (progs): Add pkg-config.
	(pkg_config_min): New variable.

	* configure.ac (AC_CONFIG_MACRO_DIR): Use it.

	* autogen.sh (get_version): Handle no leading whitespace.
	(check_version, main): Handle program names with hyphens.

2014-04-30  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Treat MirBSD as OpenBSD.  (Bug#17339)

2014-04-21  Daniel Colascione  <dancol@dancol.org>

	* .bzrignore: Add a.out to bzr ignore list (a test generates this
	file).

2014-04-19  Paul Eggert  <eggert@cs.ucla.edu>

	Link to glib-using libraries when checking for glib (Bug#17289).
	* configure.ac (XGSELOBJ): Include GTK_LIBS, RSVG_LIBS, etc.
	when testing whether Glib is linked in.  Similarly for CFLAGS.

2014-04-17  Paul Eggert  <eggert@cs.ucla.edu>

	* GNUmakefile: Speed up 'make bootstrap' in fresh checkout.
	(ORDINARY_GOALS): New macro, which excludes 'bootstrap'.
	(bootstrap, .PHONY): New rules.
	* INSTALL.REPO: Document current procedure better.
	Move copyright notice to just before license notice.

	* Makefile.in (FRC, force-info): Remove.
	All uses removed.  This hack is no longer needed here
	now that we can assume GNU Make's .PHONY feature works.
	(bootstrap): No need to make 'info', since 'all' now implies 'info'.

2014-04-16  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Update for Emacs 24.4.

2014-04-16  Paul Eggert  <eggert@cs.ucla.edu>

	Port to IRIX 6.5 (Bug#9684).
	This port requires IRIX cc, as I did not have time to get
	undump working with the old GCC on the system I had access to,
	but that's better than nothing.
	* configure.ac (gl_GCC_VERSION_IFELSE): Remove unused macro
	that wouldn't have worked anyway, with IRIX cc.
	(emacs_cv_clang, emacs_cv_sanitize_address)
	(ns_osx_have_104, ns_osx_have_105):
	Don't assume '#error' makes the compiler fail,
	as this doesn't work with IRIX cc.
	(CFLAGS, LIBS): Don't let the GnuTLS results infect later 'configure'
	checks.  This runs afoul of an IRIX configuration where GnuTLS is
	in an optional library that also contains getdelim, and causes
	a later 'configure' to incorrectly think getdelim is supported.

2014-04-16  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (LN_S_FILEONLY, LN_S): Use "/bin/ln" on MinGW, to
	ensure the MSYS ln.exe is invoked.

2014-04-15  Paul Eggert  <eggert@cs.ucla.edu>

	Remove DATA_SEG_BITS.
	* configure.ac (DATA_SEG_BITS): Remove.  All uses removed.

2014-04-14  Paul Eggert  <eggert@cs.ucla.edu>

	* autogen.sh: Use autoreconf's -f option (Bug#17258).

	Clean up configure-time library handling a bit.
	This patch was inspired by emacs-24 bzr 116961, which fixed
	a bug due to sloppy library handling in 'configure'.
	* configure.ac (LIB_MATH, LIB_PTHREAD, LIBXMU):
	Use AC_SEARCH_LIBS instead of AC_CHECK_LIB as per Autoconf manual.
	(LIB_MATH, LIB_PTHREAD, HAVE_X11, IMAGEMAGICK_LIBS, GTK_LIBS)
	(DBUS_LIBS, LIBXMU, XFT_LIBS, LIBXSM, LIBXML2_LIBS, LIBS_MAIL)
	(with_kerberos):
	Don't let the library choice infect $LIBS.
	(dnet_ntoa, cma_open): Remove obsolete tests.
	(emacs_pthread_function): Probe for pthread_kill, not pthread_self,
	as that's a bit more selective on GNU/Linux.
	(LIBXEXT): Remove.
	(touchlock): Test for existence when $LIBS_MAIL is in use.
	(AC_CHECK_FUNCS): Use only $LIB_MATH in addition to $LIBS
	when testing for typical functions like accept4, lrand48.
	(random, rint): Remove obsolete HP-UX 9 A.09.05 test.

2014-04-11  Glenn Morris  <rgm@gnu.org>

	* make-dist: Do not distribute generated admin/grammars/Makefile.
	Do distribute lib-src/update-game-score.exe.manifest.

2014-04-11  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (EMACS_MANIFEST): Revert last change (but leave
	UPDATE_MANIFEST empty).

2014-04-07  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (EMACS_MANIFEST, UPDATE_MANIFEST): Leave these
	variables empty on Cygwin.  (Bug#17176)

2014-04-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Further update AC_INIT regexp.

2014-04-02  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Make the final "Does Emacs use Gsettings" message
	consistent with src/config.h.

2014-03-31  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Fix errors from previous checkin (GSettings check).

2014-03-29  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Add check that GSettings is in libgio (Bug#17118).

2014-03-28  Glenn Morris  <rgm@gnu.org>

	* configure.ac (AC_INIT): Add "GNU" in package, add bug address.
	(PACKAGE_BUGREPORT): Use it.
	(make-dist): Update AC_INIT regexp.

	* configure.ac (ACL_SUMMARY): Rename from acl_summary, for consistency.
	(EMACS_CONFIG_FEATURES): New define.

2014-03-27  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Suggest './configure MAKE=gmake' in diagnostic.
	This tends to work better than 'MAKE=gmake ./configure' if later
	builds run config.status etc.

2014-03-27  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Require GNU make.
	(HAVE_GNU_MAKE): Remove.

2014-03-26  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-03-26 strftime: wrap macros in "do {...} while(0)"
	* lib/strftime.c: Update from gnulib.

2014-03-26  Glenn Morris  <rgm@gnu.org>

	* configure.ac (CLASH_DETECTION): Remove option.  Every platform
	supports it, and the runtime option `create-lockfiles' replaces it.

2014-03-23  Daniel Colascione  <dancol@dancol.org>

	* configure.ac: (Bug#17069) Include GFILENOTIFY objects in glib check.

2014-03-22  Glenn Morris  <rgm@gnu.org>

	* make-dist: Do not distribute lib-src/testfile.

2014-03-21  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac: Bump version to 24.4.50.

2014-03-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (all): Depend on `info'.  (Bug#16626)

2014-03-07  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-03-04 stdint: fix missing SIZE_MAX on Android
	2013-03-02 sys_types: avoid autoconf warning about gl_SYS_TYPES_H
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/stdint.in.h, lib/sys_types.in.h, m4/sys_types_h.m4:
	Update from gnulib.

2014-03-05  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Tweak the "unported" error message.

2014-03-05  Paul Eggert  <eggert@cs.ucla.edu>

	Fix configuration bug on Solaris 2.5.1 (Bug#16905).
	* configure.ac: Fix a bug in shell pattern matching that caused
	'configure' to treat Solaris 2.5.1 as if it were Solaris 10 or later.

2014-02-25  Paul Eggert  <eggert@penguin.cs.ucla.edu>

	Merge from gnulib (Bug#16825).
	2014-02-25 unistd: port readlink to Mac OS X 10.3.9

2014-02-24  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-02-21 timer: fix uClibc detection of threading
	2014-02-21 maintainer-makefiles: provide AC_PROG_SED for older autoconf

2014-02-18  Mirek Kaim  <mirek.kaim@outlook.com>  (tiny change)

	* configure.ac [HAVE_W32]: Test for ImageMagick.  (Bug#16754)

2014-02-14  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (install-arch-indep): Allow ' ' in destdir (Bug#16717).
	This fixes a bug in the previous change.  Also, use $(SHELL)
	rather than sh, as that's more likely to be portable.

2014-02-13  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (install-arch-indep): Simplify (Bug#16717).
	This should make it more reliable, and hopefully more portable to
	non-GNU 'make' implementations such as HP-UX 'make'.

2014-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* Makefile.in (install-nt): Also pass datadir.

2014-02-05  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-01-23 pthread: work around winpthread header pollution on mingw
	* lib/time.in.h: Update from gnulib.

2014-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-01-22 qacl: check for fchmod
	* m4/acl.m4: Update from gnulib.

2014-01-22  Paul Eggert  <eggert@cs.ucla.edu>

	Fix miscellaneous update-game-score bugs.
	* configure.ac (difftime): Remove.

2014-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-01-20 stdalign: port to HP-UX compilers
	2014-01-16 strtoimax: port to platforms lacking 'long long'
	2014-01-16 update from texinfo
	* lib/stdalign.in.h, lib/strtoimax.c: Update from gnulib.

2014-01-12  Glenn Morris  <rgm@gnu.org>

	* README: Replace reference to etc/MAILINGLISTS.

2014-01-11  Fabrice Popineau  <fabrice.popineau@gmail.com>

	* configure.ac: Read $srcdir/nt/mingw-cfg.site when $MSYSTEM is
	"MINGW64" as well.

2014-01-11  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-01-07 update from texinfo
	2014-01-06 md5, sha1, sha256, sha512: support older autoconf

2014-01-09  Eric S. Raymond  <esr@thyrsus.com>

	* INSTALL, configure.ac, etc/CONTRIBUTE, nt/INSTALL: Remove
	unnecessarily specific references to Bazaar that could better
	simply be to the repository.

2014-01-08  Eric S. Raymond  <esr@thyrsus.com>

	* INSTALL.BZR: Rename to INSTALL.REPO.  Remove refs to specific VCS.
	* INSTALL, autogen.sh: Update for above change.

2014-01-05  Paul Eggert  <eggert@cs.ucla.edu>

	Port to GNU/Linux with recent grsecurity/PaX patches (Bug#16343).
	Problem and proposed patch reported by Ulrich Mueller;
	this patch uses a somewhat-different approach.
	* configure.ac (SETFATTR): New variable.

2014-01-03  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2014-01-02 manywarnings: remove -Wmudflap
	This ports better to GCC 4.9-to-be.

2013-12-31  Fabrice Popineau  <fabrice.popineau@supelec.fr>

	* configure.ac (canonical, C_SWITCH_SYSTEM): Support a 64-bit
	MinGW64 build on MS-Windows.

2013-12-29  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (xcsdkdir): Only set if using xcrun.

2013-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (LIBXML2_CFLAGS): Fix xcrun-related quoting problem.
	Reported by YAMAMOTO Mitsuharu in:
	https://lists.gnu.org/r/emacs-devel/2013-12/msg00995.html

2013-12-28  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Fix CC detection for xcrun case.

2013-12-28  Paul Eggert  <eggert@cs.ucla.edu>

	Fix problem with MAKE and xcrun configuration.
	* configure.ac: Don't set MAKE unless 'make' doesn't work.
	Set it only in the environment, not in the makefile.
	Reported by Glenn Morris in:
	https://lists.gnu.org/r/emacs-devel/2013-12/msg00969.html

2013-12-27  Paul Eggert  <eggert@cs.ucla.edu>

	Port xcrun configuration to GNU/Linux.
	* configure.ac (xcsdkdir): Default to empty.
	(XCRUN): Don't require Darwin for xcrun.  Move xcrun checking to
	just before AM_INIT_AUTOMAKE, to make the dependency between it
	and automake clearer.
	(CC): Don't use AC_PROG_CC twice; only the first use expands to the
	shell code that is wanted, which breaks 'configure' on non-Darwin
	platforms.  Instead, fix CC by hand if it's not found.

2013-12-27  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Detect xcrun on OSX and use it for make, gcc and
	libxml.

2013-12-26  Paul Eggert  <eggert@cs.ucla.edu>

	Fix core dumps with gcc -fsanitize=address and GNU/Linux.
	* configure.ac: Check whether addresses are sanitized.
	(CANNOT_DUMP): Warn if addresses are sanitized and not CANNOT_DUMP.
	(DOUG_LEA_MALLOC): Do not define if addresses are sanitized.
	(SYSTEM_MALLOC): Define if addresses are sanitized.

2013-12-24  Paul Eggert  <eggert@cs.ucla.edu>

	Automate the procedure for updating copyright year.
	* build-aux/update-copyright: New file.
	* make-dist: Distribute it.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-12-23  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac: Replace obsolete macro AC_CONFIG_HEADER by
	AC_CONFIG_HEADERS.

2013-12-19  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* .gitignore: Ignore refcard temporaries and info/*.info files.

2013-12-17  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-12-17 gettimeofday: port recent C++ fix to Emacs
	2013-12-17 gettimeofday: fix C++ crosscompilation
	2013-12-17 qacl: port to Windows better
	* lib/file-has-acl.c, lib/time.in.h, m4/gettimeofday.m4, m4/time_h.m4:
	Update from gnulib.
	* lib/gnulib.mk: Regenerate.

2013-12-16  Paul Eggert  <eggert@cs.ucla.edu>

	* INSTALL: Clarify treatment of image libraries.

2013-12-14  Paul Eggert  <eggert@cs.ucla.edu>

	Use bool for boolean, focusing on headers.
	* configure.ac (PTY_OPEN, GC_MARK_SECONDARY_STACK):
	Use bool for boolean.

2013-12-14  Dani Moncayo  <dmoncayo@gmail.com>

	* configure.ac (srcdir) [MINGW32]: If it is an absolute path,
	force the format "/c/foo/bar" to simplify conversions to native
	windows format.

2013-12-13  Glenn Morris  <rgm@gnu.org>

	* INSTALL: No longer mention load-path and site-init/site-load.

2013-12-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-info): Handle missing info/dir.
	(info_dir_deps): New variable.
	(${srcdir}/info/dir): Depend on .texi files rather than .info files.
	(check-info): Update topics.
	* build-aux/make-info-dir: Use .texi files rather than .info files.
	Update topics.

	* Makefile.in (install-info): Remove some useless subshells.

	Stop keeping info/dir in the repository.
	* build-aux/dir_top: Move here from admin/.
	* build-aux/make-info-dir: New script.
	* Makefile.in (bootstrap-clean): Delete info/.
	(info-dir, ${srcdir}/info/dir): New rules.
	(info): Also make info-dir.
	(check-info): Rename from check-info-dir.
	Instead of info/dir entries, check @dircategory in info/*.info.
	* make-dist: Use `info' rule rather than `info-real'.
	No more info/COPYING (not even the right license for info/ files).
	Distribute new build-aux files.

	* info/: Remove from repository.

2013-12-11  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add octave-mode.

2013-12-11  Paul Eggert  <eggert@cs.ucla.edu>

	Remove the option of using libcrypto.
	This scorches the earth and waits for spring;
	see Ted Zlatanov and Stefan Monnier in
	<https://lists.gnu.org/r/emacs-devel/2013-12/msg00323.html>.
	* configure.ac (with_openssl_default, HAVE_LIB_CRYPTO): Remove.
	Do not say whether Emacs is configured to use a crypto library,
	since it's no longer an option.
	(gl_CRYPTO_CHECK): Define a dummy.
	* lib/gl_openssl.h, m4/gl-openssl.m4: Remove.

2013-12-10  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Disable libcrypto by default.

	Merge from gnulib, incorporating:
	2013-12-07 md5, sha1, sha256, sha512: fix link error with partial lib
	* m4/gl-openssl.m4: Update from gnulib.

2013-12-08  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_RSVG) [mingw32]: Don't link against librsvg
	statically.

2013-12-08  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Simplify supression of GTK deprecation warning.
	Move -DGDK_DISABLE_DEPRECATION_WARNINGS out of the command line
	and into config.h, to shorten the command line when doing 'make'.
	Don't AC_SUBST GTK_CFLAGS, as this is not needed.

	Use libcrypto's checksum implementations if available, for speed.
	On commonly used platform libcrypto uses architecture-specific
	assembly code, which is significantly faster than the C code we
	were using.  See Pádraig Brady's note in
	<https://lists.gnu.org/r/bug-gnulib/2013-12/msg00000.html>.
	Merge from gnulib, incorporating:
	2013-12-07 md5, sha1, sha256, sha512: add gl_SET_CRYPTO_CHECK_DEFAULT
	2013-12-07 md5, sha1, sha256, sha512: add 'auto', and set-default method
	2013-12-04 include_next: minimize code duplication
	2013-12-03 md5, sha1, sha256, sha512: support mandating use of openssl
	2013-12-02 md5, sha1, sha256, sha512: use openssl routines if available
	* configure.ac (--without-all): Set with_openssl_default too.
	Use gl_SET_CRYPTO_CHECK_DEFAULT to default to 'auto'.
	(HAVE_LIB_CRYPTO): New var.
	Say whether Emacs is configured to use a crypto library.
	* lib/gl_openssl.h, m4/absolute-header.m4, m4/gl-openssl.m4:
	New files, copied from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/md5.c, lib/md5.h, lib/sha1.c, lib/sha1.h:
	* lib/sha256.c, lib/sha256.h, lib/sha512.c, lib/sha512.h:
	* m4/include_next.m4, m4/md5.m4, m4/sha1.m4, m4/sha256.m4, m4/sha512.m4:
	Update from gnulib.

2013-12-01  Dmitry Gutov  <dgutov@yandex.ru>

	* .dir-locals.el (log-edit-move): Add the "Author: " header.

2013-11-30  Dani Moncayo  <dmoncayo@gmail.com>

	* build-aux/msys-to-w32 (w32pathlist): Do not translate paths
	starting with %emacs_dir%.

2013-11-30  Glenn Morris  <rgm@gnu.org>

	Stop keeping (most) generated cedet grammar files in the repository.
	* configure.ac (SUBDIR_MAKEFILES, AC_CONFIG_FILES):
	Add admin/grammars Makefile.
	* Makefile.in (distclean, bootstrap-clean, maintainer-clean):
	Also clean admin/grammars, if present.

2013-11-29  Dani Moncayo  <dmoncayo@gmail.com>

	* Makefile.in (epaths-force-w32): Fix 2013-11-20 typo.

2013-11-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.ac (HAVE_MENUS): Remove.

2013-11-28  Glenn Morris  <rgm@gnu.org>

	* configure.ac (PATH_SEP): Replace with pre-existing SEPCHAR.

2013-11-28  Eli Zaretskii  <eliz@gnu.org>

	* GNUmakefile (Makefile): Don't use $(CFG).
	(CFG): Don't compute.

	* configure.ac (PATH_SEP): Set and AC_SUBST.

2013-11-27  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-11-13 getgroups: work around _DARWIN_C_SOURCE problem
	* lib/getgroups.c: Update from gnulib.

2013-11-27  Glenn Morris  <rgm@gnu.org>

	Move ja-dic, quail, leim-list.el from leim to lisp/leim.
	* Makefile.in (abs_builddir, leimdir): Remove.
	(buildlisppath, SUBDIR, COPYDIR, COPYDESTS): No more leim directory.
	(epaths-force-w32): No longer set BLD.
	(leim): Remove.
	(install-arch-indep): No longer run or install leim.
	(mostlyclean, clean): No longer run leim rule.
	(bootstrap-clean): Change leim target.
	(maintainer-clean): Add leim.
	(check-declare): Remove leim.
	* README: Update for leim changes.
	* configure.ac (leimdir): Remove.
	(standardlisppath): No more leimdir.

	* make-dist: Update for files from leim/ now being in lisp/leim/.

2013-11-26  Glenn Morris  <rgm@gnu.org>

	Preload leim-list.el.
	* Makefile.in (abs_builddir): New, set by configure.
	(buildlisppath): Add leim/.
	(epaths-force-w32): Set BLD.

2013-11-21  Paul Eggert  <eggert@cs.ucla.edu>

	Fix some dependency problems that cause unnecessary recompiles.
	* configure.ac (OLDXMENU_TARGET, OLDXMENU, OLDXMENU_DEPS):
	Remove.
	(LIBXMENU): Now is always either empty or a file name,
	so that it can be used as a dependency.

2013-11-20  Glenn Morris  <rgm@gnu.org>

	* make-dist: Distribute build-aux/msys-to-w32.

2013-11-20  Dani Moncayo  <dmoncayo@gmail.com>

	* build-aux/msys-to-w32: New file.
	* Makefile.in (msys_to_w32, msys_lisppath_to_w32): Remove.
	(msys_w32prefix_subst): Rename from msys_prefix_subst.
	Operate on w32prefixpattern.
	(epaths-force-w32): Use build-aux/msys-to-w32.

2013-11-17  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (DEBUGGER_SEES_C_MACROS): Remove.
	It apparently doesn't work for GCC 3, and I suppose it's more
	trouble than it's worth to worry about this.

2013-11-15  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (DEBUGGER_SEES_C_MACROS): New macro.

2013-11-14  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify, port and tune bool vector implementation.
	* configure.ac (BITSIZEOF_SIZE_T, SIZEOF_SIZE_T): Remove.

2013-11-13  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (ACLOCAL_INPUTS): Add configure.ac.

2013-11-12  Dani Moncayo  <dmoncayo@gmail.com>

	* configure.ac [MINGW32]: Source nt/mingw-cfg.site.
	* make-dist: Don't distribute nt/msysconfig.sh.

	* Makefile.in (epaths-force-w32): Simplify w32srcdir computation.

2013-11-08  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-11-08 extern-inline: port better to OS X 10.9
	2013-11-08 fpending: fix regression on DragonFly BSD
	* lib/fpending.h, m4/extern-inline.m4, m4/fpending.m4:
	Update from gnulib.

2013-11-07  Paul Eggert  <eggert@cs.ucla.edu>

	Port to C11 aligned_alloc.
	* configure.ac (GMALLOC_OBJ): Initialize to empty if !system_malloc
	and doug_lea_malloc.
	(aligned_alloc): Test for existence if !GMALLOC_OBJ and not darwin.
	(posix_memalign): Test for existence only if !GMALLOC_OBJ and
	not darwin and !aligned_alloc.

2013-11-05  Glenn Morris  <rgm@gnu.org>

	* configure.ac (abs_srcdir) [MINGW32]: No point setting it here,
	config.status computes it.
	* Makefile.in (epaths-force-w32): Move srcdir tweak here.

	* autogen/: Remove directory.  Move update_autogen to admin/.
	* autogen.sh: Remove reference to copy_autogen.
	* GNUmakefile (configure):
	* Makefile.in (bootstrap): Do not try to run copy_autogen.
	* config.bat: Use msdos/autogen rather than autogen.

2013-11-05  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify and port recent bool vector changes.
	* configure.ac (BITSIZEOF_SIZE_T, SIZEOF_SIZE_T):
	New symbols to configure.

2013-11-04  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac: Don't disallow builds in non-ASCII directories.
	(Bug#15260)

2013-11-04  Paul Eggert  <eggert@cs.ucla.edu>

	Port to stricter C99 platforms.
	Merge from gnulib, incorporating:
	2013-11-03 intprops: port to Oracle Studio c99
	* lib/intprops.h: Update from gnulib.

2013-11-02  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (check): Depend on all.

2013-10-31  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Use [!...] rather than [^...], for ksh.  (Bug#15769)

2013-10-30  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (distclean, bootstrap-clean, maintainer-clean):
	Also clean admin/unidata, if present.

2013-10-27  Glenn Morris  <rgm@gnu.org>

	* configure.ac: It seems installing in non-ASCII is not, in fact, ok.

2013-10-25  Glenn Morris  <rgm@gnu.org>

	* configure.ac: It seems _installing_ in non-ASCII is ok, not building.

2013-10-24  Glenn Morris  <rgm@gnu.org>

	* configure.ac:
	* Makefile.in (install-arch-indep, install-etcdoc, install-info):
	Avoid non-portable "`\" nesting.

	* configure.ac (CPPFLAGS) [mingw32]: Use abs_top_srcdir.

	* Makefile.in (abs_top_srcdir): New, set by configure.

2013-10-23  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Explicit error for non-ASCII directories.  (Bug#15260)

	Progress towards allowing installation in directories with whitespace.
	* Makefile.in (COPYDESTS, write_subdir, install-arch-dep)
	(install-arch-indep, install-etcdoc, install-info, install-man)
	(install-etc, uninstall, install-nt, uninstall-nt):
	Quote entities that might contain whitespace.
	* build-aux/update-subdirs: Handle whitespace in argument.
	Check cd return value.

	Make building in directories with whitespace possible.  (Bug#15675)
	* configure.ac (srcdir): Don't make it absolute - abs_srcdir exists.
	(src/.gdbinit): Use ac_abs_top_srcdir.
	* Makefile.in (abs_srcdir): New, set by configure.
	(buildlisppath, epaths-force-w32): Use abs_srcdir.
	(install-arch-indep, install-etcdoc, install-info, install-man)
	(install-etc): Quote entities that might contain whitespace.

2013-10-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-10-14 acl: allow cross-compilation to Gentoo
	2013-10-18 extern-inline: make safe for -Wundef usage
	2013-09-30 fpending: use pure+const function attrs
	* lib/fpending.h, m4/acl.m4, m4/extern-inline.m4: Update from gnulib.

2013-10-13  Glenn Morris  <rgm@gnu.org>

	* configure.ac [alpha]: Explicit error in non-ELF case.  (Bug#15601)

2013-10-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-10-10 strtoumax: port to Solaris 8
	2013-10-09 strtoimax, strtoumax: port to HP-UX 11.11
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/inttypes.in.h, lib/strtoimax.c, m4/inttypes.m4, m4/strtoimax.m4:
	* m4/strtoumax.m4:
	Update from gnulib.

2013-10-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.ac (LIBGNUTLS): Don't set LIBGNUTLS_* back to the empty
	string when gnutls2 is installed but gnutls3 is not.

2013-10-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* configure.ac: Define HAVE_GNUTLS3 if GnuTLS v3 is found.

2013-10-10  Barry Fishman  <barry_fishman@acm.org>  (tiny change)

	* configure.ac: Update for giflib 5.  (Bug#15531)

2013-10-08  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_MENUS): Define unconditionally.

2013-10-07  Paul Eggert  <eggert@cs.ucla.edu>

	Improve support for popcount and counting trailing zeros (Bug#15550).
	Do this by using the Gnulib modules for this.
	This should generate faster code on non-GCC, non-MSC platforms,
	and make the code a bit more portable, at least in theory.
	* lib/count-one-bits.c, lib/count-one-bits.h:
	* lib/count-trailing-zeros.c, lib/count-trailing-zeros.h:
	* m4/count-one-bits.m4, m4/count-trailing-zeros.m4:
	New files, copied from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-10-04  Paul Eggert  <eggert@cs.ucla.edu>

	Use hardware support for byteswapping on glibc x86 etc.
	* lib/byteswap.in.h, m4/byteswap.m4: New files, copied from Gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-10-03  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-10-02 verify: new macro 'assume'
	2013-09-26 dup2, dup3: work around another cygwin crasher
	2013-09-26 getdtablesize: work around cygwin issue

2013-09-25  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-09-24 manywarnings: enable nicer gcc warning messages
	2013-09-23 warnings: port --enable-gcc-warnings to Solaris Studio 12.3
	2013-09-21 timespec: use the new TIMESPEC_RESOLUTION elsewhere
	* configure.ac (WERROR_CFLAGS): Omit -fdiagnostics-show-option
	and -funit-at-a-time, since manywarnings does that for us now.

2013-09-23  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: With clang, check for and use -Wno-switch,
	-Wno-tautological-constant-out-of-range-compare and -Wno-pointer-sign.

2013-09-23  Daniel Colascione  <dancol@dancol.org>

	* configure.ac: Check for valgrind headers.

2013-09-20  Xue Fuqiao  <xfq.free@gmail.com>

	* INSTALL: New homepage of libtiff.

2013-09-20  Paul Eggert  <eggert@cs.ucla.edu>

	Work around performance bug on OS X 10.8 and earlier.
	Perhaps Apple will fix this bug some day.
	See the thread starting with Daniel Colascione's email in:
	https://lists.gnu.org/r/emacs-devel/2013-09/msg00343.html
	* configure.ac (FORTIFY_SOUR): New verbatim section.

2013-09-19  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-09-19 stdio: OS X port of putc_unlocked + extern inline
	2013-09-19 signal: OS X port of sigaddset etc. + extern inline
	2013-09-19 extern-inline: do not always suppress extern inline on OS X
	2013-09-17 getgroups: statement without effect
	2013-08-28 headers: check that _GL_INLINE_HEADER_BEGIN is defined

2013-09-19  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac <srcdir> [MINGW32]: Make sure the value of 'srcdir'
	is in the full /d/foo/bar form.  See the discussion in
	https://lists.gnu.org/r/emacs-devel/2013-09/msg00210.html,
	and in particular
	https://lists.gnu.org/r/emacs-devel/2013-09/msg00252.html
	and its followups, for the details.

2013-09-17  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac: Do not check for g_type_init because we
	require glib >= 2.28 for GTK3, glib >= 2.10 for GTK2,
	glib >= 2.26 for GSettings and glib >= 2.7.0 for GConf, so
	suitable glib should provide g_type_init unconditionally.

2013-09-15  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Add check for OSX 10.5, required for macfont.o.

2013-09-09  Glenn Morris  <rgm@gnu.org>

	* configure.ac (LDFLAGS_NOCOMBRELOC): New variable.
	(LDFLAGS): Move nocombreloc option from here...
	(LD_SWITCH_SYSTEM_TEMACS): ... to here.

2013-09-08  Glenn Morris  <rgm@gnu.org>

	* configure.ac (--without-compress-install):
	Rename from --without-compress-info.  (Bug#9789)
	(GZIP_INFO): Remove.
	(GZIP_PROG): Allow --without-compress-install to disable it.
	* Makefile.in (GZIP_INFO): Remove all references.

	* info/dir: Tweak emacs-gnutls entry.

2013-09-07  Paul Eggert  <eggert@cs.ucla.edu>

	Port --without-x --enable-gcc-warnings to Fedora 19.
	* configure.ac (WERROR_CFLAGS): Omit redundant use of
	-Wmissing-field-initializers, -Wswitch, -Wtype-limits,
	-Wunused-parameter.  If there is no window system, also omit
	-Wsuggest-attribute=const and -Wsuggest-attribute=noreturn; this
	is needed for Fedora 19.

2013-09-05  Dmitry Antipov  <dmantipov@yandex.ru>

	Make --without-x compatible with --enable-gcc-warnings.
	* configure.ac: If both --without-x and --enable-gcc-warnings are
	specified, use -Wno-unused-variable, -Wno-unused-but-set-variable
	and -Wno-unused-but-set-parameter.

2013-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	Makefile improvements.
	* Makefile.in (lib): Depend on am--refresh, to avoid a race.
	(src): Remove duplicate dependency on FRC.
	Invoke just one submake, not two.  Avoid the need for 'pwd'.

2013-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Add ns_check_file.

2013-08-31  Glenn Morris  <rgm@gnu.org>

	* configure.ac (--with-sound): Rename ossaudio to bsd-ossaudio,
	and voxware to oss.

2013-08-31  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac: Allow for --with-sound=voxware that will enable
	sound but otherwise disable ALSA.  This will use the OSS device,
	typically /dev/dsp, for sound output.  (Bug#15067)

2013-08-31  Glenn Morris  <rgm@gnu.org>

	* make-dist: Update for nt/INSTALL* changes.

2013-08-28  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (SHELL): Now @SHELL@, not /bin/sh,
	for portability to hosts where /bin/sh has problems.

2013-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.ac (DOCMISC_W32): New var to replace DOCMISC_*_W32.

2013-08-27  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify EMACS_TIME-related code.
	Merge from gnulib, incorporating:
	2013-08-27 timespec: new convenience constants and function

2013-08-27  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (DOCMISC_DVI_W32, DOCMISC_HTML_W32, DOCMISC_INFO_W32)
	(DOCMISC_PDF_W32, DOCMISC_PS_W32): No spaces!

2013-08-27  Glenn Morris  <rgm@gnu.org>

	* configure.ac (emacs_broken_SIGIO): No longer set on gnu-kfreebsd.

	* configure.ac (DOCMISC_DVI_W32, DOCMISC_HTML_W32, DOCMISC_INFO_W32)
	(DOCMISC_PDF_W32, DOCMISC_PS_W32): New output variables.
	* Makefile.in (check-info-dir): Ignore efaq-w32.

	* Makefile.in (mostlyclean, clean, distclean, bootstrap-clean)
	(maintainer-clean, check-declare): Remove pointless subshells.
	Check cd return value.

2013-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	Minor merge from gnulib (mostly just for texinfo.tex).

2013-08-22  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (EMACS_CONFIG_OPTIONS): Quote systematically (Bug#13274).
	This improves on the patch already installed, by quoting options
	that contain spaces and suchlike systematically, so that
	EMACS_CONFIG_OPTIONS is no longer ambiguous when options contain
	these characters.

2013-08-21  Paul Eggert  <eggert@cs.ucla.edu>

	Port close-on-exec pty creation to FreeBSD 9.1-RELEASE (Bug#15129).
	* configure.ac (PTY_OPEN): If posix_openpt with O_CLOEXEC fails
	and reports EINVAL, try it again without O_CLOEXEC.  This should
	port PTY_OPEN to FreeBSD 9, which stupidly rejects O_CLOEXEC.
	What were they thinking?

2013-08-20  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (distclean, bootstrap-clean, maintainer-clean):
	Fix shell-operator precedence problem in previous change.

2013-08-20  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (distclean, bootstrap-clean, maintainer-clean):
	Clean test/automated if present.

2013-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-08-15 warnings: minor optimization
	2013-08-15 warnings: check -Wfoo rather than -Wno-foo

2013-08-15  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (G_SLICE_ALWAYS_MALLOC): Update comment.

2013-08-15  Glenn Morris  <rgm@gnu.org>

	* make-dist: Do not distribute etc/refcards TeX intermediate files.
	* Makefile.in (install-arch-indep):
	Do not install etc/refcards TeX intermediate files.

2013-08-14  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac (EMACS_CONFIGURATION): Escape backslashes.  (Bug#15091)

2013-08-12  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_ZLIB): Don't use -lz on MinGW.

2013-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	Minor zlib configuration tweaks.
	* configure.ac (HAVE_ZLIB): Don't assume zlib is linked if PNG is.

2013-08-12  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (LIBZ): Comment on w32 peculiarities regarding LIBZ.

2013-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-08-11 fpending: port to recent Cygwin change to stdio_ext.h
	2013-08-10 sys_time: port to OpenBSD

2013-08-12  Glenn Morris  <rgm@gnu.org>

	* configure.ac (etcdocdir): Rename from docdir, to avoid confusion
	with configure's standard --docdir argument.  All uses updated.
	* Makefile.in (etcdocdir): Rename from docdir.  All uses updated.
	(install-etcdoc): Rename from install-doc.  All uses updated.
	(uninstall): Run uninstall-doc.
	(PSS): Add misc-ps.
	(INSTALL_DVI, INSTALL_HTML, INSTALL_PDF, INSTALL_PS)
	(INSTALL_DOC, UNINSTALL_DVI, UNINSTALL_HTML, UNINSTALL_PDF)
	(UNINSTALL_PS, UNINSTALL_DOC): New variables.
	($(INSTALL_DOC), install-doc, install-dvi, install-html, install-pdf)
	(install-ps, $(UNINSTALL_DOC), uninstall-doc, uninstall-dvi)
	(uninstall-html, uninstall-pdf, uninstall-ps): New .PHONY rules.

2013-08-11  Paul Eggert  <eggert@cs.ucla.edu>

	Add --with-zlib to 'configure'.
	* configure.ac: Add --with-zlib option to 'configure', so that Emacs
	can be built without zlib.  Don't assume that -lz is needed on
	non-PNG hosts.  Mention zlib configuration status in 'configure' output.

2013-08-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.ac: Test for zlib.

2013-08-10  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac: Define and substitute UPDATE_MANIFEST.

2013-08-04  Stephen Berman  <stephen.berman@gmx.net>

	* info/dir: Add todo-mode.

2013-08-04  Paul Eggert  <eggert@cs.ucla.edu>

	Fix some minor races in hosts lacking mkostemp (Bug#15015).
	Gnulib's emulation of mkostemp doesn't have races that Emacs's does.
	* configure.ac (mkostemp): Remove check for this function;
	gnulib does the check now.
	(mkstemp): Remove check for this no-longer-used function.
	* lib/mkostemp.c, lib/secure_getenv.c, lib/tempname.c, lib/tempname.h:
	* m4/mkostemp.m4, m4/secure_getenv.m4, m4/tempname.m4:
	New files, copied from Gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-07-29  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL (DETAILED BUILDING AND INSTALLATION):
	Add --without-file-notification to --without-all.

2013-07-29  Xue Fuqiao  <xfq.free@gmail.com>

	* INSTALL: Fix description.

2013-07-27  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Extend the --with-sound option to allow
	specification of OSS or ALSA (see bug#14812#64).

2013-07-25  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add ido.

	* make-dist: Add a --tests option, to include test/.

2013-07-24  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Use self-descriptive tags for AC_CONFIG_COMMANDS.

2013-07-23  Glenn Morris  <rgm@gnu.org>

	* configure.ac (etc, lisp): No need to create specially.
	Configure already creates lisp, src/Makefile now creates etc.

2013-07-23  Paul Eggert  <eggert@cs.ucla.edu>

	Port to GNU/Linux systems with tinfo but not ncurses.
	* configure.ac (USE_NCURSES): New symbol.

2013-07-20  Paul Eggert  <eggert@cs.ucla.edu>

	Fix array bounds violation when pty allocation fails.
	* configure.ac (PTY_TTY_NAME_SPRINTF): Use PTY_NAME_SIZE,
	not sizeof pty_name, since pty_name is now a pointer to the array.

2013-07-13  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Simplify --with-file-notification handling.

2013-07-12  Glenn Morris  <rgm@gnu.org>

	* configure.ac: If with-file-notification=yes, if gfile not found,
	go on to try inotify (not on MS Windows or Nextstep).

2013-07-12  Paul Eggert  <eggert@cs.ucla.edu>

	Fix races with threads and file descriptors.
	* configure.ac (PTY_TTY_NAME_SPRINTF): Use emacs_close, not close.

2013-07-10  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (removenullpaths): Remove adjacent null paths (Bug#14835).

2013-07-09  Peter Rosin  <peda@lysator.liu.se>  (tiny change>

	* configure.ac (HAVE_W32): Avoid nested functions (the second
	argument of AC_LANG_PROGRAM is already expanded inside a
	function).  (Bug#14830)

2013-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	Port recent close-on-exec changes to Cygwin (Bug#14821).
	* lib/binary-io.c, lib/binary-io.h: New files.
	Merge from gnulib, incorporating:
	2013-07-09 accept4, dup3, pipe2: port to Cygwin
	* lib/pipe2.c: Update from gnulib, as part of this merge.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

	Handle errno and exit status a bit more carefully.
	* lib/ignore-value.h: Remove this gnulib-imported file.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-07-08  Magnus Henoch  <magnus.henoch@gmail.com>  (tiny change)

	* configure.ac (HAVE_IMAGEMAGICK): Check on NS also (Bug#14798).

2013-07-08  Paul Eggert  <eggert@cs.ucla.edu>

	Try to fix FreeBSD 9.1 porting problem (Bug#14812).
	This incorporates the following merge from gnulib:
	2013-07-07 stdalign, verify: port to FreeBSD 9.1, to C11, and to C++11

2013-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	Port to Ubuntu 10 (Bug#14803).
	* configure.ac (accept4): New function to check for.

	Make file descriptors close-on-exec when possible (Bug#14803).
	* configure.ac (mkostemp): New function to check for.
	(PTY_OPEN): Pass O_CLOEXEC to posix_openpt.
	* lib/fcntl.c, lib/getdtablesize.c, lib/pipe2.c, m4/fcntl.m4:
	* m4/getdtablesize.m4, m4/pipe2.m4: New files, taken from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-07-03  Christoph Egger  <christoph@debian.org>  (tiny change)

	* configure.ac (emacs_broken_SIGIO): Set on gnu-kfreebsd to avoid hang.
	http://bugs.debian.org/712974

2013-07-02  Paul Eggert  <eggert@cs.ucla.edu>

	Remove some unused macros from 'configure'.
	* configure.ac (HAVE_SOUNDCARD_H, HAVE_LINUX_VERSION_H, HAVE_SPEED_T)
	(HAVE_GNUTLS_CALLBACK_CERTIFICATE_VERIFY)
	(HAVE_GNUTLS_CERTIFICATE_SET_VERIFY_FUNCTION, HAVE_UTIMES)
	(HAVE_LIBHESIOD, HAVE_LIBRESOLV, HAVE_LIBCOM_ERR, HAVE_LIBCRYPTO)
	(HAVE_LIBK5CRYPTO, HAVE_LIBKRB5, HAVE_LIBDES425, HAVE_LIBDES)
	(HAVE_LIBKRB4, HAVE_LIBKRB, HAVE_DES_H, HAVE_KERBEROSIV_DES_H)
	(HAVE_DEV_PTMX, DEVICE_SEP, USG5):
	Remove these macros, as they are not used.
	(sys_siglist): Remove macro; src/sysdep.c now does this.

	* configure.ac (GTK_COMPILES): Check API a bit more carefully.
	Also check that it links.  Say whether it compiled and linked.

2013-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-06-23 ignore-value: port to gcc -pedantic
	2013-06-21 extern-inline: port to gcc -std=c89

2013-06-30  Paul Eggert  <eggert@cs.ucla.edu>

	Do not use GTK 3 if it exists but cannot be compiled.
	* configure.ac: Leave GTK_OBJ and term_header alone if GTK 3
	exists but cannot be compiled.

2013-06-27  Juanma Barranquero  <lekktu@gmail.com>

	* Makefile.in (install-arch-indep): Do not create directories passed
	with --enable-locallisppath.

2013-06-24  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Include X11/X.h when testing for Xft.h.  (Bug#14684)

2013-06-22  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Add GNU idutils ID database file.

2013-06-21  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.ac (HAVE_LIBXML2): Try built-in libxml2 on OS X 10.8
	as a fallback.

2013-06-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .bzrignore: Don't unignore cl-loaddefs.el.

2013-06-20  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* configure.ac (log2): Check for this function.

2013-06-19  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Add GNU GLOBAL files.

2013-06-17  Paul Eggert  <eggert@cs.ucla.edu>

	Use functions, not macros, for XINT etc.  (Bug#11935).
	* configure.ac (WARN_CFLAGS): Remove -Wbad-function-cast,
	as it generates bogus warnings about reasonable casts of calls.

2013-06-16  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Report ACL usage at the end (Bug#14612).

2013-06-11  Paul Eggert  <eggert@cs.ucla.edu>

	--without-all should imply --with-file-notification=no.  (Bug#14569)
	* configure.ac (with_file_notification): Default to $with_features.

2013-06-09  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-06-02 sig2str: port to C++
	2013-05-29 c-ctype, regex, verify: port to gcc -std=c90 -pedantic

2013-06-08  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_GLIB): Only set XGSELOBJ if HAVE_NS = no.
	(with_file_notification): Don't set to gfile if with_ns = yes.

2013-06-07  Richard Copley  <rcopley@gmail.com>  (tiny change)

	* Makefile.in (msys_to_w32): Modify to support d:\foo file names.
	(msys_lisppath_to_w32, msys_prefix_subst, msys_sed_sh_escape):
	New variables.
	(epaths-force-w32): Use them.  (Bug#14513)

2013-06-03  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac (HAVE_GFILENOTIFY): Check for gio >= 2.24.

2013-06-03  Eli Zaretskii  <eliz@gnu.org>

	* configure.ac (HAVE_GFILENOTIFY): Do not change $LIBS.
	(GFILENOTIFY_CFLAGS, GFILENOTIFY_LIBS): Substitute.

2013-06-03  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_GLIB): Add GLib check.  Set XGSELOBJ if GLib is
	used.  Remove xgselect.o from XOBJ.

2013-06-03  Michael Albinus  <michael.albinus@gmx.de>

	* configure.ac (file-notification): New option, replaces inotify option.
	(HAVE_W32): Remove w32notify.o.
	(with_file_notification): Add checks for glib and w32.  Adapt check
	for inotify.
	(Summary): Add entry for file notification.

	* autogen/config.in: Add entries for HAVE_GFILENOTIFY,
	HAVE_W32NOTIFY and USE_FILE_NOTIFY.

2013-06-02  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Ignore dirs libexec/, share/ and var/.

2013-05-29  Xue Fuqiao  <xfq.free@gmail.com>

	* INSTALL: Fix description.

2013-05-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.ac (HAVE_XRANDR): Check availability of
	XRRGetScreenResources rather than that of XRRQueryExtension.

2013-05-18  Eli Zaretskii  <eliz@gnu.org>

	* make-dist (files): Add nt/msysconfig.sh, nt/mingw-cfg.site,
	nt/epaths.nt, and nt/INSTALL.MSYS.

2013-05-18  Paul Eggert  <eggert@cs.ucla.edu>

	Port --enable-gcc-warnings to clang.
	* configure.ac (nw): Remove obsolescent warnings.
	These aren't needed for clang, or for gcc for that matter.
	(emacs_cv_clang): New var, which tests for clang.
	Omit warnings that clang is too picky about.
	(GLIB_DISABLE_DEPRECATION_WARNINGS): Define this;
	needed for Ubuntu 13.04 + clang + --enable-gcc-warnings.

	* make-dist (files): Add nt/Makefile.in, nt/gnulib.mk.
	Otherwise, 'configure; make' fails on non-Windows builds.

2013-05-16  Eli Zaretskii  <eliz@gnu.org>

	* lib/Makefile.am: If building for MS-Windows, include
	nt/gnulib.mk instead of lib/gnulib.mk.

	* configure.ac: Adapt to MSYS build on MS-Windows.

	* Makefile.in (NTDIR): New variable, for the MSYS build on
	MS-Windows.
	(SUBDIR): Add $(NTDIR).
	(.PHONY): Add epaths-force-w32.
	(msys_to_w32): New variable.
	(epaths-force-w32, install-nt, uninstall-nt): New targets.
	(lib-src src): Add $(NTLIB) to prerequisites.
	(lib lib-src lisp leim nt): Add 'nt'.
	(config.status): Use $(CFG).
	(.PHONY): Add install-$(NTDIR) and uninstall-$(NTDIR).
	(install, install-arch-dep): Add install-$(NTDIR).
	(uninstall): Depend on uninstall-$(NTDIR).
	(mostlyclean, clean, distclean, bootstrap-clean): Add 'nt'.

	* GNUmakefile (CFG): New variable, uses mingw-cfg.site as
	CONFIG_SITE for the MSYS build on MS-Windows.
	(Makefile): Use $(CFG).

	* .bzrignore: Ignore *.res, *.tmp, and *.map.
	Remove src/emacs.res.

2013-05-16  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-05-15 manywarnings: update for GCC 4.8.0
	2013-05-15 stdio: use __REDIRECT for fwrite, fwrite_unlocked
	2013-05-15 sig2str, stdio, warnings: port to clang

2013-05-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (install-doc): DOC file is not version specific any more.
	* .bzrignore: Don't ignore DOC-* any more.

2013-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (LD_SWITCH_SYSTEM_TEMACS): OpenBSD needs -nopie.
	Reported privately by Han Boetes <han@boetes.org>.

2013-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (ACL_H): New macro.
	($(BLD)/acl-errno-valid.$(O)): Update dependencies.

2013-05-07  Paul Eggert  <eggert@cs.ucla.edu>

	Use Gnulib ACL implementation, for benefit of Solaris etc.  (Bug#14295)
	* configure.ac: Remove -with-acl option, since Gnulib does that for
	us now.
	(LIBACL_LIBS): Remove; no longer needed.
	* lib/Makefile.am (CLEANFILES, SUFFIXES): New (empty) macros,
	for the benefit of the new ACL implementation.
	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/acl-errno-valid.$(O).
	($(BLD)/acl-errno-valid.$(O)): New rule.
	* lib/acl-errno-valid.c, lib/acl-internal.h, lib/acl.h:
	* lib/acl_entries.c, lib/errno.in.h, lib/file-has-acl.c:
	* lib/qcopy-acl.c, lib/qset-acl.c, m4/acl.m4, m4/errno_h.m4:
	New files, taken from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-05-07  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_XRANDR, HAVE_XINERAMA): Define if available.
	(XRANDR_LIBS, XINERAMA_LIBS): New AC_SUBSTs.

2013-05-06  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-04-30 utimens, utimensat: work around Solaris UTIME_OMIT bug

2013-05-01  Paul Eggert  <eggert@cs.ucla.edu>

	* make-dist: Keep necessary restrictions on file access.

2013-04-29  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-04-28 extern-inline: work around bug in Sun c99

2013-04-27  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-04-27 alignof, intprops, malloca: port better to IBM's C compiler

2013-04-26  Paul Eggert  <eggert@cs.ucla.edu>

	Port better to AIX (Bug#14258).
	* configure.ac (CFLAGS): Append -O if the user did not specify CFLAGS,
	we did not already infer an optimization option, and -O works.
	AIX xlc needs -O, otherwise garbage collection doesn't work.

2013-04-22  Paul Eggert  <eggert@cs.ucla.edu>

	* make-dist: Do not distribute admin/unidata/Makefile.
	It is generated by 'configure'.

	* build-aux/update-subdirs: Don't leave subdirs.el~ behind.
	It messes up 'make distclean', and contains no useful information
	because it's a copy of subdirs.el.

2013-04-18  John Marino  <gnugcc@marino.st>  (tiny change)

	* configure.ac: Add DragonFly BSD, mostly same as FreeBSD.  (Bug#14068)

2013-04-18  Glenn Morris  <rgm@gnu.org>

	* configure.ac (AC_PROG_LN_S): Remove, too restrictive.
	(LN_S_FILEONLY): New output variable.
	* Makefile.in (LN_S): Remove.
	(LN_S_FILEONLY): New, set by configure.
	(install-arch-dep): Use LN_S_FILEONLY rather than LN_S.

2013-04-12  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (canonical): Adapt to 64-bit Cygwin, for which
	`canonical' is `x86_64-unknown-cygwin'.

2013-04-09  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (W32_RES_LINK): Remove unneeded linker directive
	`-Wl,-bpe-i386', which is confusing in the 64-bit case.
	(Bug#12993)

2013-04-07  Paul Eggert  <eggert@cs.ucla.edu>

	Fix --enable-profiling bug introduced by 2013-02-25 change (Bug#13783).
	* configure.ac (LD_SWITCH_SYSTEM_TEMACS): Append -pg if profiling
	and if not on GNU/Linux or FreeBSD.
	* lib/Makefile.am (AM_CFLAGS): Add $(PROFILING_CFLAGS), so that
	lib/*.o is profiled too.

2013-03-30  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-03-29 stdalign: port to stricter ISO C11
	This helps to run 'configure' on MS-Windows; see Eli Zaretskii in
	<https://lists.gnu.org/r/emacs-devel/2013-03/msg00999.html>.

2013-03-27  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (HAVE_XKBGETKEYBOARD): Remove.
	Subsumed by HAVE_XKB.  All uses changed.

2013-03-25  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_XKB): Define if Xkb is present.

2013-03-24  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-03-21 sys_select, sys_time: port 2013-01-30 fix to Cygwin

2013-03-18  Paul Eggert  <eggert@cs.ucla.edu>

	Fix bug when building Emacs with a GNU Make submake (Bug#13962).
	* Makefile.in (QUIET_SUBMAKE): New macro.
	(install-info, uninstall): Use it.

	Emacs crashes with ImageMagick 6.8.2-3 through 6.8.3-9 (Bug#13867).
	* configure.ac (IMAGEMAGICK_MODULE): Reject 6.8.2.
	We want to reject 6.8.2-3 through 6.8.3-9, but there seems to be
	no way to do this in pkg-config, so make do with a reasonable
	approximation.

	Automate the build of ja-dic.el (Bug#13984).
	* .bzrignore: Add leim/ja-dic/.

2013-03-13  Paul Eggert  <eggert@cs.ucla.edu>

	File synchronization fixes (Bug#13944).
	* configure.ac (BSD_SYSTEM, BSD_SYSTEM_AHB): Remove; no longer needed.
	(fsync): Remove check; now done by gnulib.
	* lib/fdatasync.c, lib/fsync.c, m4/fdatasync.m4, m4/fsync.m4:
	New files, from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

	Merge from gnulib, incorporating:
	2013-03-13 putenv: port to Solaris 10
	2013-03-12 mktime: fix configure typo
	2013-03-11 regex: port to mingw's recent addition of undeclared alarm
	2013-03-11 putenv: avoid compilation warning on mingw
	2013-03-11 unistd: don't prevent Tru64 Unix from using gnulib strtod.

2013-03-11  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to version 24.3 release.

2013-03-06  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (TERM_HEADER): Remove duplicate definition (Bug#13872).
	It can mess up 'configure' runs.

2013-03-05  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-man): Ignore gzip exit status.

2013-03-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove lzma (it's replaced by xz).

2013-03-01  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-02-21 putenv: port better to native Windows
	2013-02-18 extern-inline: avoid compilation error with HP-UX cc
	2013-02-14 putenv: fix heap corruption with mixed putenv/_putenv

2013-02-28  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (HAVE_DATA_START): Fix test.  (Bug#13818)

2013-02-25  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify data_start configuration (Bug#13783).
	* configure.ac (CRT_DIR, LIB_STANDARD, START_FILES, DATA_START)
	(LD_FIRSTFLAG, ORDINARY_LINK, LIB_GCC): Remove.
	(AC_CHECK_HEADERS_ONCE): Remove sys/resource.h, as it's
	not always needed.
	(HAVE_DATA_START): New macro.

2013-02-21  Paul Eggert  <eggert@cs.ucla.edu>

	Parallelize documentation builds.
	This speeds up building of documentation on multiprocessor
	platforms, and is motivated by Texinfo 5.0, which is much slower.
	Add a toplevel rule 'make docs' to make all the documentation.
	* .bzrignore: Add .dvi, .html, .ps.
	* Makefile.in (DVIS, HTMLS, INFOS, PSS, DOCS): New macros.
	($(DOCS), docs, vi, html, pdf, ps): New rules.
	(info-real): Depend on $(INFOS) rather than doing it sequentially.
	(dvi): Depend on $(DVIS) rather than doing it sequentially.

2013-02-15  Paul Eggert  <eggert@cs.ucla.edu>

	Fix AIX port (Bug#13650).
	* configure.ac (DATA_START, DATA_SEG_BITS): Set to 0x20000000 on AIX.

2013-02-12  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/memrchr.$(O).
	($(BLD)/memrchr.$(O)): New dependency.

2013-02-11  Paul Eggert  <eggert@cs.ucla.edu>

	Tune by using memchr and memrchr.
	* .bzrignore: Add string.h.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/memrchr.c, lib/string.in.h, m4/memrchr.m4, m4/string_h.m4:
	New files, from gnulib.

	Merge from gnulib, incorporating:
	2013-02-11 unsetenv etc.: port to Solaris 11 + GNU Emacs
	2013-02-09 secure_getenv: fix C++ declaration typo

2013-02-11  Glenn Morris  <rgm@gnu.org>

	* configure.ac (emacs_config_options): Record some env vars.

2013-02-10  Glenn Morris  <rgm@gnu.org>

	* configure.ac (emacs_config_options): Strip out the (internal)
	arguments --no-create and --no-recursion.

2013-02-08  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-02-08 careadlinkat: stop exporting careadlinkatcwd
	The MS-Windows port can remove careadlinkatcwd at its convenience.
	2013-02-08 extensions: port better to HP-UX
	2013-02-06 extensions: port better to MINIX 3, HP-UX, autoheader 2.62
	2013-02-06 unistd: avoid namespace pollution on non-glibc systems
	2013-02-04 secure_getenv: new module [module not used by Emacs]
	2013-01-30 sys_time: port to Solaris 2.6

2013-02-01  Paul Eggert  <eggert@cs.ucla.edu>

	Use fdopendir, fstatat and readlinkat, for efficiency (Bug#13539).
	On my host, this speeds up directory-files-and-attributes by a
	factor of 3, when applied to Emacs's src directory.
	These functions are standardized by POSIX and are common these
	days; fall back on a (slower) gnulib implementation if the host
	is too old to supply them.
	* .bzrignore: Add lib/dirent.h.
	* lib/Makefile.am (libgnu_a_SOURCES): Add openat-die.c, save-cwd.c.
	* lib/careadlinkat.c, lib/careadlinkat.h: Merge from gnulib,
	incorporating: 2013-01-29 careadlinkat: do not provide careadlinkatcwd.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/dirent.in.h, lib/fdopendir.c, lib/fstatat.c, lib/openat-priv.h:
	* lib/openat-proc.c, lib/openat.h, m4/dirent_h.m4, m4/fdopendir.m4:
	* m4/fstatat.m4: New files, from gnulib.
	* lib/openat-die.c, lib/save-cwd.c, lib/save-cwd.h: New files.
	These last three are specific to Emacs and are not copied from gnulib.
	They are simpler than the gnulib versions and are tuned for Emacs.

2013-02-01  Glenn Morris  <rgm@gnu.org>

	* make-dist: Only README files exist in lisp/ now, not README*.

2013-01-23  Giorgos Keramidas  <gkeramidas@gmail.com>  (tiny change)

	* .bzrignore: Add lib-src/blessmail.

2013-01-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-01-16 unistd: port to recent mingw

2013-01-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Put back a chmod that was
	removed 2012-05-19.  (Bug#13430)

2013-01-16  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-01-16 largefile: port better to Mac OS X 10.5
	2013-01-15 stdint: fix build with Android's Bionic fox x86

2013-01-16  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac: Document that --enable-gcc-warnings emits errors.
	(Bug#13448)

2013-01-13  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add options for xz compression and no compression.

2013-01-12  Paul Eggert  <eggert@cs.ucla.edu>

	Enable conservative stack scanning for all architectures.
	Suggested by Stefan Monnier in
	<https://lists.gnu.org/r/emacs-devel/2013-01/msg00183.html>.
	* configure.ac (GC_MARK_STACK): Remove.

2013-01-11  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/getopt_.h: Remove trailing CRs that crept in.

2013-01-11  Eli Zaretskii  <eliz@gnu.org>

	* lib/getopt_.h: Regenerate.

2013-01-10  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-01-09 stdlib: port to Solaris 2.6

2013-01-04  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add htmlfontify.

2013-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2013-01-04 stdio: remove now-unnecessary stdio.c
	2013-01-04 fprintftime: depend on stdio, not ignore-value
	2013-01-04 fwrite: silence __wur only for older glibc versions
	2013-01-04 fwrite: silence __wur without using inline
	* lib/stdio.c: Remove.
	* lib/stdio.in.h, lib/strftime.c: Update from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2013-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating copyright-date changes and:
	2012-12-31 dup2: work around cygwin bug

2012-12-30  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Check for GtkHandlebox.
	Check for GtkTearoffMenuItem.
	New enable: --enable-gtk-deprecation-warnings, default off.
	(HAVE_GTK3): If above enable is off, add
	-DGDK_DISABLE_DEPRECATION_WARNINGS to GTK_CFLAGS.

2012-12-30  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac (TEMACS_LDFLAGS2): Don't define.
	(LIBS_GNUSTEP): Set for GNUstep and substitute.
	(LD_SWITCH_SYSTEM_TEMACS): Don't set for GNUstep.

2012-12-27  Glenn Morris  <rgm@gnu.org>

	* configure.ac (emacs_config_options): New.
	Use $@ rather than undocumented $ac_configure_args.
	Replace any embedded double quotes.  (Bug#13274)

2012-12-27  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac (SIGNALS_VIA_CHARACTERS): Also define for darwin.
	(Bug#13222)

2012-12-26  Paul Eggert  <eggert@cs.ucla.edu>

	Revert static checking of stack smashing.
	* configure.ac (WARN_CFLAGS): Omit -Wstack-protector when
	configured with --enable-gcc-warnings.  -Wstack-protector causes
	diagnostics to be issued on Ubuntu 12.10 x86-64.

2012-12-24  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-12-21 AC_PROG_MKDIR_P: port workaround to pre-2.62 Autoconf
	2012-12-20 AC_PROG_MKDIR_P: don't workaround if not buggy
	2012-12-17 filemode, sys_stat: Handle MPX files a la AIX.

2012-12-21  Akinori MUSHA  <knu@iDaemons.org>  (tiny change)

	* Makefile.in (install-arch-dep): Ignore chmod errors.  (Bug#13233)

2012-12-16  Romain Francoise  <romain@orebokech.com>

	* configure.ac (acl): New option.
	(HAVE_POSIX_ACL): Test for POSIX ACL support.  This is typically
	provided by libacl on GNU/Linux.

2012-12-14  Paul Eggert  <eggert@cs.ucla.edu>

	Fix permissions bugs with setgid directories etc.  (Bug#13125)
	* configure.ac (BSD4_2): Remove; no longer needed.

2012-12-13  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add bovine, srecode, wisent.

2012-12-13  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (install-info): Use `${MAKE} -s' for echo-info.
	(uninstall): Likewise.  (Bug#13142)

2012-12-11  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib for 'inline' (Bug#13040), incorporating:
	2012-12-11 extern-inline: avoid incompatibility with Darwin Libc
	* m4/extern-inline.m4: Update from gnulib.

2012-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (SIG2STR_H): New macro.
	($(BLD)/sig2str.$(O)): Update dependencies.

2012-12-10  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (HAVE_INOTIFY): Speed up configure-time test.
	There's no need to test for any of three inotify functions,
	since we use all three.  Check for just the first one.

2012-12-10  Daniel Colascione  <dancol@dancol.org>

	* .bzrignore: Add src/emacs.res.

	* configure.ac (W32_RES, W32_RES_LINK, WINDRES): Teach the cygw32
	build how to compile Windows resource files; use these variables
	to tell src/Makefile.in how and whether to compile resources.

2012-12-10  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* configure.ac (inotify): New option.
	(HAVE_INOTIFY): Test for inotify.

2012-12-09  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac: Fix source command in .gdbinit.
	Don't quote $MAKEINFO.

2012-12-09  Paul Eggert  <eggert@cs.ucla.edu>

	Allow spaces in some configuration vars (Bug#13078).
	* configure.ac (srcdir): Don't assume $PWD lacks spaces.
	(srcdir, MAKEINFO, PKG_CONFIG, PKG_CONFIG_MIN_VERSION):
	All uses quoted, to allow spaces in these vars.

2012-12-08  Paul Eggert  <eggert@cs.ucla.edu>

	Use putenv+unsetenv instead of modifying environ directly (Bug#13070).
	* lib/putenv.c, lib/unsetenv.c, m4/putenv.m4, m4/setenv.m4:
	New files, copied automatically from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2012-12-08  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/sig2str.$(O)): New dependency.
	Remove a stray character at the beginning of the file.
	(Bug#13026)

2012-12-08  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify get_lim_data.
	* configure.ac (ULIMIT_BREAK_VALUE): Remove.

	Assume POSIX 1003.1-1988 or later for signal.h (Bug#13026).
	* configure.ac (PTY_OPEN, PTY_TTY_NAME_SPRINTF):
	Use SIGCHLD rather than SIGCLD.
	* lib/sig2str.c, lib/sig2str.h, m4/sig2str.m4: New files, from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/makefile.w32-in (GNULIBOBJS): Add $(BUILD)/sig2str.$(O).

2012-12-06  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Handle info/ files with or without ".info" extension.

2012-11-30  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib for 'inline' (Bug#13040), incorporating:
	2012-11-29 snippet/warn-on-use: no 'static inline'
	2012-11-29 ftruncate, fts, lstat, openat, raise: no 'static inline'
	2012-11-29 arctwo, md4, md5, sha1, sha256, sha512: no 'static inline'
	2012-11-29 fflush, stat: no 'static inline'
	2012-11-29 stdio: better 'inline'
	2012-11-29 sys_stat: no 'static inline'
	2012-11-29 unistd: better 'inline'
	2012-11-29 c-strtod, memcoll, readutmp: no 'static inline'
	2012-11-29 extern-inline: no 'static inline'
	2012-11-29 sys_socket: better 'inline'
	* lib/stdio.c, lib/unistd.c: New files, from gnulib.
	* build-aux/snippet/warn-on-use.h, lib/gnulib.mk, lib/lstat.c:
	* lib/md5.c, lib/sha1.c, lib/sha256.c, lib/sha512.c, lib/stat.c:
	* lib/stdio.in.h, lib/sys_stat.in.h, lib/unistd.in.h, m4/c-strtod.m4:
	* m4/extern-inline.m4, m4/gnulib-comp.m4, m4/lstat.m4, m4/md5.m4:
	* m4/sha1.m4, m4/sha256.m4, m4/sha512.m4, m4/stat.m4, m4/stdio_h.m4:
	* m4/sys_socket_h.m4, m4/sys_stat_h.m4, m4/unistd_h.m4:
	Update from gnulib.

2012-11-27  Eli Zaretskii  <eliz@gnu.org>

	* make-dist (nt): Adjust to changes in names of the *.manifest files.

2012-11-24  Ken Brown  <kbrown@cornell.edu>

	* configure.ac (HAVE_MOUSE): Remove.

2012-11-23  Paul Eggert  <eggert@cs.ucla.edu>

	Assume POSIX 1003.1-1988 or later for dirent.h (Bug#12958).
	* configure.ac: Do not check for dirent.h or closdir.

2012-11-21  Paul Eggert  <eggert@cs.ucla.edu>

	Assume POSIX 1003.1-1988 or later for unistd.h (Bug#12945).
	* configure.ac: Do not check for getcwd or getwd.

2012-11-21  Glenn Morris  <rgm@gnu.org>

	* configure.ac (--enable-profiling): Doc fix.

2012-11-20  Paul Eggert  <eggert@cs.ucla.edu>

	Improve static checking of integer overflow and stack smashing.
	* configure.ac (WARN_CFLAGS): Add -Wstack-protector
	if using GCC 4.7.2 or later on a platform with
	at least 64-bit long int.  This improves static checking on these
	platforms, when configured with --enable-gcc-warnings.

2012-11-17  Paul Eggert  <eggert@cs.ucla.edu>

	Assume POSIX 1003.1-1988 or later for fcntl.h (Bug#12881).
	* configure.ac: Do not check for fcntl.h.
	* lib/gnulib.mk: Regenerate.

2012-11-16  Paul Eggert  <eggert@cs.ucla.edu>

	Remove no-longer-used pty_max_bytes variable.
	* configure.ac (fpathconf): Remove unnecessary check.

2012-11-14  Paul Eggert  <eggert@cs.ucla.edu>

	Use faccessat, not access, when checking file permissions (Bug#12632).
	* .bzrignore: Add lib/fcntl.h.
	* configure.ac (euidaccess): Remove check; gnulib does this for us now.
	(gl_FCNTL_O_FLAGS): Define a dummy version.
	* lib/at-func.c, lib/euidaccess.c, lib/faccessat.c, lib/fcntl.in.h:
	* lib/getgroups.c, lib/group-member.c, lib/root-uid.h:
	* lib/xalloc-oversized.h, m4/euidaccess.m4, m4/faccessat.m4:
	* m4/fcntl_h.m4, m4/getgroups.m4, m4/group-member.m4:
	New files, from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2012-11-05  Paul Eggert  <eggert@cs.ucla.edu>

	Assume at least POSIX.1-1988 for getpgrp, setpgid, setsid (Bug#12800).
	* configure.ac (setpgid, setsid): Assume their existence.
	(AC_FUNC_GETPGRP, SETPGRP_RELEASES_CTTY): Remove; obsolete.

	Simplify by assuming __fpending.
	Now that Emacs is using the gnulib fpending module,
	there's no need for Emacs to have a separate implementation.
	* configure.ac (stdio_ext.h, __fpending): Remove now-duplicate checks.
	(PENDING_OUTPUT_COUNT, DISPNEW_NEEDS_STDIO_EXT): Remove.

2012-11-03  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/fpending.$(O) and
	$(BLD)/close-stream.$(O).
	($(BLD)/close-stream.$(O))
	($(BLD)/fpending.$(O)): New dependencies.

2012-11-03  Paul Eggert  <eggert@cs.ucla.edu>

	Fix data-loss with --batch (Bug#9574).
	* lib/close-stream.c, lib/close-stream.h, lib/fpending.c
	* lib/fpending.h, m4/close-stream.m4, m4/fpending.m4:
	New files, from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2012-11-03  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Copy lib/execinfo.in.h to lib/execinfo.in-h if needed.

2012-11-02  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (EMACS_ICON): New variable.
	(install-etc): Use EMACS_ICON to allow choice of icon.

2012-10-26  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (EMACS_NAME): New variable.
	(EMACS, install-etc, uninstall): Use $EMACS_NAME.

	* Makefile.in (EMACS, EMACSFULL): Transformations should not be
	applied to $EXEEXT.

	* Makefile.in (uninstall): Don't abort if some directories are missing.
	Apply transformation rules to manual pages, desktop and icon files.
	No more emacs22 icons to uninstall.

2012-10-24  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-etc, install-man):
	Don't apply program transform to standard file suffixes.

2012-10-23  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (_FORTIFY_SOURCE): Do not multiply define (Bug#12714).
	This ports to Gentoo.  Problem originally reported against coreutils,
	but Emacs has it too.

2012-10-23  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (emacs_transform): Remove.
	(install-man): Revert 2012-10-21 change.  (Bug#12713)

2012-10-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-etc): Don't install emacs22 icons.

	* Makefile.in (emacs_transform): New variable.
	(install-etc): Prefer a make variable to a shell variable.

2012-10-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in ($(MAKEFILE_NAME)): Depend on src/lisp.mk as well.

2012-10-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-man, install-etc):
	Apply $TRANSFORM.  (Bug#12536#34)
	(clean): Delete etc/emacs.tmpdesktop.

2012-10-11  Kenichi Handa  <handa@gnu.org>

	* .bzrignore: Add several files under admin/charsets.

2012-10-08  Daniel Colascione  <dancol@dancol.org>

	* configure.ac: Add --with-w32 as a window system option.
	Limit it to Cygwin for now.  Integrate w32 into the refactored window
	system configuration and set TERM_HEADER to w32term.h when w32 is
	configured.

	(CYGWIN_OBJ): Add cygw32.o.

2012-10-07  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Check that OSX is 10.4 or newer.

2012-10-07  Paul Eggert  <eggert@cs.ucla.edu>

	Improve sys_siglist detection.
	* configure.ac (sys_siglist): Look for its decl in <signal.h>.
	Otherwise, it's not found in either Fedora 17 or Solaris 11.

2012-10-04  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-10-02 pselect: reject invalid file descriptors
	2012-10-02 ptsname: reject invalid file descriptors
	2012-10-02 manywarnings: cater to more gcc infelicities
	2012-09-30 sockets, sys_stat: restore AC_C_INLINE
	* lib/pselect.c, lib/stdlib.in.h, m4/manywarnings.m4, m4/pselect.m4:
	* m4/stdlib_h.m4, m4/sys_stat_h.m4: Update from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2012-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-09-28 extern-inline: provide a -Wundef safe config.h

2012-09-27  Paul Eggert  <eggert@cs.ucla.edu>

	Check more robustly for timer_settime.
	This should fix an OS X build problem reported by Ivan Andrus in
	<https://lists.gnu.org/r/emacs-devel/2012-09/msg00671.html>.
	* configure.ac (gl_THREADLIB): Define to empty, since Emacs
	does threads its own way.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

2012-09-23  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (bootstrap): Set MAKEFILE_NAME when building Makefile,
	to avoid problems with recursion when using GNU make.

2012-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (bootstrap): Simplify build procedure.
	Suggested by Wolfgang Jenker in
	<https://lists.gnu.org/r/emacs-devel/2012-09/msg00456.html>.

	Merge from gnulib, incorporating:
	2012-09-22 sockets, sys_stat: remove AC_C_INLINE in MSVC-only cases

2012-09-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_GTK): Mention if we use GTK2 or GTK3.

2012-09-17  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (bootstrap): Revert last change.  Run config.status
	after config.status --recheck, run configure from $(srcdir).
	(config.status): Run configure from $(srcdir).

2012-09-17  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in: Fix build error on FreeBSD.
	($(MAKEFILE_NAME)): Pass MAKE='$(MAKE)' to config.status's env.
	Suggested by Wolfgang Jenker in
	<https://lists.gnu.org/r/emacs-devel/2012-09/msg00430.html>.
	(MAKE_CONFIG_STATUS): Remove.  Remaining use expanded.
	This undoes part of the 2012-09-10 patch.
	(bootstrap): Run ./configure, rather than trying to run config.status
	if it exists.  That builds src/epaths.h more reliably.
	Run autogen/copy_autogen if autogen.sh fails,
	to create 'configure'.  Reported by Andreas Schwab in
	<https://lists.gnu.org/r/emacs-devel/2012-09/msg00438.html>.
	* autogen.sh: Exit with status 1 when failing due to missing tools,
	reverting the 2012-09-10 change to this file.
	* autogen/copy_autogen: Fail if one of the subsidiary actions fail.
	Use 'cp -f' for the build-aux files, since the destinations are
	typically read-only.

	Remove no-longer-needed Solaris 2.4 vfork bug workaround.
	* configure.ac (ac_cv_func_vfork_works): Default to 'no' on
	Solaris 2.4, so that AC_FUNC_VFORK doesn't think vfork works.

2012-09-17  Glenn Morris  <rgm@gnu.org>

	* configure.ac (copyright): New output variable.
	(COPYRIGHT): New AC_DEFINE.

2012-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	Remove configure's --without-sync-input option (Bug#12450).
	* configure.ac (SYNC_INPUT, BROKEN_SA_RESTART): Remove.

2012-09-16  Glenn Morris  <rgm@gnu.org>

	Increase compartmentalization of Nextstep builds rules,
	and store Emacs version number in fewer versioned files.
	* configure.ac (ns_appsrc): Use relative names.
	(ns_frag): Remove.
	(Info-gnustep.plist, Emacs.desktop, Info.plist, InfoPlist.strings)
	(nextstep/Makefile): Generate these nextstep files.
	(SUBDIR_MAKEFILES): Add nextstep.
	* Makefile.in (clean, distclean, bootstrap-clean): Add nextstep.
	* make-dist (nextstep/templates): Add directory.
	(nextstep/Cocoa/Emacs.base/Contents/Resources/English.lproj): Remove.
	(nextstep/Cocoa/Emacs.base/Contents)
	(nextstep, nextstep/GNUstep/Emacs.base/Resources): Update contents.

2012-09-15  Paul Eggert  <eggert@cs.ucla.edu>

	Port better to POSIX hosts lacking _setjmp (Bug#12446).
	* configure.ac (HAVE__SETJMP, HAVE_SIGSETJMP): New symbols.
	(_setjmp, _longjmp): Remove.

2012-09-14  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (--without-sync-input): Fix typo in usage message.

	* configure.ac: Port to hosts lacking gtk.
	(PKG_CHECK_MODULES): Capture pkg-config diagnostics
	better, in particular, problems in invoking pkg-config itself.
	This is useful on hosts that don't have pkg-config.
	(GTK_MODULES): Do not exit 'configure' simply because gtk3
	and gtk2 are both missing.  Problem found on Solaris 8.

2012-09-13  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: Reorder Xaw3d messages.
	Report Gtk+ 3 as GTK.

2012-09-13  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify SIGIO usage (Bug#12408).
	* configure.ac (NO_TERMIO, BROKEN_FIONREAD, BROKEN_SIGAIO)
	(BROKEN_SIGPOLL, BROKEN_SIGPTY): Remove.
	(USABLE_FIONREAD, USABLE_SIGIO): New symbols.  All uses of
	'defined SIGIO' replaced with 'defined USABLE_SIGIO', with no need
	to #undef SIGIO now (which was error-prone).  Likewise, all uses
	of 'defined FIONREAD' replaced with 'defined USABLE_FIONREAD'.

2012-09-12  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac: No --with-x-toolkit given: Try gtk3 toolkit first
	and then gtk2 if not found.
	--with-x-toolkit=gtk|yes: As above, but fail if gtk2 or gt3 not found.
	--with-x-toolkit=gtk2: Only try gtk2, fail if not found.
	--with-x-toolkit=gtk3: Only try gtk3, fail if not found.

2012-09-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-dep, install-arch-indep, install-doc):
	Be more explicit about dependencies, for parallel `make install'.

2012-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify, document, and port floating-point (Bug#12381).
	* configure.ac (logb, cbrt): Do not check for these functions,
	as they are not being used.

2012-09-10  Paul Eggert  <eggert@cs.ucla.edu>

	Improve robustness of 'make bootstrap' (Bug#12376).
	Run autogen.sh after bootstrap-clean, to avoid bzr pull issues.
	* INSTALL, README: Document autogen.sh.
	* Makefile.in (Makefile): Mark it as precious, since it's updated
	atomically.
	(MAKE_CONFIG_STATUS): New macro.
	(config.status, bootstrap): Use it.  This causes 'make bootstrap'
	to run config.status with the --recheck option, which is more
	appropriate for a bootstrap.
	(bootstrap): Run autogen.sh right after cleaning.  Don't worry
	about failures due to missing tools.
	* autogen.sh: Exit with status 101 when failing due to missing tools.
	* make-dist: Distribute autogen.sh.

2012-09-09  Paul Eggert  <eggert@cs.ucla.edu>

	Assume C89 or later for math functions (Bug#12381).
	* configure.ac (frexp, fmod): Remove checks for these functions,
	as we now assume them.
	(FLOAT_CHECK_DOMAIN, HAVE_INVERSE_HYPERBOLIC, NO_MATHERR)
	(HAVE_EXCEPTION):
	Remove; no longer needed.

2012-09-07  Paul Eggert  <eggert@cs.ucla.edu>

	More signal-handler cleanup (Bug#12327).
	* configure.ac (FLOAT_CHECK_DOMAIN): Comment fix (Bug#12327).

2012-09-06  Paul Eggert  <eggert@cs.ucla.edu>

	Signal-handler cleanup (Bug#12327).
	* configure.ac (PTY_OPEN, PTY_TTY_NAME_SPRINTF):
	Adjust to syssignal.h changes.
	(SIGNAL_H_AB): Remove; no longer needed.

2012-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify redefinition of 'abort' (Bug#12316).
	* configure.ac (NO_ABRT): Remove.

	* configure.ac (_setjmp, _longjmp): Check by compiling
	instead of by guessing.  The guesses were wrong for
	recent versions of Solaris, such as Solaris 11.

2012-09-03  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (WARN_CFLAGS): Omit -Wjump-misses-init.
	It generates false alarms in doc.c, regex.c, xdisp.c.  See
	<https://lists.gnu.org/r/emacs-devel/2012-09/msg00040.html>.

	Merge from gnulib, incorporating:
	2012-08-29 stdbool: be more compatible with mixed C/C++ compiles
	2011-11-30 manywarnings: update the list of "all" warnings

2012-09-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.ac (HAVE_GOBJECT): Check for gobject-2.0 (Bug#12332).

2012-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (_FORTIFY_SOURCE): Define only when optimizing.
	This ports to glibc 2.15 or later, when configured with
	--enable-gcc-warnings.  See Eric Blake in
	<https://lists.gnu.org/r/bug-grep/2012-09/msg00000.html>.

2012-09-01  Daniel Colascione  <dan.colascione@gmail.com>

	* configure.ac: Introduce term_header variable, which holds the
	value which will become TERM_HEADER in code.  We effect our choice
	of window system by setting term_header and WINDOW_SYSTEM_OBJ
	instead of using ad-hoc variables and flags for each window
	system.

2012-08-26  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (CFLAGS): Prefer -g3 to -g if -g3 works
	and if the user has not specified CFLAGS.  -g3 simplifies
	debugging, since it makes macros visible to the debugger.

2012-08-25  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in ($(BLD)/execinfo.$(O)): Update dependencies.

2012-08-25  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/execinfo.$(O), execinfo.h): New targets.
	(GNULIBOBJS): Add $(BLD)/execinfo.$(O).

2012-08-24  Paul Eggert  <eggert@cs.ucla.edu>

	On assertion failure, print backtrace if available.
	Merge from gnulib, incorporating:
	2012-08-24 execinfo: port to FreeBSD
	2012-08-22 execinfo: new module
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.
	* lib/execinfo.c, lib/execinfo.in.h, m4/execinfo.m4: New files.

2012-08-22  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-dep): If NO_BIN_LINK is non-null,
	do not create the bin/emacs link.  (Bug#12011)

2012-08-21  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-08-20 extern-inline: support old GCC 'inline'

2012-08-20  Glenn Morris  <rgm@gnu.org>

	* configure.ac (AC_PROG_LN_S): Test for ln.
	* Makefile.in (LN_S): New, set by configure.
	(install-arch-dep): Use $LN_S.

2012-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-08-19 ignore-value, stat-time, timespec: omit AC_C_INLINE
	2012-08-19 mktime, sys_select: avoid 'static inline'
	2012-08-19 gnulib-tool: Fix indentation.

2012-08-18  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/sigprocmask.c, m4/signalblocking.m4: Remove.
	These files have been unused since the 2012-06-22 patch that
	introduced high-resolution time stamps.

2012-08-17  Jan Beich  <jbeich@tormail.org>  (tiny change)

	* configure.ac (PTY_OPEN): Try posix_openpt on gnu-linux,
	gnu-kfreebsd, freebsd, and netbsd.  (Bug#12040)

2012-08-14  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-08-05 extern-inline: also ignore -Wmissing-declarations

2012-08-10  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (STAT_TIME_H): New macro.
	(FTOASTR_C, $(BLD)/stat-time.$(O), $(BLD)/timespec.$(O))
	($(BLD)/u64.$(O)): Update dependencies.

2012-08-10  Glenn Morris  <rgm@gnu.org>

	* configure.ac (DIRECTORY_SEP): Move here from src/lisp.h.

2012-08-08  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac (--disable-features): Rename to --without-all.
	(OPTION_DEFAULT_ON): Change to use with_features.
	* INSTALL: Fix description.

2012-08-07  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.ac: New option --disable-features.
	(OPTION_DEFAULT_ON): Change to use enable_features.
	* INSTALL: Explain --disable-features.

2012-08-07  Glenn Morris  <rgm@gnu.org>

	* configure.ac: Require automake 1.11 (fairly arbitrarily).
	* autogen.sh (automake_min): Get it from configure.ac.

2012-08-06  Glenn Morris  <rgm@gnu.org>

	* configure.ac (BROKEN_GETWD) [unixware]: New define.

	* configure.ac (GNU_LIBRARY_PENDING_OUTPUT_COUNT): Remove.
	(PENDING_OUTPUT_COUNT): Absorb GNU_LIBRARY_PENDING_OUTPUT_COUNT.
	(DISPNEW_NEEDS_STDIO_EXT): New define.

2012-08-05  Michael Albinus  <michael.albinus@gmx.de>

	* INSTALL: Explain how to completely disable D-Bus.  (Bug#12112)

2012-08-05  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac: Disable paxctl if binaries don't have a
	PT_PAX_FLAGS program header.  (Bug#11979)

2012-08-03  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/stat-time.$(O),
	$(BLD)/timespec.$(O), and $(BLD)/u64.$(O).
	(SHA512_H): Don't mention u64.h twice.
	($(BLD)/stat-time.$(O), ($(BLD)/timespec.$(O), ($(BLD)/u64.$(O)):
	New targets.

2012-08-03  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-08-02 stat-time, timespec, u64: support naive out-of-dir builds

2012-08-02  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* lib/Makefile.am (DEFAULT_INCLUDES): Add -I$(top_srcdir)/lib for
	out-of-tree build.

2012-08-02  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove src/s.

	* lib/makefile.w32-in (MS_W32_H): Update for new ms-w32.h location.

2012-08-02  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib (Bug#12116), incorporating:
	2012-08-01 extern-inline: new module
	2012-08-01 stat-time, timespec, u64, utimens: use extern-inline
	* lib/stat-time.c, lib/timespec.c, lib/u64.c, m4/extern-inline.m4:
	New files.  The new .c files are for instantiating extern inline
	functions.

	Port to Solaris 8.
	Without this change, 'configure' fails because the recently-added
	wait3 prototype in config.h messes up later 'configure' tests.
	Fix this problem by droping wait3 and WRETCODE, as they're
	no longer needed on hosts that are current porting targets.
	* configure.ac (wait3, WRETCODE): Remove, fixing a FIXME.
	All uses changed to waitpid and WEXITSTATUS.

	Avoid needless autoheader after autogen.sh.
	* .bzrignore: Add src/stamp-h.in.
	* autogen.sh: Create src/stamp-h.in.

2012-08-01  Glenn Morris  <rgm@gnu.org>

	* configure.ac (DOS_NT, MSDOS): New system type templates.

2012-08-01  Ulrich Müller  <ulm@gentoo.org>

	* configure.ac (LIB_STANDARD, START_FILES) [FreeBSD]:
	Don't include crtbegin.o and crtend.o.  (Bug#12047)

2012-08-01  Glenn Morris  <rgm@gnu.org>

	* configure.ac (FLOAT_CHECK_DOMAIN, HAVE_INVERSE_HYPERBOLIC)
	(INTERNAL_TERMINAL): New.

	* configure.ac (DEVICE_SEP, IS_DEVICE_SEP, IS_DIRECTORY_SEP)
	(IS_ANY_SEP): Move here from src/lisp.h.

2012-08-01  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (CONFIG_H): Update dependencies.
	(CONF_POST_H): New macro.

2012-07-31  Glenn Morris  <rgm@gnu.org>

	* configure.ac (S_FILE): Remove output variable.

	* configure.ac (opsysfile): Use AH_TEMPLATE.  Doc fix.

	* configure.ac (NULL_DEVICE, SEPCHAR, USER_FULL_NAME):
	Move here from src.

	* configure.ac (AMPERSAND_FULL_NAME, subprocesses):
	Move here from conf_post.h.

2012-07-31  Dmitry Antipov  <dmantipov@yandex.ru>

	Improve OpenMotif detection on GNU/Linux systems.
	* configure.ac (MOTIF): Check for /usr/include/openmotif
	and /usr/(lib|lib64)/openmotif if --with-x-toolkit=motif.

2012-07-31  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (install-arch-indep): Avoid eval.

2012-07-31  Glenn Morris  <rgm@gnu.org>

	* configure.ac (opsysfile, S_FILE): Now they are always empty.

	* configure.ac (opsysfile): Forgot to set it to empty on sol2-10
	when removing src/s/sol2-6.h yesterday.

	* configure.ac (USG5_4): Reintroduce this.
	(opsysfile): Set to empty on irix6-5, sol2*, and unixware.

	* configure.ac (wait3, WRETCODE): Move here from src/s/usg5-4-common.h.

	* configure.ac (opsysfile): Set to empty on hpux*, darwin;
	and to s/usg5-4-common.h on irix6-5.

2012-07-30  Glenn Morris  <rgm@gnu.org>

	* configure.ac (AH_BOTTOM): Use an include file, so that the
	contents do not get processed by autoheader.

2012-07-30  Paul Eggert  <eggert@cs.ucla.edu>

	Do not overwrite config.status while executing it (Bug#11214).
	* Makefile.in (MAKEFILE_NAME): New macro.
	($(MAKEFILE_NAME)): Rename rule from Makefile.
	* configure.ac (epaths): Set MAKEFILE_NAME to a bogus value,
	so that GNU 'make' isn't tempted to make the Makefile and then
	regenerate config.status while config.status is running.

	Update .PHONY listings in makefiles.
	* Makefile.in (.PHONY): Add all, ${SUBDIR}, blessmail, epath-force,
	FRC, install-arch-dep, install-arch-indep, install-doc,
	install-info, install-man, install-etc, install-strip, uninstall,
	bootstrap-clean, TAGS, tags, info-real, force-info, check-info-dir.
	(.RECURSIVE): Remove; hasn't been needed for years.

2012-07-30  Glenn Morris  <rgm@gnu.org>

	* configure.ac (SIGNAL_H_AHB): New hack macro.
	(opsysfile): Set to empty on netbsd, openbsd.
	(AH_BOTTOM): Include signal.h if SIGNAL_H_AHB is defined.

	* configure.ac (_longjmp, _setjmp, TIOCSIGSEND): Move here from src/s.

2012-07-30  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (install-arch-indep): Remove sh -x.

2012-07-30  Glenn Morris  <rgm@gnu.org>

	* configure.ac (opsysfile): Tweak message for null case.

	* configure.ac (opsysfile): Set to empty on aix4-2, freebsd,
	gnu-linux, gnu-kfreebsd; and to usg5-4-common.h on sol2*, unixware.

2012-07-29  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (install-arch-indep): Handle space in locallisppath.

2012-07-28  Paul Eggert  <eggert@cs.ucla.edu>

	Use Gnulib environ module (Bug#9772).
	* m4/environ.m4: New file, from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

	Use Gnulib stdalign module (Bug#9772, Bug#9960).
	This should improve portability of macros like alignof and DECL_ALIGN.
	* lib/stdalign.in.h, m4/stdalign.m4: New files, from gnulib.
	* .bzrignore: Add lib/stdalign.h.
	* config.bat: Do not set NO_DECL_ALIGN; no longer needed.
	Copy lib/stdalign.in.h to lib/stdalign.in-h as needed.
	* configure.ac (HAVE_ATTRIBUTE_ALIGNED): Remove the code that
	fiddles with this, as gnulib now does this for us.

2012-07-17  Dmitry Antipov  <dmantipov@yandex.ru>

	Fix toolkit configuration report.
	* configure.ac (USE_X_TOOLKIT): Report toolkit as GTK3 if
	--with-x-toolkit=gtk3 is used.

2012-07-17  Paul Eggert  <eggert@cs.ucla.edu>

	Fix regression with pthread_sigmask on FreeBSD (Bug#11884).
	* configure.ac: Configure gnulib at the end, not before running
	pkg-config.  This restores the behavior before 2012-06-22, when
	higher-resolution time stamps were added, and fixes a bug whereby
	LIB_PTHREAD was not used and gnulib's part of 'configure'
	therefore incorrectly assumed that pthread_sigmask wasn't working.
	Fix the problem with -lrt and clock_gettime a different way.
	This should complete the fix for Bug#11884.
	(pre_PKG_CONFIG_CFLAGS, pre_PKG_CONFIG_LIBS): New shell vars.

2012-07-15  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-07-15 pthread_sigmask: fix bug on FreeBSD 9 (Bug#11884)
	2012-07-11 gettext: do not assume '#define ... defined ...' behavior

2012-07-14  Glenn Morris  <rgm@gnu.org>

	* configure.ac (GC_SETJMP_WORKS, GC_MARK_STACK): Move here from src/s.
	(AH_BOTTOM): Move GC_SETJMP_WORKS GCC fallback to main body.

2012-07-13  Glenn Morris  <rgm@gnu.org>

	* configure.ac (opsysfile): Set to empty on gnu, cygwin.

	* configure.ac (BSD4_2, BSD_SYSTEM, USG, USG5, _AIX, CYGWIN)
	(DARWIN_OS, GNU_LINUX, HPUX, IRIX6_5, SOLARIS2):
	Move "system type" macros here from src/s.
	(BSD_SYSTEM_AHB): New hack macro.
	(AH_BOTTOM): Set BSD_SYSTEM, using BSD_SYSTEM_AHB.

	* configure.ac (NSIG_MINIMUM, ULIMIT_BREAK_VALUE, SETUP_SLAVE_PTY)
	(GC_MARK_SECONDARY_STACK): Move here from src/s.

2012-07-12  Glenn Morris  <rgm@gnu.org>

	* configure.ac (AH_BOTTOM) [DARWIN_OS]: Move SYSTEM_PURESIZE_EXTRA
	setting here from src/s/darwin.h.

	* configure.ac (NO_MATHERR): Unconditionally define for Darwin;
	as src/s/darwin.h used to.

	* configure.ac (NARROWPROTO, NO_ABORT, BROKEN_GET_CURRENT_DIR_NAME)
	(BROKEN_FIONREAD, BROKEN_PTY_READ_AFTER_EAGAIN, BROKEN_SIGAIO)
	(BROKEN_SIGPOLL, BROKEN_SIGPTY, FIRST_PTY_LETTER, NO_EDITRES)
	(G_SLICE_ALWAYS_MALLOC, PREFER_VSUSP, PTY_ITERATION, PTY_OPEN)
	(PTY_NAME_SPRINTF, PTY_TTY_NAME_SPRINTF, RUN_TIME_REMAP)
	(SETPGRP_RELEASES_CTTY, TAB3, TABDLY, RUN_TIME_REMAP, UNIX98_PTYS)
	(XOS_NEEDS_TIME_H): Move here from src/s.

2012-07-11  Glenn Morris  <rgm@gnu.org>

	* configure.ac (INTERRUPT_INPUT): Move here from src/s.
	(HAVE_PTYS, HAVE_SOCKETS): Define unconditionally.

2012-07-11  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.ac (tzset): Remove check that's redundant with gnulib.

2012-07-11  Glenn Morris  <rgm@gnu.org>

	* configure.ac (CLASH_DETECTION): Define unconditionally.

	* configure.ac (opsysfile): Use bsd-common on gnu systems.

	* configure.ac (GNU_LIBRARY_PENDING_OUTPUT_COUNT)
	(SIGNALS_VIA_CHARACTERS): Move here from src/s.

2012-07-11  Paul Eggert  <eggert@cs.ucla.edu>

	Assume mkdir, rename, rmdir, strerror.
	* configure.ac (mkdir, rename, rmdir, strerror): Remove check.

2012-07-11  Glenn Morris  <rgm@gnu.org>

	* configure.ac (DONT_REOPEN_PTY): Move here from src/s.

	* configure.ac (DEFAULT_SOUND_DEVICE): New definition.

2012-07-10  Paul Eggert  <eggert@cs.ucla.edu>

	Remove "#define unix" that is no longer needed (Bug#11905).
	Merge from gnulib to make "#define unix" unnecessary, incorporating:
	2012-07-10 getloadavg: clean out old Emacs and Autoconf cruft
	2012-07-09 getopt: Simplify after Emacs changed.

2012-07-10  Glenn Morris  <rgm@gnu.org>

	* configure.ac (DATA_START, DATA_SEG_BITS, PENDING_OUTPUT_COUNT):
	Move here from src/s.

2012-07-09  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.ac (PNG_DEPSTRUCT): Define this instead of
	PNG_DEPRECATED.

2012-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	Add GCC-style 'const' attribute to functions that can use it.
	* configure.ac (WARN_CFLAGS): Add -Wsuggest-attribute=const.
	(ATTRIBUTE_CONST): New macro, in config.h.

2012-07-09  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in: Rework dependencies.
	(GNU_LIB, NT_INC, C_CTYPE_H, MS_W32_H, CONFIG_H, FILEMODE_H)
	(FTOASTR_H, FTOASTR_C, GETOPT_INT_H, MD5_H, SHA1_H, SHA256_H)
	(U64_H, SHA512_H): New macros.
	(SRC): Redefine to point to src/, not current directory.
	($(BLD)/c-ctype.$(O), $(BLD)/c-strcasecmp.$(O))
	($(BLD)/c-strncasecmp.$(O), $(BLD)/dtoastr.$(O))
	($(BLD)/dtotimespec.$(O), $(BLD)/getopt.$(O), $(BLD)/getopt1.$(O))
	($(BLD)/gettime.$(O), $(BLD)/strftime.$(O), $(BLD)/time_r.$(O))
	($(BLD)/timespec-add.$(O), $(BLD)/timespec-sub.$(O), $(BLD)/md5.$(O))
	($(BLD)/sha1.$(O), $(BLD)/sha256.$(O), $(BLD)/sha512.$(O))
	($(BLD)/filemode.$(O)): Update dependencies.

2012-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, incorporating:
	2012-07-09 timespec: mark functions with const attributes

	Rename configure.in to configure.ac (Bug#11603).
	The name 'configure.in' has been obsolescent for quite some time,
	and the next release of Autoconf will generate warnings for it.
	See commit 'v2.69-4-g560f16b' of 2012-05-06, "general: deprecate
	'configure.in' as autoconf input" in the Autoconf git repository.
	* configure.ac: Rename from configure.in.
	* INSTALL, INSTALL.BZR, README, make-dist:
	* Makefile.in (AUTOCONF_INPUTS):
	* autogen.sh (autoconf_min):
	* autogen/update_autogen (sources):
	Adjust to reflect new name.

2012-07-08  Paul Eggert  <eggert@cs.ucla.edu>

	Restore deprecation warnings, except for older libpng.
	* configure.in (WARN_CFLAGS): Remove -Wno-deprecated-declarations.
	(HAVE_LIBPNG_PNG_H): Don't bother checking for this if we have png.h.
	(PNG_DEPRECATED): Define when compiling with older PNG versions.

2012-07-07  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (WARN_CFLAGS): Add -Wno-deprecated-declarations.

2012-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	Improve static checking when configured --with-ns.
	See Samuel Bronson's remarks in
	<https://lists.gnu.org/r/emacs-devel/2012-07/msg00146.html>.
	* configure.in (WARN_CFLAGS): Omit -Wunreachable-code, as it's
	a no-op with recent GCC and harmful in earlier ones.
	Omit -Wsync-nand, as it's irrelevant to Emacs and provokes a
	warning when compiling with ObjC.  Always omit
	-Wunsafe-loop-optimizations, as we don't mind when optimization is
	being done correctly.

2012-07-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (BROKEN_SA_RESTART): Doc fix.

	* configure.in: Rather than checking for things then undef'ing
	them on some platforms, simply don't check for them.
	(getwd): Don't check for it on unixware.
	(random, rint): Don't check for these on hpux.
	(res_init, libresolv): Don't check for these on darwin.

2012-07-07  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/c-ctype.$(O),
	$(BLD)/c-strcasecmp.$(O) and $(BLD)/c-strncasecmp.$(O).
	($(BLD)/c-ctype.$(O), $(BLD)/c-strcasecmp.$(O))
	($(BLD)/c-strncasecmp.$(O)): New dependencies.

2012-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Document --enable-gcc-warnings better.

	Use c_strcasecmp for ASCII case-insensitive comparison (Bug#11786).
	This is safer than strcasecmp, which has unspecified behavior
	outside the POSIX locale and in practice sometimes does not work
	in multibyte locales.  Similarly for c_strncasecmp and strncasecmp.
	* configure.in (strcasecmp, strncasecmp): Remove checks.

	* lib/c-ctype.c, lib/c-ctype.h, lib/c-strcase.h, lib/c-strcasecmp.c:
	* lib/c-strncasecmp.c: New files, taken from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Regenerate.

	Merge from gnulib, incorporating:
	2012-07-06 timespec-sub: avoid duplicate include
	Reported by Juanma Barranquero.

2012-07-06  Glenn Morris  <rgm@gnu.org>

	* make-dist [update]: Let autoreconf figure out what needs updating.
	Use `make info-real'.  leim/leim-list.el should always exist.
	Check cd return value.

2012-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.  This is for OpenBSD 5.1 amd64.
	* m4/sys_time_h.m4: New version from gnulib, incorporating:
	2012-07-05 sys_time: allow too-wide tv_sec

2012-07-04  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	* lib/alloca.in.h: New version from gnulib, incorporating:
	2012-07-03 alloca: add support for HP NonStop TNS/E native

2012-07-04  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in: If --enable-gcc-warnings, disable
	-Wunsafe-loop-optimizations for -O1 optimization level.

2012-06-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (standardlisppath): New output variable.
	(lisppath): Use standardlisppath.
	* Makefile.in (standardlisppath): New, set by configure.
	(epaths-force): Use standardlisppath and locallisppath rather than
	lisppath.

2012-06-28  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in: Fix previous change.  Remove --enable-asserts.
	(CPPFLAGS): Remove conditional -DXASSERTS=1.
	Add --enable-link-time-optimization.
	* INSTALL: Mention this.

2012-06-28  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in: Add glyphs category to --enable-checking option.
	(GLYPH_DEBUG): Define if glyphs debugging is enabled.

2012-06-28  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in (ENABLE_CHECKING): Update comment.

2012-06-28  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Don't check for sys/select.h, sys/time.h, utime.h.
	Emacs proper no longer uses these headers, and can rely on Gnulib
	for these checks.

	Merge from gnulib.
	* m4/getopt.m4: Copy new version from gnulib, incorporating:
	getopt-posix: No longer guarantee that option processing is resettable.

2012-06-27  Glenn Morris  <rgm@gnu.org>

	* configure.in: Only check for paxctl on gnu-linux.  (Bug#11398#26)

	* INSTALL: Remove references to paths.el.

2012-06-26  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(GNULIBOBJS)): Depend on stamp_BLD.
	This replaces separate dependency for each object file, which required
	the same object file to be mentioned twice, causing failures in
	parallel builds.

2012-06-26  Paul Eggert  <eggert@cs.ucla.edu>

	Clean out last vestiges of the old HAVE_CONFIG_H stuff.
	* lib/makefile.w32-in (LOCAL_FLAGS): Remove -DHAVE_CONFIG_H.

2012-06-25  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in (AC_CHECK_FUNCS): Detect library functions
	strcasecmp and strncasecmp.

2012-06-24  Paul Eggert  <eggert@cs.ucla.edu>

	Switch from NO_RETURN to C11's _Noreturn (Bug#11750).
	We might as well use the spelling standardized by C11,
	as in the long run that should simplify maintenance.
	* configure.in (NO_RETURN): Remove.  All uses replaced by _Noreturn.

2012-06-24  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/dtotimespec.$(O))
	($(BLD)/timespec-add.$(O))
	($(BLD)/timespec-sub.$(O)): Don't depend on
	$(EMACS_ROOT)/nt/inc/sys/time.h.

	* lib/stat-time.h:
	* lib/timespec.h:
	* lib/utimens.h: Revert last change.

2012-06-23  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	* m4/getopt.m4: Copy new version from gnulib, incorporating:
	getopt-gnu: Handle suboptimal getopt_long's abbreviation handling.

2012-06-23  Eli Zaretskii  <eliz@gnu.org>

	Fix the MS-Windows build broken by 2012-06-22T21:17:42Z!eggert@cs.ucla.edu.
	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/dtotimespec.$(O),
	$(BLD)/gettime.$(O), $(BLD)/timespec-add.$(O), and
	$(BLD)/timespec-sub.$(O).
	($(BLD)/dtotimespec.$(O))
	($(BLD)/gettime.$(O))
	($(BLD)/timespec-add.$(O))
	($(BLD)/timespec-sub.$(O)): New dependencies.

	* lib/stat-time.h:
	* lib/timespec.h:
	* lib/utimens.h: Include sys/time.h.

2012-06-23  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't use AC_CHECK_FUNCS_ONCE, which doesn't use
	the correct CFLAGS and LIBS.

2012-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	Support higher-resolution time stamps (Bug#9000).
	* configure.in (gl_ASSERT_NO_GNULIB_POSIXCHECK)
	(gl_ASSERT_NO_GNULIB_TESTS, gl_INIT): Move these up earlier, so
	that the new clock stuff doesn't clash with RSVG_LIBS.
	(AC_CHECK_HEADERS): Don't check for sys/select.h, sys/time.h, utime.h,
	as gnulib does that for us now.
	(emacs_cv_struct_utimbuf, HAVE_STRUCT_UTIMBUF, HAVE_TIMEVAL)
	(GETTIMEOFDAY_ONE_ARGUMENT): Remove; gnulib does these now.
	(AC_CHECK_FUNCS): Remove utimes; no longer needed.
	* lib/dtotimespec.c, lib/gettime.c, lib/gettimeofday.c, lib/pselect.c:
	* lib/stat-time.h, lib/sys_select.in.h, lib/sys_time.in.h:
	* lib/timespec-add.c, lib/timespec-sub.c, lib/timespec.h:
	* lib/utimens.c, lib/utimens.h, m4/clock_time.m4, m4/gettime.m4:
	* m4/gettimeofday.m4, m4/pselect.m4, m4/stat-time.m4:
	* m4/sys_select_h.m4, m4/sys_socket_h.m4, m4/sys_time_h.m4:
	* m4/timespec.m4, m4/utimbuf.m4, m4/utimens.m4, m4/utimes.m4:
	New files, copied automatically from gnulib.
	* lib/gnulib.mk, m4/gnulib-comp.m4: Merge from gnulib.

2012-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	* lib/filemode.h, lib/signal.in.h, lib/stat.c, lib/stdint.in.h:
	* lib/stdlib.in.h, lib/unistd.in.h, m4/extensions.m4, m4/getloadavg.m4:
	* m4/getopt.m4, m4/gnulib-common.m4, m4/largefile.m4, m4/mktime.m4:
	* m4/multiarch.m4, m4/nocrash.m4, m4/stdio_h.m4, m4/time_r.m4:
	Copy new versions from gnulib, incorporating the following changes:
	2012-06-22 time_r: fix typo that always overrode localtime_r decl
	2012-06-22 Write "Mac OS X" instead of "MacOS X".
	2012-06-21 mktime: fix integer overflow in 'configure'-time test
	2012-06-21 nonblocking: Avoid compilation error on mingw64.
	2012-06-19 stat, fstat: Avoid warnings on mingw64.
	2012-06-19 getopt-gnu: Fix exit code overflow in autoconf test.

2012-06-13  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Rename --enable-use-lisp-union-type to
	--enable-check-lisp-object-type and define CHECK_LISP_OBJECT_TYPE
	instead of USE_LISP_UNION_TYPE.

2012-06-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_PROCFS, _STRUCTURED_PROC): New AC_DEFINEs.
	(opsysfile): Set specially for sol2-10.

	* configure.in (BROKEN_SA_RESTART, USG_SUBTTY_WORKS):
	New AC_DEFINEs, for hpux11.
	(opsysfile): Set specially for hpux11.

2012-06-12  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Coalesce some function checking.
	This makes 'configure' a bit smaller.
	Prefer AC_CHECK_FUNCS_ONCE for functions that we always check for.

2012-06-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (opsysfile): Set specially for gnu-kfreebsd, openbsd.

	* configure.in (NO_TERMIO, BROKEN_SIGIO): Move here from src/s.

	* configure.in: Anticipate platforms with no src/s file.

2012-06-12  Chong Yidong  <cyd@gnu.org>

	* configure.in: Check for MagickMergeImageLayers (Bug#11678).

2012-06-11  Glenn Morris  <rgm@gnu.org>

	* configure.in (SYSTEM_TYPE): New AC_DEFINE.

2012-06-09  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in (dbus_type_is_valid): Check for library function.

2012-06-06  Glenn Morris  <rgm@gnu.org>

	* INSTALL, make-dist: Remove vcdiff.

2012-06-03  Glenn Morris  <rgm@gnu.org>

	* INSTALL, make-dist: Remove rcs-checkin.

2012-06-03  Ulrich Müller  <ulm@gentoo.org>

	* configure.in (PAXCTL): Check for paxctl.  (Bug#11398)

2012-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	Remove --disable-maintainer-mode option from 'configure'.  (Bug#11555)
	It is confusingly named and rarely useful.  See, for example,
	<https://lists.gnu.org/r/emacs-devel/2011-12/msg00089.html>.
	* INSTALL.BZR: Don't mention --disable-maintainer-mode.
	* Makefile.in (MAINTAINER_MODE_FLAG): Remove; all uses removed.
	* configure.in: Remove --disable-maintainer-mode.
	(USE_MAINTAINER_MODE, MAINT): Remove.

2012-05-28  Paul Eggert  <eggert@cs.ucla.edu>

	Make 'configure' a bit smaller and faster.
	* configure.in (INSTALL_INFO): Set it with one call to
	AC_PATH_PROG, not three.
	(PKG_CONFIG): Hoist this out of PKG_CHECK_MODULES, since it's
	so likely that it'll be needed.
	(AC_CHECK_HEADERS_ONCE): Prefer to AC_CHECK_HEADERS where either works.
	(AC_PROG_MAKE_SET): Remove; Automake does this.
	(sysinfo): Do not check for this function, as it's never used.
	(tzset): Check for this function just once.
	* m4/manywarnings.m4: Sync from gnulib, incorporating the following:
	2012-05-27 manywarnings: remove duplicate -Wmultichar entry

2012-05-27  Eli Zaretskii  <eliz@gnu.org>

	* config.bat (lib): Create/update lib/stdalign.in-h and
	lib/sys_types.in-h.

	* lib/makefile.w32-in ($(BLD)/md5.$(O))
	($(BLD)/sha1.$(O))
	($(BLD)/sha256.$(O))
	($(BLD)/sha512.$(O)): Depend on $(EMACS_ROOT)/nt/inc/stdalign.h.
	Suggested by Christoph Scholtes <cschol2112@googlemail.com>.

	* lib/getopt_.h: Regenerate.

2012-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	Assume gnulib does largefile.
	Gnulib does the largefile configuration anyway, so when configure.in
	invokes AC_SYS_LARGEFILE, that bloats 'configure' unnecessarily.
	* configure.in (AC_SYS_LARGEFILE): Remove.
	* lib/gnulib.mk: Autoupdate.

2012-05-26  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.  (Bug#11527)

	The build procedure now creates <stdalign.h> and <sys/types.h> for
	older hosts that lack a working <stdalign.h> or whose
	<sys/types.h> does not define pid_t, size_t, ssize_t, mode_t.
	New symbols such as WINDOWS_64_BIT_OFF_T may require attention in the
	msdos and nt builds.

	Here is a precis of gnulib changes that seem relevant; please see
	the gnulib ChangeLog for details.

	2012-05-18 crypto: fix bug in large buffer handling
	2012-05-14 ignore-value.h: remove unused _GL_ATTRIBUTE_DEPRECATED
	2012-05-10 _Noreturn: port config.h to gcc -Wundef
	2012-05-08 warnings.m4: give a means to specify the program to compile
	2012-05-07 stdint: be more consistent with glibc, SunOS libc
	2012-04-21 Large File Support for native Windows platforms.
	2012-04-14 stat: Bypass buggy override in mingw64.
	2012-03-29 stdio: don't assume gets any more
	2012-03-24 Enable common subexpression optimization in GCC.
	2012-02-09 maint: replace FSF snail-mail addresses with URLs
	2012-01-30 sys_stat: Fix support for mingw64 and MSVC.
	2012-01-28 strtoimax: eliminate need for stdint.h, inttypes.h checks
	2012-01-21 stdint: Add support for Android.
	2012-01-15 Improve support for MSVC 9.
	2012-01-08 mktime: Avoid compilation error on Solaris 11.
	2012-01-05 Use ', not `, for quoting output.
	2012-01-05 strtoimax: Don't replace systems where intmax_t is int.
	2012-01-05 strtoimax: Work around AIX 5.1 bug.
	2012-01-05 inttypes: Modernize.
	2011-12-13 inttypes, stdint: add C++11 support
	2011-11-26 Fix conflict between two instantiations of module 'unistd'.
	2011-11-21 _Noreturn: Check that _MSC_VER is defined
	2011-11-10 ptsname_r: Avoid compilation error on OSF/1 5.1.
	2011-11-09 raise: fix mingw handling of SIGPIPE
	2011-10-27 Add stdalign module and use it in other modules.

	* lib/stdalign.in.h, lib/sys_types.in.h, m4/off_t.m4, m4/stdalign.m4:
	* m4/sys_types_h.m4:
	New files.
	* build-aux/move-if-change, build-aux/snippet/_Noreturn.h:
	* build-aux/snippet/arg-nonnull.h, build-aux/snippet/c++defs.h:
	* build-aux/snippet/warn-on-use.h:
	* lib/alloca.in.h, lib/allocator.h, lib/careadlinkat.c:
	* lib/careadlinkat.h, lib/dosname.h, lib/dup2.c, lib/filemode.c:
	* lib/filemode.h, lib/ftoastr.c, lib/ftoastr.h, lib/getloadavg.c:
	* lib/getopt.c, lib/getopt.in.h, lib/getopt1.c, lib/getopt_int.h:
	* lib/gettext.h, lib/gnulib.mk, lib/ignore-value.h, lib/intprops.h:
	* lib/inttypes.in.h, lib/lstat.c, lib/md5.c, lib/md5.h, lib/mktime.c:
	* lib/pathmax.h, lib/pthread_sigmask.c, lib/readlink.c, lib/sha1.c:
	* lib/sha1.h, lib/sha256.c, lib/sha256.h, lib/sha512.c, lib/sha512.h:
	* lib/signal.in.h, lib/sigprocmask.c, lib/stat.c, lib/stdarg.in.h:
	* lib/stdbool.in.h, lib/stddef.in.h, lib/stdint.in.h, lib/stdio.in.h:
	* lib/stdlib.in.h, lib/strftime.c, lib/strftime.h, lib/strtoimax.c:
	* lib/strtol.c, lib/strtoll.c, lib/strtoul.c, lib/strtoull.c:
	* lib/symlink.c, lib/sys_stat.in.h, lib/time.in.h, lib/time_r.c:
	* lib/u64.h, lib/unistd.in.h, lib/verify.h, m4/00gnulib.m4:
	* m4/alloca.m4, m4/c-strtod.m4, m4/dup2.m4, m4/extensions.m4:
	* m4/filemode.m4, m4/getloadavg.m4, m4/getopt.m4, m4/gl-comp.m4:
	* m4/gnulib-common.m4, m4/gnulib-tool.m4, m4/include_next.m4:
	* m4/inttypes.m4, m4/largefile.m4, m4/longlong.m4, m4/lstat.m4:
	* m4/md5.m4, m4/mktime.m4, m4/multiarch.m4, m4/nocrash.m4:
	* m4/pathmax.m4, m4/pthread_sigmask.m4, m4/readlink.m4, m4/sha1.m4:
	* m4/sha256.m4, m4/sha512.m4, m4/signal_h.m4, m4/signalblocking.m4:
	* m4/socklen.m4, m4/ssize_t.m4, m4/st_dm_mode.m4, m4/stat.m4:
	* m4/stdarg.m4, m4/stdbool.m4, m4/stddef_h.m4, m4/stdint.m4:
	* m4/stdio_h.m4, m4/stdlib_h.m4, m4/strftime.m4, m4/strtoimax.m4:
	* m4/strtoll.m4, m4/strtoull.m4, m4/strtoumax.m4, m4/symlink.m4:
	* m4/sys_stat_h.m4, m4/time_h.m4, m4/time_r.m4, m4/tm_gmtoff.m4:
	* m4/unistd_h.m4, m4/warnings.m4, m4/wchar_t.m4:
	Update from gnulib.

2012-05-22  Paul Eggert  <eggert@cs.ucla.edu>

	Remove src/m/*.
	* configure.in: Remove all mention of src/m/*.
	(machine, machfile, M_FILE, config_machfile, and_machfile): Remove.
	All uses removed.
	(BITS_PER_CHAR, BITS_PER_SHORT, BITS_PER_INT, BITS_PER_LONG)
	(BITS_PER_LONG_LONG): Move to src/lisp.h.
	* lib/makefile.w32-in: Remove dependencies on
	$(EMACS_ROOT)/src/m/intel386.h.
	* make-dist: Don't make links to src/m.

2012-05-22  Paul Eggert  <eggert@cs.ucla.edu>

	* Makefile.in (ACLOCAL_INPUTS): Fix up gnulib-comp.m4 name.  (Bug#11529)
	Without this further fix, aclocal was being invoked unnecessarily.

2012-05-22  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (blessmail, install-arch-dep, uninstall):
	Check cd lib-src works.
	(install-arch-dep, uninstall): Remove unneeded subshells.

2012-05-21  Glenn Morris  <rgm@gnu.org>

	* update-subdirs: Move to build-aux/.
	* make-dist, Makefile.in (install-arch-indep): Update for this change.

	* Makefile.in (leimdir): New, set by configure.
	(COPYDIR, COPYDESTS): Add leim directories.
	(install-leim): Remove.
	(install-arch-indep): Handle leim installation directly.

	* vpath.sed: Remove unused file.
	* make-dist: No more vpath.sed.

2012-05-21  Paul Eggert  <eggert@cs.ucla.edu>

	Use full name for m4/gnulib-comp.m4.  (Bug#11529)
	Previously the file was named m4/gl-comp.m4 due to DOS 8+3 restrictions,
	even though the file's name in gnulib is m4/gnulib-comp.m4.
	This had a problem when merging from gnulib, as the code temporarily
	renamed it to the full name, causing problems when interrupted.
	Now the file has its full name, with the idea that we will find
	a solution for MS-DOS that does not affect the rest of Emacs.
	* m4/gnulib-comp.m4: Rename from m4/gl-comp.m4.

	Assume C89 or later.
	* configure.in (AC_C_PROTOTYPES, AC_C_VOLATILE, AC_C_CONST)
	(POINTER_TYPE, PROTOTYPES): Remove.

	Make merging from gnulib a script, not a makefile action.
	Putting it in a makefile has some problems with reflection, as
	merging from gnulib updates 'configure', which can update the makefile.
	Putting it in a standalone script breaks this loop.
	* Makefile.in (gnulib_srcdir, $(gnulib_srcdir), DOS_gnulib_comp.m4)
	(GNULIB_MODULES, GNULIB_TOOL_FLAGS, sync-from-gnulib):
	Remove, moving the actions to the script admin/merge-gnulib.

2012-05-21  Glenn Morris  <rgm@gnu.org>

	* configure.in (LEIM_INSTALLDIR):
	Rename to leimdir, treat like lispdir.

2012-05-21  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep, install-doc, install-info)
	(uninstall): Scrap superfluous subshells.

2012-05-19  Ulrich Müller  <ulm@gentoo.org>

	* Makefile.in (install-etc): Respect DESTDIR.  (Bug#11518)

2012-05-19  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (AC_CHECK_FUNCS): Remove XSetWMProtocols,
	getdomainname, mblen (twice), mbrlen (twice), mbsinit, ualarm,
	getsockopt, setsockopt, mremap, mempcpy.

	* configure.in (machine): Do not set to 'vax', since src/m/vax.h
	is being removed.
	(AC_CHECK_FUNCS): Remove ftime.

2012-05-19  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Remove unneeded subshell.

	* Makefile.in (install-arch-indep): Remove unneeded chmod.
	Set permissions of lisp/subdirs.el.

	* Makefile.in (SUBDIR): Add leim.  Update users.

	* Makefile.in (lib, lib-src, lisp): Check cd return value.

	* Makefile.in (leim): No need to set PARALLEL.

2012-05-18  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep, install-info, install-man):
	Simplify some one-sided ifs.

	* Makefile.in: Install only the relevant DOC file.
	(install-arch-indep): Delete etc/DOC*.
	(install-doc): No more need to delete etc/DOC.

	* Makefile.in (install-arch-indep): Split into several rules.
	(install-doc, innstall-info, install-man): New rules.

	* configure.in (mandir): May as well include it in the NS app bundle.

	* configure.in (INSTALL_ARCH_INDEP_EXTRA): New output variable.
	* Makefile.in (INSTALL_ARCH_INDEP_EXTRA): New, set by configure.
	(install-arch-indep): Don't install-etc for self-contained ns builds.

	* configure.in (GCC_TEST_OPTIONS, NON_GCC_TEST_OPTIONS) <darwin>:
	No longer unconditonally add /sw directories.  (Bug#2280)

	* Makefile.in (install-arch-dep): Depend on install-arch-indep.
	(install-arch-indep): Depend on install-leim.
	(install): Remove explicit install-leim dependence.

	* Makefile.in (install-arch-indep):
	Move last element of mkdir rule here.
	(mkdir): Remove rule.

	* Makefile.in (install-arch-indep): Remove unneeded chmods.
	INSTALL_DATA does this for us.

	* Makefile.in (install-arch-dep): Ensure bindir exists.
	Drop mkdir dependency.
	(install-arch-indep): Ensure docdir, infodir, mandir exist.
	(install-leim): Drop mkdir dependency.
	(mkdir): Remove most directories, now made in relevant rules.

	* Makefile.in (install-arch-indep): Combine adjacent loops.

2012-05-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-etc, mkdir):
	Make relevant directories in install-etc rather than mkdir.

	* Makefile.in (write_subdir): Create the directory if needed.
	(install-arch-dep, mkdir): No need to make site-lisp directories.

	* Makefile.in (write_subdir): New.
	(install-arch-indep, install-arch-dep): Use $write_subdir.

	* configure.in (docdir, etcdir, infodir, lispdir):
	For a self-contained ns build, set these to the appropriate values.
	* Makefile.in (install-arch-dep): No need to move info/ any more.

	* configure.in (ns_self_contained): New output variable.
	* Makefile.in (ns_self_contained): New, set by configure.
	(install-arch-dep): For a self-contained ns build,
	don't bother installing binaries then immediately deleting them.

	* Makefile.in (ns_appbindir, ns_appresdir):
	Move them before things that may refer to them.
	(install-arch-dep): No need to relocate self-contained ns libexec.

	* configure.in (archlibdir): Set it for self-contained ns builds.
	(libexecdir): Don't expand it now (this is mainly cosmetic).

2012-05-16  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Simplify by removing CPP etc.
	(CPP_TEST_OPTIONS, NON_GNU_CPP, cc_specified, SPECIFIED_CFLAGS)
	(SPECIFED_CPP, CPP, NON_GNU_CC, AC_PROG_CPP): Remove; not needed.
	In particular we no longer need to fiddle with CPP, since we don't
	use CPP specially any more.
	(gl_EARLY): Invoke this after adjusting CC, so that it uses the
	adjusted compiler.
	(AC_PROG_INSTALL, AC_PROG_MKDIR_P, AC_PROG_RANLIB): Comment out,
	since gl_EARLY and/or Autoconf already does these.

2012-05-16  Glenn Morris  <rgm@gnu.org>

	* configure.in: Try to fix building with gcc >= 4.6 on Darwin.
	(CPP): Do not unconditionally set it on Darwin.
	Instead, try to test if -no-cpp-precomp is accepted.
	(CPP_TEST_OPTIONS, SPECIFIED_CPP): New.  (Bug#9755)

2012-05-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-dep): Replace use of MV_DIRS.

	* Makefile.in (install-arch-dep): Do not hard-code version number.

	* Makefile.in (install-arch-dep): NS install no longer needs to
	symlink libexec/* into bin/, since 2012-05-14 ns_init_paths change.

2012-05-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (ns_appbindir): Remove trailing "/".

	* configure.in (AC_PROG_MKDIR_P): Call it, to set MKDIR_P.
	(MKDEPDIR): Use $MKDIR_P.
	* Makefile.in (MKDIR_P): New, set by configure.
	(mkdir): Use $MKDIR_P.

2012-05-11  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): There are no more Makefile.c files.
	Use INSTALL_DATA for the DOC file.
	Remove dead code for ./lisp that never executes.

2012-05-10  Glenn Morris  <rgm@gnu.org>

	* configure.in (LEIM_INSTALLDIR): New output variable.

2012-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .dir-locals.el (log-edit-mode): Enable gnu-style checks.

2012-05-08  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more doc/lispref/*.el.

2012-05-05  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Fix quoting bugs.

2012-05-04  Glenn Morris  <rgm@gnu.org>

	* configure.in (INFO_EXT, INFO_OPTS): New output variables.

2012-05-02  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_SYSTEM): Don't try to defeat
	the choices made by FreeBSD and NetBSD.  (Bug#10313)

	* Makefile.in (INFO_FILES): Remove variable.
	(INFO_NONMISC): New variable.
	(install-arch-indep, uninstall): Don't use $INFO_FILES.

	* Makefile.in (uninstall): Remove useless-use-of-for; that for
	some reason caused problems on an old Solaris.

	* Makefile.in (install-arch-indep, uninstall):
	Ensure that INSTALL-type commands are run from top-level.

	* info/dir: Make some entries consistent with the source texi files.

	* configure.in (LIBS_TERMCAP): Fix netbsd logic, broken 2012-03-04.

2012-05-02  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep):
	Combine adjacent install-data and install-info loops.

2012-05-01  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (MAN_PAGES): Remove.
	(install-arch-indep, uninstall): Don't use $MAN_PAGES.

	* configure.in: Try libtinfo for tputs.
	(LIBS_TERMCAP) [gnu*]: Use libtinfo if it was found.  (Bug#9741)

	* configure.in: Combine adjacent $opsys case blocks.

	* configure.in (LIBS_TERMCAP): Remove unreachable branch for sol2.

	* configure.in: Invert the TERMINFO logic,
	since "yes" is far more common than "no".

	* configure.in (HAVE_LIBNCURSES): Remove; it is required to be true.

	* configure.in (LD_SWITCH_X_SITE_RPATH):
	Rename from LD_SWITCH_X_SITE_AUX_RPATH.

	* configure.in (LD_SWITCH_X_SITE_AUX): Remove; no longer used.

2012-04-26  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more doc/lispref/tindex.pl.

2012-04-22  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in (dbus_validate_bus_name, dbus_validate_path)
	(dbus_validate_interface, dbus_validate_member): Check also for
	these library functions.

2012-04-22  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (doug_lea_malloc): Check for __malloc_initialize_hook.
	With glibc 2.14 or later, when compiled with GCC 4.7.0's
	-Werror=deprecated-declarations flag, use of hooks like
	__malloc_initialize_hook causes compilation to fail because these
	hooks are deprecated.  Modify 'configure' to check for these hooks too.
	Simplify the 'configure' code to test for all the hooks at once.
	(emacs_cv_var___after_morecore_hook): Remove, replacing with ...
	(emacs_cv_var_doug_lea_malloc): ... this new var.

2012-04-21  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from gnulib version 4f11d6bebc3098c64ffde27079ab0d0cecfd0cdc
	dated 2011-10-07.  Regenerating from current gnulib would be a
	pervasive change, and currently the trunk isn't open to such changes.
	* configure.in (WARN_CFLAGS): Remove; no longer needed now
	that gnulib does it.
	* lib/gnulib.mk, m4/gl-comp.m4: Regenerate.

2012-04-21  Andreas Schwab  <schwab@linux-m68k.org>

	* m4/gl-comp.m4: Update.  (Bug#11285)

2012-04-20  Ludovic Courtès  <ludo@gnu.org>

	* configure.in: Don't use the -R option (Bug#11251).

2012-04-18  Paul Eggert  <eggert@cs.ucla.edu>

	configure: new option --enable-gcc-warnings (Bug#11207)
	I have been using this change for many months in my private copy
	of Emacs, and have used it to find several bugs.  It's mature
	enough to publish now.
	* Makefile.in (GNULIB_MODULES): Add warnings, manywarnings.
	* configure.in: Support --enable-gcc-warnings, in the style of
	other GNU packages such as coreutils.
	(C_WARNINGS_SWITCH): Remove, replacing with...
	(WARN_CFLAGS, GNULIB_WARN_CFLAGS): New variable.
	(PKG_CHECK_MODULES, C_SWITCH_X_SITE): Use -isystem rather than -I,
	when including system files with GCC.
	* INSTALL (DETAILED BUILDING AND INSTALLATION): Likewise.
	* lib/Makefile.am (AM_CFLAGS): New macro.
	* m4/manywarnings.m4, m4/warnings.m4: New files, from gnulib.

2012-04-17  Dmitry Antipov  <dmantipov@yandex.ru>

	* configure.in (AC_CHECK_FUNCS):
	Add getpwent, endpwent, getgrent, endgrent.  (Bug#7900)

2012-04-16  Glenn Morris  <rgm@gnu.org>

	* configure.in (NS_HAVE_NSINTEGER): Remove unnecessary variable.

	* configure.in: Remove X libs workaround for old autoconf.

2012-04-12  Ken Brown  <kbrown@cornell.edu>

	* configure.in: Warn that Cygwin 1.5 is unsupported.  (Bug#10398)

2012-04-11  Glenn Morris  <rgm@gnu.org>

	* configure.in (GNUSTEP_CFLAGS): Rename from C_SWITCH_X_SYSTEM.

2012-04-10  Glenn Morris  <rgm@gnu.org>

	* configure.in: Conditionally generate admin/unidata/Makefile.

2012-04-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* info/dir, Makefile.in (INFO_FILES): Add emacs-gnutls manual.

2012-04-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (leim): Check cd return value.  Pass fewer variables.
	(install-leim): Check cd return value.  Pass $MFLAGS.
	(install-strip): Pass $MFLAGS.

	* configure.in: Require makeinfo >= 4.7.  (Bug#10910)
	Eg org.texi has been using 4.7 functions for some time.

2012-04-07  Paul Eggert  <eggert@cs.ucla.edu>

	Check pkg-config exit status when configuring (Bug#10626).
	* configure.in (PKG_CHECK_MODULES): Do not assume that pkg-config
	works; check its exit status.  Reported by Jordi Gutiérrez Hermoso in
	<https://lists.gnu.org/r/emacs-devel/2012-01/msg00787.html>.

2012-04-07  Glenn Morris  <rgm@gnu.org>

	* README, configure.in (AC_INIT): Bump version to 24.1.50.

2012-04-07  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (gnulib, all): Don't depend on stamp_BLD.

2012-03-04  Paul Eggert  <eggert@cs.ucla.edu>

	configure: fix ncurses 'configure' issue on Solaris 10 (Bug#10677)
	* configure.in (LIBS_TERMCAP): Default this to the result of
	the tputs library search.  Do a run-time test for the linkability
	of tputs unless cross-compiling, as that's more reliable if the
	link flags and libraries are messed up.  Don't change LIBS as
	a result of the test, as that may mess up later tests.

2012-02-05  Christoph Scholtes  <cschol2112@googlemail.com>

	* make-dist (README.W32): Include file in source tarball.  (Bug#9750)

	* lib/makefile.w32-in (PRAGMA_SYSTEM_HEADER): Move to platform
	specific makefiles to support getopt_.h generation with MSVC.

2012-02-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (uninstall):
	Handle compressed info files and man pages.  (Bug#10718)

2012-02-02  Glenn Morris  <rgm@gnu.org>

	* configure.in [HAVE_NS]:
	Error if use --without-toolkit-scroll-bars.  (Bug#10673)

2012-02-01  Paul Eggert  <eggert@cs.ucla.edu>

	Port to older Solaris 10 versions (Bug#10677).
	Bug reported by Chong Yidong for SunOS 5.10 Generic_127111-11 sparc.
	I cannot reproduce it on SunOS 5.10 Generic_141444-09 sparc but
	possibly this is because Sun fixed the 'stat' bug in my version.
	* Makefile.in (GNULIB_TOOL_FLAGS): Do not avoid the pathmax module.
	* lib/pathmax.h, m4/pathmax.m4: New files, from gnulib.
	* lib/gnulib.mk, m4/gl-comp.m4: Regenerate.
	These changes are based on gnulib version
	4f11d6bebc3098c64ffde27079ab0d0cecfd0cdc dated 2011-10-07 20:59:10,
	because Emacs is in feature freeze and we do not want to merge any
	more-recent changes from gnulib.

2012-01-31  Glenn Morris  <rgm@gnu.org>

	* configure.in: Throw an explicit error if Motif toolkit was
	requested but requirements could not be found.

	* configure.in: Allow Emacs to actually be built with xaw scroll-bars.

2012-01-30  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/sha1.$(O) $(BLD)/sha256.$(O)
	$(BLD)/sha512.$(O)): Depend on stamp_BLD.  Fixes a build failure
	with "make -j3".

2012-01-16  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Ignore etc/__pycache__.

2011-12-17  Paul Eggert  <eggert@cs.ucla.edu>

	Port HAVE_PTHREAD configuration to MirBSD 10 (Bug#10201).
	* configure.in (HAVE_PTHREAD): Check for pthread_atfork if linking
	to gmalloc.c.  This should prevent a MirBSD 10 build failure reported
	by Nelson H. F. Beebe in
	<https://lists.gnu.org/r/emacs-devel/2011-12/msg00065.html>.

2011-12-10  Juanma Barranquero  <lekktu@gmail.com>

	* update-subdirs: Don't set no-byte-compile twice (bug#10260).

2011-12-10  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_ALSA, HAVE_GSETTINGS): Save and restore LIBS
	instead of LDFLAGS (Bug#10230).

2011-12-03  Paul Eggert  <eggert@cs.ucla.edu>

	* INSTALL.BZR: Mention configure -C, --disable-maintainer-mode.

	Propagate configure flags to sub-configures.
	* Makefile.in (cache_file, MAINTAINER_MODE_FLAG, CONFIGUREFLAGS):
	New macros.
	(config.status, bootstrap): Use them to propagate configure flags
	to sub-configures.
	* configure.in (cache_file): AC_SUBST this, for Makefile.in.

2011-12-03  Paul Eggert  <eggert@cs.ucla.edu>

	* .bzrignore: Add config.cache.

2011-11-27  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for gtk_window_set_has_resize_grip.

2011-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* configure.in (HAVE_XPM): Fix typo.

2011-11-22  Glenn Morris  <rgm@gnu.org>

	* configure.in (EMACSDATA, EMACSDOC): If set, print, since they can
	have confusing effects on the build.  (Bug#6401)

	* Makefile.in (install-arch-dep): Tweak previous change.

2011-11-22  Yavor Doganov  <yavor@gnu.org>

	Do not install arch-dependent files in the app bundle if
	--disable-ns-self-contained is requested.  (Bug#1335)
	* configure.in (exec_prefix, libexecdir): Define relative to
	`ns_appbindir' only if configured for a self-contained app.
	* Makefile.in (install-arch-dep): Test for the existence of
	libexec in the Emacs.app bundle before executing commands.

2011-11-20  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Remove reference to src/m/ibms390.h.

2011-11-13  Glenn Morris  <rgm@gnu.org>

	* INSTALL: Tiny updates for disk space used during installation.

2011-11-05  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (FRC): New dummy target.
	(TAGS): Depend on FRC.

2011-11-04  Glenn Morris  <rgm@gnu.org>

	* configure.in: Increase minimum GnuTLS version to 2.6.6.  (Bug#9929)
	Do not include GnuTLS version info in final summary message.

2011-10-31  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Use config.in and Makefile.in from src/ and lib/, if
	they exist there, else from autogen/.

	* make-dist (msdos): Add depfiles.bat and inttypes.h.

2011-10-25  Nali Toja  <nalitoja@gmail.com>  (tiny change)

	* configure.in (HAVE_GNU_MAKE): Respect MAKE env-var.  (Bug#9868)

2011-10-24  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (LIB_PTHREAD): Prepend -lpthread to LIBS (Bug#9852)
	if the library is found.  Otherwise, later configure-time tests,
	such as the test for pthread_sigmask, generate the wrong results
	on some platforms.  Reported by Nali Toja for FreeBSD.

2011-10-20  Paul Eggert  <eggert@cs.ucla.edu>

	Time zone name fixes for non-ASCII locales (Bug#641, Bug#9794)
	* configure.in (AC_STRUCT_TM, AC_STRUCT_TIMEZONE, HAVE_TM_GMTOFF):
	Remove; no longer needed, now that we defer to strftime for time
	zone names.

2011-10-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (GLIB_REQUIRED, GTK_REQUIRED): Set to 2.10 (Bug#9786).

2011-10-18  Chong Yidong  <cyd@gnu.org>

	* make-dist: Remove Cocoa/Emacs.xcodeproj from distribution.

2011-10-13  Glenn Morris  <rgm@gnu.org>

	* configure.in: Also look for tputs in libcurses.  (Bug#9736)

2011-10-12  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Remove check for -lintl (Bug#9713).
	The check could break 'configure' on GNU/Linux with a (broken) libintl.
	The check was helpful but not essential in Solaris 2.6 (1997),
	and is no longer needed in Solaris 8 (2000).  Solaris 2.6 is
	obsolete -- Sun dropped support for it in 2006 -- and without
	access to that Silurian platform we can't maintain the code anyway.

2011-10-07  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, fixing some 'configure' typos (Bug#9696).
	* lib/signal.in.h, lib/sigprocmask.c, m4/gl-comp.m4:
	* m4/gnulib-common.m4: Merge from gnulib.
	Without this, 'configure' would say "func_gl_gnulib_m4code_pathmax:
	command not found" on powerpc-apple-darwin9.8.0.

	* configure.in (GC_LISP_OBJECT_ALIGNMENT): Remove.
	This is now done by src/alloc.c.

2011-10-02  Richard Stallman  <rms@gnu.org>

	* configure.in: Rename xlinux_first_failure to xgnu_linux_first_failure
	and xlinux_second_failure to xgnu_linux_second_failure.

2011-09-29  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Add ./GNUmakefile.unix, lib/SYS, lib/alloca.in-h,
	lib/signal.in-h.

	* config.bat: Rename GNUmakefile, so it is not run on MS-DOS.
	Rename signal.in.h and alloca.in.h.

2011-09-28  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL: Mention that m17n libraries and libotf are needed for
	Arabic shaping.

2011-09-26  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, improving some licensing wording.
	This clarifies and fixes some licensing issues raised by Glenn Morris
	<https://lists.gnu.org/r/bug-gnulib/2011-09/msg00397.html>.
	It also merges the latest version of texinfo.tex and has some
	MSVC-related changes that don't affect Emacs.
	* Makefile.in (GNULIB_TOOL_FLAGS): Avoid msvc-inval, msvc-nothrow,
	pathmax, and raise, since these are needed only to address
	MSVC-related issues that Emacs doesn't have.
	* lib/dup2.c, lib/gnulib.mk, lib/signal.in.h:
	* lib/sigprocmask.c, lib/stat.c, lib/stdio.in.h, lib/sys_stat.in.h:
	* lib/unistd.in.h, m4/dup2.m4, m4/getloadavg.m4, m4/gl-comp.m4:
	* m4/include_next.m4, m4/signal_h.m4, m4/signalblocking.m4:
	* m4/stdint.m4, m4/stdio_h.m4, m4/sys_stat_h.m4, m4/time_h.m4:
	* m4/unistd_h.m4: Merge from gnulib.

2011-09-26  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Initialize HAVE_LIBXML2.

2011-09-26  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add lib/makefile.w32-in.

2011-09-24  Glenn Morris  <rgm@gnu.org>

	* configure.in (CRT_DIR): Fix netbsd/openbsd handling.

2011-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* .dir-locals.el: Change the debbugs regexp to allow having the
	bug number as the first thing on a line.

2011-09-15  Glenn Morris  <rgm@gnu.org>

	* configure.in: Make configure work with recent GNUsteps.
	(_NATIVE_OBJC_EXCEPTIONS): New AC_DEFINE.
	(GNU_OBJC_CFLAGS): Add -fobjc-exceptions when needed.
	(C_SWITCH_X_SYSTEM): Enable GNUstep to find its headers.

2011-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, porting to Tru64.
	* lib/lstat.c, lib/stat.c, m4/include_next.m4, m4/nocrash.m4:
	* m4/signal_h.m4, m4/time_h.m4, m4/unistd_h.m4:
	Merge from gnulib.  This fixes a compilation error on Tru64 UNIX
	aka OSF/1 5.1 DTK cc.  There is also some mingw stuff here that
	doesn't affect Emacs.

2011-09-06  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (isnan): Remove now-unnecessary check.

2011-09-06  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib, using build-aux to remove clutter (Bug#9169).
	This is to fix the following problems:
	 . On FreeBSD 6.4, HP-UX 11.31, and Solaris 9, and when Emacs is
	   configured not to use gtk or any other thread-using library,
	   signals aren't blocked correctly.
	 . On IRIX 6.5 it fixes an unwanted clash between Emacs's
	   and IRIX's signal handling.
	 . On Cygwin 1.7.5 it works around an incompatibility with
	   the system pthread_sigmask.
	 . On MacOS X 10.5 (32-bit), files whose inode numbers
	   exceed 2**31 cannot be read or manipulated.
	 . pthread_sigmask: Actually use results of gl_THREADLIB.
	 . strtoimax, strtoumax: Avoid link error on OSF/1 with DTK cc.
	 . find 'ar' program that fits with --host argument.
	 . Allow the user to override the choice of AR, ARFLAGS, RANLIB.
	* autogen/README: Update destination list.
	* autogen/copy_autogen, autogen/update_autogen, .bzrignore:
	The autogenerated files compile, config.guess,
	config.sub, depcomp, install-sh, and missing are now in build-aux.
	* m4/largefile.m4: New file, so that Emacs does not mess up when
	accessing files with large inode numbers in MacOS X 10.5 and later.
	* m4/nocrash.m4: New file, to avoid triggering background debugger
	and/or create core dumps during 'configure'.
	* build-aux/move-if-change: Renamed from move-if-change.
	* build-aux/snippet/arg-nonnull.h: Renamed from arg-nonnull.h.
	* build-aux/snippet/c++defs.h: Renamed from c++defs.h.
	* build-aux/snippet/warn-on-use.h: Renamed from warn-on-use.h.
	* build-aux/snippet/_Noreturn.h: New file, for draft C1X _Noreturn.
	* Makefile.in (epaths-force, sync-from-gnulib):
	move-if-change is now in build-aux.
	(GNULIB_TOOL_FLAGS): Avoid threadlib; this is now a prerequisite
	of gnulib's pthread_sigmask module, but Emacs doesn't need it.
	(mkdir): install-sh is now in build-aux.
	* config.bat: c++defs.h is now in build-aux/snippets.
	* configure.in: Specify AC_CONFIG_AUX_DIR with build-aux (the
	usual parameter).
	* lib/gnulib.mk, m4/gl-comp.m4: Regenerate.
	* lib/makefile.w32-in (ARG_NONNULL_H): arg-nonnull.h moved
	to build-aux/snippet.
	* lib/pthread_sigmask.c, lib/stdlib.in.h, m4/extensions.m4:
	* m4/getopt.m4, m4/gnulib-common.m4, m4/pthread_sigmask.m4:
	Merge from gnuilib.  This fixes porting bugs on Cygwin, Irix, and
	Solaris, enables MacOS extensions, and enables nocrash during
	'configure'.
	* make-dist: Adjust to new build-aux and build-aux/snippit dirs.

2011-09-04  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (snprintf): New check.

2011-08-30  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (opsys): Change pattern to *-*-linux*
	to recognize powerpc-gnu-linux-uclibc (Bug#9403).
	Remove unreachable pattern hppa*-*-linux-gnu*.
	Also, remove ia64*-hp-hpux1[1-9]*, as it also sets machine=hp800,
	and that can't possibly work now that src/m/hp800.h no longer exists.

2011-08-26  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add -MP to DEPFLAGS (Bug#9372).

2011-08-13  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add header check: sys/socket.h (Bug#8477),
	ifaddrs.h, net/if_dl.h.  Check for getifaddrs and freeifaddrs.
	Check for sa_len in struct ifreq.ifr_addr (Bug#8477).

2011-08-04  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_PTHREAD): Add check for -lpthread (Bug#9216).
	(HAVE_GTK_AND_PTHREAD): Remove.

2011-07-28  Alp Aker  <alp.tekin.aker@gmail.com>

	* configure.in (HAVE_RSVG): Allow use of -lrsvg-2 for any NextStep
	build, not just GNUstep (Bug#9177).

2011-07-28  Paul Eggert  <eggert@cs.ucla.edu>

	Assume freestanding C89 headers, string.h, stdlib.h.
	Again, this simplifies the code, and all current platforms have these.
	* configure.in (AC_CHECK_HEADERS): Don't check for limits.h.
	(AC_HEADER_STDC): Remove.
	(AC_CHECK_FUNCS): No need to check for strchr, strrchr.
	(strchr, strrchr): Remove fallback macros.

	Assume support for memcmp, memcpy, memmove, memset.
	This simplifies the code a bit.  All current platforms have these,
	as they are required for C89.  If this turns into a problem we
	can add the gnulib modules for these (a 1-line change to Makefile.in).
	* configure.in: Don't check for memcmp, memcpy, memmove, memset.

2011-07-27  Paul Eggert  <eggert@cs.ucla.edu>

	* GNUmakefile: New file.
	This is for convenience, so that one can run GNU make in an
	unconfigured source tree, and get a default build.

2011-07-13  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (GSETTINGS): Check for gio-2.0 >= 2.26.

2011-07-11  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* configure.in (LD_SWITCH_SYSTEM_TEMACS): Add -fno-pie on Darwin
	so as to suppress address randomization (Bug#8395).

2011-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/stdint.in.h: Merge from gnulib (Bug#9025).
	This fixes a build problem on older Mac OS X hosts.

	* m4/pthread_sigmask.m4 (gl_FUNC_PTHREAD_SIGMASK): Omit gl_THREADLIB
	test, which runs afoul of Automake installations where, for example,
	/usr/share/aclocal contains a copy of gl_THREADLIB.
	Reported by Sven Joachim in
	<https://lists.gnu.org/r/emacs-devel/2011-07/msg00529.html>.
	This is just a quick temporary fix, specific to Emacs; I'll work
	with the other gnulib maintainers to get a more-permanent fix.

	Add gnulib's strtoimax module, needed on Solaris 8.
	* Makefile.in (GNULIB_MODULES): Add strtoimax.
	* lib/strtoll.c, m4/strtoimax.m4, m4/strtoll.m4: New files,
	automatically imported from gnulib.
	* lib/gnulib.mk, m4/gl-comp.m4: Regenerate.

2011-07-08  Paul Eggert  <eggert@cs.ucla.edu>

	Add gnulib support for pthread_sigmask (Bug#9010).
	* Makefile.in (GNULIB_MODULES): Add pthread_sigmask.
	* configure.in (AC_TYPE_UID_T): New dummy macro.
	Configure gnulib after adjusting LIBS,
	so that gnulib can assume the libraries in LIBS.
	* lib/signal.in.h, m4/pthread_sigmask.m4, m4/signal_h.m4:
	* lib/pthread_sigprocmask.c, lib/sigprocmask.c, m4/signalblocking.m4:
	* lib/pthread_sigmask.c:
	New files, automatically imported from gnulib.
	* lib/gnulib.mk, m4/gl-comp.m4: Automatically-imported update
	due to the above changes.
	* .bzrignore: Add lib/signal.h.

	* lib/getopt.c, lib/unistd.in.h, m4/getopt.m4: Merge from gnulib.

2011-07-07  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (maintainer-mode): Reflect default in help string.

2011-07-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove reference to iris4d.h.

2011-07-05  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GCONF): Allow both HAVE_GCONF and HAVE_GSETTINGS.

2011-07-01  Glenn Morris  <rgm@gnu.org>

	* configure.in (SETTINGS_CFLAGS, SETTINGS_LIBS) [HAVE_GCONF]: Fix typo.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in (HAVE_GSETTINGS): Fix syntax for GSETTINGS tests,
	which made ./configure infloop.

2011-06-30  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (gsettings): New option and check for GSettings.

2011-06-29  Glenn Morris  <rgm@gnu.org>

	* configure.in: Try to test for the required crt*.o files.

2011-06-27  Bill Wohler  <wohler@newt.com>

	* .bzrignore: Add lisp/mh-e/mh-autoloads.el and lisp/mh-e/mh-cus-load.el.

2011-06-25  Paul Eggert  <eggert@cs.ucla.edu>

	Use gnulib's dup2 module instead of rolling our own.
	* Makefile.in (GNULIB_MODULES): Add dup2.
	* configure.in: Do not check for dup2; gnulib does that now.
	* lib/dup2.c, m4/dup2.m4: New files, from gnulib.

2011-06-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/getopt.c, lib/stat.c, m4/gl-comp.m4: Merge from gnulib.

2011-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	Use gnulib's alloca-opt module.
	* .bzrignore: Add lib/alloca.h.
	* Makefile.in (GNULIB_MODULES): Add alloca-opt.
	* configure.in (AC_FUNC_ALLOCA): Remove almost all the alloca stuff,
	as gnulib now does that for us.  Put alloca check in config.h.
	Include <alloca.h> before any other include file, for AIX 3.
	* lib/gnulib.mk, m4/gl-comp.m4: Regenerate.
	* lib/alloca.in.h, m4/alloca.m4: New files, from gnulib.

2011-06-21  Leo Liu  <sdl.web@gmail.com>

	* m4/sha256.m4:
	* m4/sha512.m4:
	* m4/gl-comp.m4:
	* lib/u64.h:
	* lib/sha256.c:
	* lib/sha256.h:
	* lib/sha512.c:
	* lib/sha512.h:
	* lib/makefile.w32-in (GNULIBOBJS):
	* lib/gnulib.mk:
	* Makefile.in (GNULIB_MODULES): Add crypto/sha256 and
	crypto/sha512 modules from gnulib.

2011-06-19  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/unistd.in.h, m4/getloadavg.m4: Merge from gnulib.

2011-06-17  Glenn Morris  <rgm@gnu.org>

	* configure.in: Restore the behavior of checking crt-dir only
	when the user specified it (not all platforms use it).

2011-06-16  Paul Eggert  <eggert@cs.ucla.edu>

	* m4/lstat.m4: Merge from gnulib (Bug#8878).

2011-06-16  Miles Bader  <miles@gnu.org>

	* configure.in: Try to determine CRT_DIR automatically when
	using gcc.

2011-06-15  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/ftoastr.c, lib/stdio.in.h, lib/verify.h:
	* lib/gnulib.mk, m4/c-strtod.m4, m4/filemode.m4, m4/getloadavg.m4:
	* m4/getopt.m4, m4/gl-comp.m4, m4/lstat.m4, m4/md5.m4, m4/mktime.m4:
	* m4/readlink.m4, m4/sha1.m4, m4/stat.m4, m4/strftime.m4:
	* m4/strtoull.m4, m4/strtoumax.m4, m4/symlink.m4, m4/time_r.m4:
	Merge from gnulib.

2011-06-14  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add emacsgtkfixed.o to GTK_OBJ if HAVE_GTK3.

2011-06-08  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/gnulib.mk, m4/gnulib-common.m4: Merge from gnulib.

2011-06-07  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Add --with-wide-int.
	* INSTALL: Mention this.

2011-06-06  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.
	* lib/careadlinkat.c, lib/careadlinkat.h, m4/gnulib-common.m4: Merge.

2011-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/allocator.h, lib/careadlinkat.c: Merge from gnulib.

2011-05-30  Paul Eggert  <eggert@cs.ucla.edu>

	Use 'inline', not 'INLINE'.
	* configure.in (INLINE): Remove.

2011-05-29  Paul Eggert  <eggert@cs.ucla.edu>

	Adjust to recent gnulib change for @GUARD_PREFIX@.
	* lib/makefile.w32-in (getopt_h): Substitute @GUARD_PREFIX@, too.
	All uses of _GL_ for guard prefixes in lib/*.h replaced with
	_@GUARD_PREFIX@_.

2011-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/getopt.c, lib/intprops.h: Merge from gnulib.

2011-05-24  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (check): Just give a message if no test/ directory.

	* configure.in: Avoid using variables inside AC_CONFIG_FILES.

	* configure.in (OPT_MAKEFILES_IN): Remove.
	(SUBDIR_MAKEFILES): New variable, passed to AC_CONFIG_FILES.
	(SUBDIR_MAKEFILES_IN): New output variable.
	* Makefile.in (OPT_MAKEFILES_IN): Remove.
	(SUBDIR_MAKEFILES_IN): Let configure set it.

2011-05-24  Leo Liu  <sdl.web@gmail.com>

	* m4/sha1.m4:
	* m4/gl-comp.m4:
	* lib/sha1.h:
	* lib/sha1.c:
	* lib/makefile.w32-in (GNULIBOBJS):
	* lib/gnulib.mk:
	* Makefile.in (GNULIB_MODULES): Add crypto/sha1 module.

2011-05-24  Glenn Morris  <rgm@gnu.org>

	* configure.in: Remove test for already configured source directory.
	AM_INIT_AUTOMAKE has already done a more stringent test.  (Bug#953)

	* Makefile.in (TAGS, tags, check): Pass MFLAGS to sub-makes.

2011-05-24  Glenn Morris  <rgm@gnu.org>

	* make-dist: Don't distribute test/.  (Bug#8107)
	* configure.in (OPT_MAKEFILES_IN): New output variable.
	(AC_CONFIG_FILES): Conditionally include test/automated/Makefile.
	* Makefile.in (OPT_MAKEFILES_IN): New, set by configure.
	(SUBDIR_MAKEFILES_IN): Use $OPT_MAKEFILES_IN.
	(check): Give an explicit error if test/ is not present.

	* Makefile.in (SUBDIR_MAKEFILES_IN): New variable.
	(SUBDIR_MAKEFILES): Derive from $SUBDIR_MAKEFILES_IN.
	(Makefile): Use $SUBDIR_MAKEFILES_IN.

2011-05-23  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/verify.h: Merge from gnulib.

2011-05-22  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/intprops.h, lib/stdint.in.h, m4/mktime.m4, m4/readlink.m4:
	Merge from gnulib.

2011-05-21  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (AUTOMAKE_INPUTS): Add $(srcdir)/lib/gnulib.mk.

2011-05-20  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Add lib/stdio.in-h, lib/stdbool.h, and lib/stdint.h.

	* config.bat: Concatenate lisp.mk onto the end of src/Makefile.

2011-05-20  Glenn Morris  <rgm@gnu.org>

	* configure.in (lisp_frag): New output file.

2011-05-19  Glenn Morris  <rgm@gnu.org>

	* configure.in (NS_SUPPORT, MOUSE_SUPPORT, TOOLTIP_SUPPORT)
	(WINDOW_SUPPORT): Remove output variables that are no longer used.

2011-05-17  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/gnulib.mk:
	* lib/intprops.h:
	* lib/unistd.in.h:
	* m4/inttypes.m4:
	* m4/stdint.m4:
	* m4/unistd_h.m4: Sync from gnulib.

2011-05-14  Glenn Morris  <rgm@gnu.org>

	* configure.in: Treat failure to find an X toolkit the same way we treat
	failure to find X and image support.

2011-05-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (src, install-arch-indep, bootstrap-clean)
	(check-declare): Shell portability fixes.  (Bug#8642)

2011-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* configure.in: Require GnuTLS 2.6.x or higher.

2011-05-06  Paul Eggert  <eggert@cs.ucla.edu>

	Use C99's va_copy to avoid undefined behavior on x86-64 GNU/Linux.
	* Makefile.in (GNULIB_MODULES): Add stdarg, for va_copy.
	* lib/stdarg.in.h, m4/stdarg.m4: New files, from gnulib.

	* Makefile.in (GNULIB_TOOL_FLAG): Add --conditional-dependencies.
	This new gnulib-tool option saves 'configure' the trouble of
	checking for strtoull when strtoumax exists.

	* configure.in (BITS_PER_LONG_LONG): New macro.

2011-05-05  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (bootstrap-clean): Save config.log.  (Bug#765)
	(top_distclean): Delete config.log~.

2011-04-27  Ben Key  <bkey76@gmail.com>

	* configure.in: Fixed a bug that caused configure with
	--enable-checking=stringoverrun to have no effect.

2011-04-26  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in: Suppress unnecessary checks for size_t.
	(AC_TYPE_SIZE_T): Define an empty macro, to suppress obsolescent test.
	(size_t): Do not check for this, and do not typedef.  This code
	is never exercised now.

	* Makefile.in (GNULIB_MODULES): Add strtoumax.
	This is needed for the new integer-reading code in lread.c.
	It automatically pulls in the following gnulib files, which
	are used on old-fashioned platforms that don't have strtoumax:
	lib/inttypes.in.h, lib/strtoimax.c, lib/strtol.c, lib/strtoul.c,
	lib/strtoull.c, lib/strtoumax.c, lib/verify.h, m4/inttypes.m4,
	m4/strtoull.m4, m4/strtoumax.m4.
	* .bzrignore: Add lib/inttypes.h.

2011-04-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* configure.in: Check for GnuTLS certificate verify callbacks.

2011-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (config.status): Don't erase in case of error.
	In case it disappeared, rebuild it with `configure'.

2011-04-20  Ken Brown  <kbrown@cornell.edu>

	* configure.in (use_mmap_for_buffers): Set to yes on Cygwin.

2011-04-12  Glenn Morris  <rgm@gnu.org>

	* configure.in: Require ImageMagick >= 6.2.8.  (Bug#7955)

2011-04-09  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/allocator.c: New file, automatically generated by gnulib.

2011-04-07  Glenn Morris  <rgm@gnu.org>

	* autogen/update_autogen: Ignore comment diffs in ldefs-boot.el.

2011-04-06  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/careadlinkat.$(O), GNULIBOBJS):
	Revert last change.

2011-04-06  Juanma Barranquero  <lekktu@gmail.com>

	* lib/makefile.w32-in (GNULIBOBJS): Add careadlinkat.$(O).
	($(BLD)/careadlinkat.$(O)): New target.
	($(BLD)/dtoastr.$(O), $(BLD)/getopt.$(O), $(BLD)/getopt1.$(O))
	($(BLD)/strftime.$(O), $(BLD)/time_r.$(O), $(BLD)/md5.$(O)):
	Update dependencies.

2011-04-06  Paul Eggert  <eggert@cs.ucla.edu>

	Fix more problems found by GCC 4.6.0's static checks.

	* configure.in (ATTRIBUTE_FORMAT, ATTRIBUTE_FORMAT_PRINTF): New macros.

	Replace 2 copies of readlink code with 1 gnulib version (Bug#8401).
	* Makefile.in (GNULIB_MODULES): Add careadlinkat.
	* lib/allocator.h, lib/careadlinkat.c, lib/careadlinkat.h:
	* m4/ssize_t.m4: New files, automatically generated from gnulib.

2011-04-06  Glenn Morris  <rgm@gnu.org>

	* autogen/update_autogen: Handle loaddefs-like files as well.
	(usage): Add -l, -C.
	(clean, ldefs_flag, ldefs_in, ldefs_out): New variables.
	With -l, check status of lisp/ as well.
	With -C, clean before building.
	(autoreconf): Only pass -f in the `clean' case.
	(commit): New function.

2011-03-28  Glenn Morris  <rgm@gnu.org>

	* autogen/update_autogen: Pass -f to autoreconf.

	* autogen.sh (get_version): Discard "not found" lines.
	(check_version): Respect $AUTOCONF etc environment variables.

2011-03-27  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_TYPE_SIGNAL): Remove obsolete macro.
	(AH_BOTTOM): Do not define SIGTYPE.

2011-03-26  Glenn Morris  <rgm@gnu.org>

	* configure.in: Replace obsolete macros AC_TRY_COMPILE, AC_TRY_LINK,
	AC_TRY_RUN with AC_COMPILE_IFELSE, AC_LINK_IFELSE, AC_RUN_IFELSE.

2011-03-25  Andreas Schwab  <schwab@linux-m68k.org>

	* autogen/update_autogen: Remove useless function keyword.

2011-03-25  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Generate src/config.h and lib/Makefile from
	autogen/config.in and autogen/Makefile.in.

2011-03-25  Glenn Morris  <rgm@gnu.org>

	* compile, config.guess, config.sub, depcomp, install-sh, missing:
	Remove; autoreconf can supply them.
	* Makefile.in (sync-from-gnulib): Don't sync config.sub,
	config.guess, install-sh.  Pass -i to autoreconf.
	* autogen/update_autogen (genfiles): Add compile, config.guess,
	config.sub, depcomp, install-sh, missing.  Pass -i to autoreconf.
	Discard non-error output from autoreconf in -q case.
	* autogen/compile, autogen/config.guess, autogen/config.sub:
	* autogen/depcomp, autogen/install-sh, autogen/missing: New.
	* autogen/copy_autogen: Add compile, config.guess, config.sub, depcomp,
	install-sh, missing.

2011-03-23  Glenn Morris  <rgm@gnu.org>

	* autogen/update_autogen: Fix typo.
	(msg): Remove function; use `exec' instead.

	* Makefile.in (mkdir): Use `install-sh -d' instead of mkinstalldirs.
	(sync-from-gnulib): Don't sync mkinstalldirs.
	* make-dist: Don't distribute mkinstalldirs.

2011-03-23  Paul Eggert  <eggert@cs.ucla.edu>

	Fix more problems found by GCC 4.5.2's static checks.
	* Makefile.in (GNULIB_MODULES): Add socklen.
	* configure.in: Do not check for sys/socket.h, since socklen does that.
	* m4/socklen.m4: New automatically-generated file, from gnulib.

	fakemail: Remove dependency on ignore-value.
	* Makefile.in (GNULIB_MODULES): Add stdio.
	* lib/stdio.in.h, m4/stdio_h.m4: New files, automatically
	imported from gnulib.
	* .bzrignore: Add lib/stdio.h.

2011-03-22  Glenn Morris  <rgm@gnu.org>

	* autogen/copy_autogen: Work from ./ or ../.
	Fix time-stamps.
	* autogen.sh: Doc fix.

2011-03-20  Glenn Morris  <rgm@gnu.org>

	* autogen/: New directory, to be excluded from releases.
	* autogen/copy_autogen, autogen/update_autogen: New scripts.
	* autogen/README: New file.
	* autogen/aclocal.m4, autogen/config.in, autogen/configure:
	* autogen/Makefile.in: Add auto-updated generated files.
	* autogen.sh: No longer a no-op, now it tests for autotools
	and runs them as necessary.
	* configure.in: Default maintainer-mode to on.
	* aclocal.m4, configure, lib/Makefile.in: Remove files.

2011-03-13  Paul Eggert  <eggert@cs.ucla.edu>

	Update for gnulib.
	* Makefile.in (GNULIB_MODULES): Add intprops, as Emacs now
	includes <intprops.h> directly.
	* lib/sys_stat.in.h: New version from Gnulib, which fixes a bug
	when building Emacs on Solaris 9 and running it on Solaris 10.

2011-03-08  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Require 3.0 for --with-gtk3.  Add HAVE_GTK3.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-06  Glenn Morris  <rgm@gnu.org>

	* configure.in (FREETYPE_LIBS): Actually set it to something.

2011-03-02  Paul Eggert  <eggert@cs.ucla.edu>

	Work around some portability problems with symlinks.

	* Makefile.in (GNULIB_MODULES): Add lstat, readlink, symlink.
	* configure.in (lstat, HAVE_LSTAT): Remove special hack.
	* lib/dosname.h, lib/lstat.c, lib/readlink.c, lib/stat.c:
	* lib/symlink.c, m4/lstat.m4, m4/readlink.m4, m4/stat.m4:
	* m4/symlink.m4:
	New files, automatically generated from gnulib.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk:
	* m4/gl-comp.m4, src/config.in, config.sub: Regenerate.

2011-02-26  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Ignore new lib/*.in-h files.

	* config.bat: Rename stdint.in.h and sys_stat.in.h.
	Call depfiles.bat even if lib/deps already exist.

2011-02-25  Paul Eggert  <eggert@cs.ucla.edu>

	* configure, lib/Makefile.in, lib/getopt_int.h, lib/gnulib.mk:
	* lib/stdlib.in.h, m4/stdlib_h.m4: Regenerate to incorporate
	recent changes to configure.in and to gnulib.

2011-02-24  Glenn Morris  <rgm@gnu.org>

	* configure.in: Replace obsolete AC_OUTPUT() with AC_CONFIG_FILES(),
	AC_CONFIG_COMMANDS(), and AC_OUTPUT sans arguments.

2011-02-22  Paul Eggert  <eggert@cs.ucla.edu>

	Assume S_ISLNK etc. work, since gnulib supports this.
	* Makefile.in (GNULIB_MODULES): Add sys_stat.
	* configure.in: Check for lstat and set HAVE_LSTAT=0 if not.
	Pretend to be using the gnulib lstat module for benefit of sys/stat.h.
	* configure, lib/Makefile.in, lib/gnulib.mk: Regenerate.

2011-02-21  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/min-max.h: New file, for "min" and "max".

2011-02-21  Christoph Scholtes  <cschol2112@gmail.com>

	* lib/makefile.w32-in ($(BLD)/md5.$(O)): Add dependency on
	$(EMACS_ROOT)/nt/inc/stdint.h.

2011-02-21  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/filemode.$(O)): Move from
	src/makefile.w32-in and adapt.  Depend on stamp_BLD.
	(GNULIBOBJS): Add $(BLD)/filemode.$(O).

2011-02-21  Paul Eggert  <eggert@cs.ucla.edu>

	Import filemode module from gnulib.
	* .bzrignore: Add lib/sys/.
	* Makefile.in (GNULIB_MODULES): Add filemode.
	* lib/Makefile.am (MOSTLYCLEANDIRS): New macro.
	* lib/filemode.c: Renamed from src/filemode.c and regenerated
	from gnulib.  This adds support for some more file types, e.g.,
	Cray DMF migrated files.
	* lib/filemode.h, lib/sys_stat.in.h, m4/filemode.m4, m4/st_dm_mode.m4:
	* m4/sys_stat_h.m4: New files, generated from gnulib.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk, m4/gl-comp.m4:
	Regenerate.

2011-02-20  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in ($(BLD)/md5.$(O)): Don't depend on
	$(EMACS_ROOT)/nt/inc/sys/stat.h.

2011-02-20  Paul Eggert  <eggert@cs.ucla.edu>

	* configure.in (C_WARNINGS_SWITCH): Do not prepend -Wno-pointer-sign.
	This undoes the 2006-01-02 change.  The -Wno-pointer-sign option
	is no longer needed, due to the recent SSDATA and related changes.
	Perhaps -Wno-pointer-sign should also be removed from
	nextstep/Cocoa/Emacs.xcodeproj/project.pbxproj but I have no easy
	way to test this so I left it alone.
	* configure: Regenerate.

2011-02-20  Christoph Scholtes  <cschol2112@gmail.com>

	* lib/makefile.w32-in ($(BLD)/md5.$(O)): New recipe, moved from
	src/makefile.w32-in.

2011-02-20  Paul Eggert  <eggert@cs.ucla.edu>

	Import crypto/md5 and stdint modules from gnulib.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk, m4/gl-comp.m4:
	Regenerate.
	* lib/md5.c, lib/md5.h: Rename from src/md5.h and lib/md5.h.
	Import the new versions from gnulib; they assume a C99-style
	<stdint.h>, supplied by the stdint module.
	* lib/stdint.in.h, m4/longlong.m4, m4/stdint.m4, m4/md5.m4: New files,
	imported from gnulib.
	* Makefile.in (MAKEFILE_MODULES): Add crypto/md5.

2011-02-19  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Ignore cxxdefs.h and lib/*.in-h files.
	Add lib/deps/.

	* config.bat: Configure in `lib'.
	Generate *.Po files in lib/deps.

2011-02-18  Paul Eggert  <eggert@cs.ucla.edu>

	Import IRIX 6.5 getloadavg fixes from gnulib.
	* configure, lib/getloadavg.c, m4/getloadavg.m4: Regenerate.

2011-02-16  Paul Eggert  <eggert@cs.ucla.edu>

	Import getloadavg module from gnulib.
	* .bzrignore: Add lib/stdlib.h.
	* Makefile.in (GNULIB_MODULES): Add getloadavg.
	* configure.in (LIBS_SYSTEM): Omit -lkstat on sol2*; gnulib does this.
	(AC_CONFIG_LIBOBJ_DIR, AC_FUNC_GETLOADAVG, GETLOADAVG_FILES):
	Remove; gnulib does this now.
	* lib/getloadavg.c: Rename from src/getloadavg.c, and sync
	from gnulib.  This adds support for several other systems, such
	as Tru64 4.0D, QNX, AIX perfstat, etc.  It also fixes a potential
	buffer overrun on Linux hosts under very high load, and on hosts
	that maintain a channel to the load average file it makes sure
	the file descriptor is close-on-exec (on hosts that support this)
	and is not stdin, stdout, or stderr.
	* lib/stdlib.in.h, m4/getloadavg.m4, m4/stdlib_h.m4: New files,
	from gnulib.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk, m4/gl-comp.m4:
	Regenerate.

2011-02-15  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from gnulib.

	* install-sh: Update to scriptversion 2011-01-19.21.

	2011-02-13  Bruno Haible  <bruno@clisp.org>

	Consistent macro naming for macros that use GCC __attribute__.
	* lib/ignore-value.h (_GL_ATTRIBUTE_DEPRECATED): Rename from
	ATTRIBUTE_DEPRECATED.

	2011-02-12  Bruno Haible  <bruno@clisp.org>

	setlocale: Prefer gnulib's override over libintl's override.
	* lib/gettext.h (setlocale): Redefine to rpl_setlocale if
	GNULIB_defined_setlocale is set.

2011-02-13  Glenn Morris  <rgm@gnu.org>

	* make-dist: Exclude generated file src/globals.h.

2011-02-10  Paul Eggert  <eggert@cs.ucla.edu>

	* arg-nonnull.h, c++defs.h, warn-on-use.h: Fix licenses.
	Sync from gnulib, which has been patched to fix the problem
	with the license notices.  Reported by Glenn Morris in
	<https://lists.gnu.org/r/emacs-devel/2011-02/msg00403.html>.

2011-02-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .bzrignore: Ignore globals.h and related stamp.

2011-02-09  Paul Eggert  <eggert@cs.ucla.edu>

	* lib/Makefile.in, lib/gnulib.mk: Regenerate.
	This merges the following fix from gnulib:

	2011-02-08  Bruno Haible  <bruno@clisp.org>

	Split large sed scripts, for HP-UX sed.

2011-02-08  Tom Tromey  <tromey@redhat.com>

	* configure: Rebuild.
	* configure.in (NS_OBJC_OBJ): New subst.

2011-02-06  Paul Eggert  <eggert@cs.ucla.edu>

	gnulib: allow multiple gnulib generated replacements to coexist
	This defines a few preprocessor symbols that should not affect Emacs.
	* lib/getopt.in.h, lib/time.in.h, lib/unistd.in.h: Regenerate
	via "make sync-from-gnulib".

	gnulib: undo previous change
	The upstream _HEADERS change was backed out of gnulib (see the
	same thread).  Stay in sync with gnulib.

	gnulib: adjust to upstream _HEADERS change
	* lib/Makefile.am (EXTRA_HEADERS, nodist_pkginclude_HEADERS):
	New empty macros, to accommodate recent changes to gnulib.  See
	<https://lists.gnu.org/r/bug-gnulib/2011-02/msg00068.html>.
	* c++defs.h, lib/Makefile.in, lib/ftoastr.h, lib/getopt.in.h:
	* lib/gnulib.mk, lib/ignore-value.h, lib/stdbool.in.h, lib/stddef.in.h:
	* lib/time.in.h, lib/unistd.in.h:
	Regenerate.

2011-02-05  Paul Eggert  <eggert@cs.ucla.edu>

	sync from gnulib to remove HAVE_STDBOOL_H
	* m4/stdbool.m4 (AC_CHECK_HEADER_STDBOOL): Rename from
	AC_HEADER_STDBOOL.  All uses changed.  Do not define
	HAVE_STDBOOL_H, as gnulib does not need this.  This change is
	imported from the latest Autoconf git.  It was motivated by Emacs,
	which uses gnulib but does not need HAVE_STDBOOL_H.
	* configure, src/config.in: Regenerate.
	* config.guess, config.sub: Sync to 2011-02-02 versions (whitespace)

2011-02-03  Paul Eggert  <eggert@cs.ucla.edu>

	allow C code to suppress warnings about ignored return values
	* Makefile.in (GNULIB_MODULES): Add ignore-value.
	* configure, lib/Makefile.in, lib/gnulib.mk, m4/gl-comp.m4: Regenerate.
	* lib/ignore-value.h: New file.

2011-01-31  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Test existence of xaw3d library, not just the
	header (Bug#7642).

2011-01-31  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in (GNULIBOBJS): Add $(BLD)/strftime.$(O) and
	$(BLD)/time_r.$(O).
	($(BLD)/dtoastr.$(O)): Depend on $(EMACS_ROOT)/src/s/ms-w32.h and
	$(EMACS_ROOT)/src/m/intel386.h.
	($(BLD)/strftime.$(O))
	($(BLD)/time_r.$(O)): Define prerequisites.

2011-01-31  Paul Eggert  <eggert@cs.ucla.edu>

	src/emacs.c now gets version number from configure.in
	* configure.in (version): Set this from $PACKAGE_VERSION,
	which is set from AC_INIT, rather than scouting through src/emacs.c.
	* configure: Regenerate.
	* make-dist (version): Get it from configure.in, not src/emacs.c.

2011-01-30  Paul Eggert  <eggert@cs.ucla.edu>

	strftime: import from gnulib
	* Makefile.in (GNULIB_MODULES): Add strftime.
	* configure.in (AC_FUNC_STRFTIME, my_strftime): Remove; no longer
	needed.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk, m4/gl-comp.m4:
	Regenerate.
	* lib/strftime.c, lib/strftime.h, lib/stdbool.in.h: New files,
	imported from gnulib.
	* m4/strftime.m4, m4/stdbool.m4, m4/tm_gmtoff.m4: Likewise.
	This incorporates many changes from gnulib, including simpler
	handling of multibyte formats, porting to mingw32 and other
	platforms, and support for higher-resolution time stamps.
	Emacs does not yet use the higher-resolution interface.

2011-01-30  Paul Eggert  <eggert@cs.ucla.edu>

	gnulib: import mktime and move-if-change fixes from gnulib

	* configure: Regenerate from the following.

	2011-01-30  Paul Eggert  <eggert@cs.ucla.edu>

	mktime: clarify long_int width checking
	* lib/mktime.c (long_int_is_wide_enough): Move this assertion to
	the top level, to make it clearer that the assumption about
	long_int width is being checked.  See
	<https://lists.gnu.org/r/bug-gnulib/2011-01/msg00554.html>.

	2011-01-29  Paul Eggert  <eggert@cs.ucla.edu>

	TYPE_MAXIMUM: avoid theoretically undefined behavior
	* lib/intprops.h (TYPE_MINIMUM, TYPE_MAXIMUM): Do not shift a
	negative number, which the C Standard says has undefined behavior.
	In practice this is not a problem, but might as well do it by the book.
	Reported by Rich Felker and Eric Blake; see
	<https://lists.gnu.org/r/bug-gnulib/2011-01/msg00493.html>.
	* m4/mktime.m4 (AC_FUNC_MKTIME): Likewise.
	* lib/mktime.c (TYPE_MAXIMUM): Redo slightly to match the others.

	mktime: #undef mktime before #defining it
	* lib/mktime.c (mktime) [DEBUG]: #undef mktime before #defining it.

	mktime: systematically normalize tm_isdst comparisons
	* lib/mktime.c (isdst_differ): New function.
	(__mktime_internal): Use it systematically for all isdst comparisons.
	This completes the fix for libc BZ #6723, and removes the need for
	normalizing tm_isdst.
	See <http://sourceware.org/bugzilla/show_bug.cgi?id=6723>
	(not_equal_tm) [DEBUG]: Use isdst_differ here, too.

	mktime: fix some integer overflow issues and sidestep the rest

	This was prompted by a bug report by Benjamin Lindner for MinGW
	<https://lists.gnu.org/r/bug-gnulib/2011-01/msg00472.html>.
	His bug is due to signed integer overflow (0 - INT_MIN), and I
	I scanned through mktime.c looking for other integer overflow
	problems, fixing all the bugs I found.

	Although the C Standard says the resulting code is still not safe
	in the presence of integer overflow, in practice it should be good
	enough for all real-world two's-complement implementations, except
	for debugging environments that deliberately trap on integer
	overflow (e.g., gcc -ftrapv).

	* lib/mktime.c (WRAPV): New macro.
	(SHR): Also check that long_int and time_t shift right in the
	usual way, before using the fast-but-unportable method.
	(TYPE_ONES_COMPLEMENT, TYPE_SIGNED_MAGNITUDE): Remove, no longer
	used.  The code already assumed two's complement, so there's
	no need to test for alternatives.  All uses removed.
	(TYPE_MAXIMUM): Don't rely here on overflow behavior not defined by
	the C standard.  Reported by Rich Felker in
	<https://lists.gnu.org/r/bug-gnulib/2011-01/msg00488.html>.
	(twos_complement_arithmetic): Also check long_int and time_t.
	(time_t_avg, time_t_add_ok, time_t_int_add_ok): New functions.
	(guess_time_tm, ranged_convert, __mktime_internal): Use them.
	(__mktime_internal): Avoid integer overflow with unary subtraction
	in two instances where -1 - X is an adequate replacement for -X,
	since the calculations are approximate.

	2011-01-29  Eric Blake  <eblake@redhat.com>

	mktime: avoid infinite loop
	* m4/mktime.m4 (AC_FUNC_MKTIME): Avoid overflow on possibly-signed
	type; behavior is still undefined but portable to all known targets.
	Reported by Rich Felker.

	2011-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	mktime: avoid problems on NetBSD 5 / i386
	* lib/mktime.c (long_int): New type.  This works around a problem
	on NetBSD 5 / i386, where 'long int' and 'int' are both 32 bits
	but time_t is 64 bits, and where I expect the existing code is
	wrong in some cases.
	(leapyear, ydhms_diff, guess_time_tm, __mktime_internal): Use it.
	(ydhms_diff): Bring back the compile-time check for wide-enough
	year and yday.

	mktime: fix misspelling in comment
	* lib/mktime.c (__mktime_internal): Fix misspelling in comment.
	This merges all recent glibc changes of importance.

	2011-01-28  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	move-if-change: cope with concurrent mv of identical file.
	* move-if-change (CMPPROG): Accept environment
	variable as an override for `cmp'.
	(usage): Document CMPPROG.
	Adjust comparison to drop stdout.  Cope with failure of mv if
	the target file exists and is identical to the source, for
	parallel builds.
	Report from H.J. Lu against binutils in PR binutils/12283.

2011-01-29  Eli Zaretskii  <eliz@gnu.org>

	* lib/makefile.w32-in:
	* lib/getopt_.h: New files.

2011-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	improve fix for MS-DOS file name clash
	* Makefile.in (DOS_gnulib_comp.m4): Rename from DOS-gnulib-comp.m4,
	for portability to POSIX make.  Reported by Bruno Haible.
	(sync-from-gnulib): Copy gl-comp.m4 (if present) back to
	gnulib-comp.m4 before running gnulib-tool, to prevent old gnulib
	files from accumulating as garbage.  Also reported by Bruno Haible.

2011-01-27  Paul Eggert  <eggert@cs.ucla.edu>

	fix two m4/gnulib-*.m4 file names that clashed under MS-DOS
	* Makefile.in (DOS-gnulib-comp.m4): New macro.
	(sync-from-gnulib): Rename m4/gnulib-comp.m4 to m4/gl-comp.m4 to avoid
	problems with MS-DOS 8+3 file name restrictions.
	Remove m4/gnulib-cache.m4, as we can live without it.  If we kept
	it, it would also cause problems when extracting Emacs distribution
	tarballs on MS-DOS hosts.
	(ACLOCAL_INPUTS): Adjust to file renaming.
	* aclocal.m4, configure, lib/Makefile.in, src/config.in: Regenerate.
	* config.guess, config.sub: Sync from gnulib.
	* m4/gnulib-cache.m4: Remove from repository.
	* m4/gl-comp.m4: Rename from m4/gnulib-comp.m4.

2011-01-25  Glenn Morris  <rgm@gnu.org>

	* README: Add a note about ranges in copyright years.

	* configure.in: Set CANNOT_DUMP on ia64 hpux (port from emacs-23).

2011-01-25  Peter O'Gorman  <bug-gnu-emacs@mlists.thewrittenword.com>  (tiny change)

	* configure.in: Add HP-UX on IA64 (Bug#6811).

2011-01-24  Paul Eggert  <eggert@cs.ucla.edu>

	Remove HAVE_RAW_DECL_CHOWN etc. from config.h
	* Makefile.in (sync-from-gnulib): Remove m4/warn-on-use.m4,
	as it is no longer needed.
	* aclocal.m4, configure, lib/Makefile.in, src/config.in: Regenerate.
	* configure.in: Invoke the new gnulib macro
	gl_ASSERT_NO_GNULIB_POSIXCHECK, which removes the need for
	warn-on-use.m4 and for the HAVE_RAW_DECL_* symbols in config.h.
	* m4/getopt.m4: Sync from gnulib; this removes the need for
	HAVE_DECL_OPTRESET and HAVE_DECL_GETOPT_CLIP from config.h.
	* m4/gnulib-common.m4 (gl_ASSERT_NO_GNULIB_POSIXCHECK):
	New macro, synced from gnulib.
	* m4/warn-on-use.m4: Remove.

2011-01-22  Paul Eggert  <eggert@cs.ucla.edu>

	aclocal.m4: put this file back into repository
	This way, we don't have to assume that the maintainer has
	the automake package installed.  See
	<https://lists.gnu.org/r/emacs-devel/2011-01/msg00746.html>.
	* .bzrignore: Remove aclocal.m4, undoing the previous change.
	* Makefile.in (top_maintainer_clean): Do not remove aclocal.m4,
	undoing the previous change.
	* aclocal.m4: New file (actually, resurrected).

2011-01-22  Miles Bader  <miles@gnu.org>

	* configure.in: Don't zero-out FONTCONFIG_CFLAGS and
	FONTCONFIG_LIBS when building with XFT (doing so is incorrect, as
	Emacs directly uses fontconfig, and breaks building when using a
	strict linker).

2011-01-21  Paul Eggert  <eggert@cs.ucla.edu>

	src/config.in: shrink slightly
	* configure.in: Invoke the new gnulib macro gl_ASSERT_NO_GNULIB_TESTS.
	This makes src/config.in a bit smaller, by removing identifiers
	like GNULIB_TEST_MKTIME that Emacs does not need.
	* m4/getopt.m4, m4/gnulib-common.m4, m4/include_next.m4:
	* m4/multiarch.m4, m4/stddef_h.m4, m4/time_h.m4, m4/unistd_h.m4:
	Sync from gnulib.  This removes a few more unnecessary symbols from
	src/config.in, such as AA_APPLE_UNIVERSAL_BUILD and HAVE_STDDEF_H.
	* configure, src/config.in: Regenerate.

	aclocal.m4: tweaks to regenerate more conveniently
	This attempts to act better when the source is in a weird state.  See
	<https://lists.gnu.org/r/emacs-devel/2011-01/msg00734.html>.
	* Makefile.in (am--refresh): Add aclocal.m4, configure, config.in.
	* .bzrignore: Add aclocal.m4.

2011-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	aclocal.m4: omit auto-generated file from repository
	* Makefile.in (top_maintainer_clean): Remove aclocal.m4; this undoes
	the most recent change here.
	* aclocal.m4: Remove from bzr repository.  This file is
	auto-generated and isn't needed to run 'configure'.  See
	<https://lists.gnu.org/r/emacs-devel/2011-01/msg00698.html>.

2011-01-19  Paul Eggert  <eggert@cs.ucla.edu>

	Minor Makefile.in tweaks to build from gnulib better.
	<https://lists.gnu.org/r/emacs-devel/2011-01/msg00673.html>
	* Makefile.in (sync-from-gnulib): Also run autoreconf -I m4.
	(top_maintainer_clean): Don't remove aclocal.m4.

2011-01-18  Paul Eggert  <eggert@cs.ucla.edu>

	Minor cleanups for 'bzr status'
	* .bzrignore: Add emacs-*/, the output of make-dist, and stamp-h1,
	the output of config.guess.
	* Makefile.in (top_distclean): Remove stamp-h1 too.

	* configure.in (HAVE_ATTRIBUTE_ALIGNED): Arrange for this to be
	defined if the compiler supports GCC-style __attribute__
	((__aligned__ ...)).  IBM AIX and Oracle Solaris Studio support
	this syntax.

2011-01-17  Paul Eggert  <eggert@cs.ucla.edu>

	Makefile.in: tidy up the building of lib
	* Makefile.in (am--refresh): Mark as .PHONY.
	(top_maintainer_clean): Don't remove lib/gnulib.mk m4/gnulib-cache.m4,
	as they're not rebuilt unless you do a "make sync-from-gnulib"
	and the former is needed for "configure".
	(maintainer-clean): Don't recurse into lib, as "make bootstrap-clean"
	has already removed lib/Makefile.

	* Makefile.in (GNULIB_MODULES): Change ftoastr to dtoastr.
	This avoids building ftoastr and ldtoastr, which aren't needed.  See
	<https://lists.gnu.org/r/bug-gnulib/2011-01/msg00199.html>.

	* .bzrignore: Add .h files that are host-dependent.
	Add lib/.deps/, lib/arg-nonnull.h, lib/c++defs.h, lib/getopt.h,
	lib/time.h, lib/unistd.h, lib/warn-on-use.h.  These are
	host-dependent and are built as part of an ordinary 'make', and
	should not be checked in.

	* lib/Makefile.in: Regenerate.
	* lib/COPYING: New file, a copy of COPYING.

	* configure: Regenerate.
	* configure.in (AC_USE_SYSTEM_EXTENSIONS): Remove: gnulib does this.

	Regenerate.
	* lib/getopt.c, lib/getopt.in.h, lib/getopt1.c, lib/getopt_int.h:
	* lib/gettext.h, lib/unistd.in.h, m4/unistd_h.m4:
	New files, copied from gnulib by gnulib-tool.
	* aclocal.m4, configure, lib/Makefile.in, m4/getopt.m4:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's getopt-gnu module.
	* Makefile.in (GNULIB_MODULES): Add getopt-gnu.
	(AUTOCONF_INPUTS): Remove getopt.m4; aclocal.m4 is a good-enough
	representative of the dependencies.
	* configure.in: Do not configure getopt, as gnulib does that now.
	* make-dist: Do not worry about lib-src/getopt.h, as gnulib handles
	getopt now, in lib.

	Regenerate.
	* arg-nonnull.h, c++defs.h, lib/mktime-internal.h, lib/mktime.c:
	* lib/stddef.in.h, lib/time.h, lib/time.in.h, lib/time_r.c:
	* m4/extensions.m4, m4/include_next.m4, m4/mktime.m4:
	* m4/multiarch.m4, m4/stddef_h.m4, m4/time_h.m4, m4/time_r.m4:
	* m4/extensions.m4, m4/include_next.m4, m4/mktime.m4, m4/multiarch.m4:
	* m4/stddef_h.m4, m4/time_h.m4, m4/time_r.m4, m4/warn-on-use.m4:
	* m4/wchar_t.m4, warn-on-use.h:
	New files, copied from gnulib by gnulib-tool.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's mktime module.
	* Makefile.in (GNULIB_MODULES): Add mktime.
	* configure.in: Remove code no longer needed, as gnulib now does it.
	(AC_CHECK_FUNCS): Remove mktime.
	(AC_FUNC_MKTIME, BROKEN_MKTIME): Remove.
	(__restrict): Remove, as this now gets in the way of the C99
	support for 'restrict' pulled in by the gnulib mktime module.
	Code should now use 'restrict' and not '__restrict".
	(mktime): Remove.
	* make-dist: Put gnulib-generated files arg-nonnull.h, c++defs.h,
	and warn-on-use.h into the distribution.

	Regenerate.
	* lib/dtoastr.c, lib/ftoastr.c, lib/ftoastr.h, lib/intprops.h:
	* lib/ldtoastr.c, m4/c-strtod.m4:
	New files, copied from gnulib by gnulib-tool.
	* lib/dummy.c: Remove.
	* aclocal.m4, configure, lib/Makefile.in, lib/gnulib.mk:
	* m4/gnulib-cache.m4, m4/gnulib-comp.m4, src/config.in:
	Regenerate.

	Use gnulib's ftoastr module.
	* Makefile.in (GNULIB_MODULES): Add ftoastr.  Remove dummy.

	Regenerate.
	* aclocal.m4, compile, depcomp, lib/Makefile.in, lib/dummy.c:
	* lib/gnulib.mk, m4/00gnulib.m4, m4/gnulib-cache.m4:
	* m4/gnulib-common.m4, m4/gnulib-comp.m4, m4/gnulib-tool.m4, missing:
	New files, generated automatically, with 'make sync-from-gnulib'
	followed by 'make'.
	* configure: Regenerate.

	Automate syncing from gnulib.
	* INSTALL, README: Document new subdirectory 'lib'.
	* Makefile.in (SUBDIR): Add lib.
	(SUBDIR_MAKEFILES): Add lib/Makefile.
	(lib-src, src, TAGS, tags): Depend on lib.
	(gnulib_srcdir, GNULIB_MODULES, GNULIB_TOOL_FLAGS): New macros.
	($(gnulib_srcdir)): New rule.
	(sync-from-gnulib): New rule, which is .PHONY.
	(lib): New rule, which is like lib-src.
	(Makefile): Depend on lib/Makefile.in.
	(AUTOCONF_INPUTS): Depend on aclocal.m4.
	(ACLOCAL_INPUTS, AUTOMAKE_INPUTS): New macros.
	($(srcdir)/aclocal.m4, $(srcdir)/lib/Makefile.in): New rules.
	(am--refresh): New rule, to pacify Automake.
	(mostlyclean, clean, distclean, bootstrap-clean, maintainer-clean):
	Clean lib, too.
	(top_maintainer_clean): New macro, to remove gnulib-tool and Automake
	droppings.
	(maintainer-clean, extraclean): Use it.
	* configure.in: Initialize for automake and gnulib, by invoking
	AM_INIT_AUTOMAKE, AM_PROG_CC_C_O, gl_EARLY, and gl_INIT.  Output
	lib/Makefile, too.  Use automake to build gnulib, as gnulib works
	more conveniently with automake.
	* lib/Makefile.am: New file.
	* make-dist: Also put into the distribution aclocal.m4,
	compile, depcomp, missing, and the files under lib/.

2011-01-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (epaths-force): No more arch-tag to edit.

2011-01-15  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Bump min libxml2 version to 2.6.17 (Bug#7603).

2011-01-14  Paul Eggert  <eggert@cs.ucla.edu>

	* make-dist: Distribute test/ files too.
	Distribute every file under test/ that is under version control,
	using patterns like *.el to capture files that are added later.
	Without this change, "configure" would fail, because it would
	attempt to build from a Makefile.in that was not distributed.

2011-01-13  Christian Ohler  <ohler@gnu.org>

	* Makefile.in (INFO_FILES): Add ERT.

	* Makefile.in (check): Run tests in test/automated.

	* Makefile.in:
	* configure.in: Add test/automated/Makefile.

2011-01-07  Paul Eggert  <eggert@cs.ucla.edu>

	* install-sh, mkinstalldirs, move-if-change: Update from master
	source in gnulib.

	* config.guess, config.sub: Updated from master source.

2011-01-05  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Check for __builtin_unwind_init.

2011-01-05  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_MAKEINFO): New output variable.
	(MAKEINFO): Reset to "makeinfo" if not found.
	* Makefile.in (install-arch-indep, info):
	Replace MAKEINFO = off with HAVE_MAKEINFO = no.

2010-12-29  Ulrich Müller  <ulm@gentoo.org>

	* configure.in: Make gameuser configurable (Bug#7717).

2010-12-15  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-dep, uninstall): Remove code relating to the
	long absent lib-src/fns-*.el.

2010-12-11  Glenn Morris  <rgm@gnu.org>

	* make-dist: Exclude etc/*.pyc.

2010-12-10  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't double machfile in final message.

2010-12-04  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Fix last change.

2010-12-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Remove reference to removed machine description
	files and allow $machine and $machfile to be empty.
	Substitute M_FILE/S_FILE instead of machfile/opsysfile.

2010-12-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove EMACS_UNIBYTE unsetting; it does nothing.

2010-11-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in <AC_CHECK_HEADERS>: Remove sys/ioctl.h.
	(EXTERNALLY_VISIBLE): New definition.

2010-11-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (INLINE): Do not depend on OPTIMIZE, unused.

2010-11-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Do not check for unconditionally included headers.

2010-11-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .dir-locals.el (log-edit-mode): Set log-edit-rewrite-fixes.

2010-11-09  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: Don't write a warning for D-Bus anymore.

2010-11-06  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Fix indentation.

2010-10-31  Ken Brown  <kbrown@cornell.edu>

	* configure.in (checking whether localtime caches TZ):
	Use unsetenv instead of modifying environment directly.

2010-10-25  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (checking for -znocombreloc): Use AC_LANG_PROGRAM
	to avoid warning.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Remove the BROKEN annotation from GnuTLS.

2010-10-22  Glenn Morris  <rgm@gnu.org>

	* make-dist: Avoid listing .el files twice.  Don't try to run
	autoconf if --no-update.

2010-10-20  Glenn Morris  <rgm@gnu.org>

	* make-dist: No longer create lisp/MANIFEST.

2010-10-14  Glenn Morris  <rgm@gnu.org>

	* BUGS, INSTALL.BZR, README: Updates.

2010-10-13  Glenn Morris  <rgm@gnu.org>

	* make-dist: Remove --compress.  Check for the appropriate
	gzip-like executable, and if not found, don't compress.
	Check version number in README, don't change it.
	Use find for nt/inc/*.h.

2010-10-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure (ns_appdir, OLDXMENU, TOOLTIP_SUPPORT):
	Remove trailing / from directory names.

2010-10-12  Glenn Morris  <rgm@gnu.org>

	* make-dist: Update and simplify.

2010-10-12  Eli Zaretskii  <eliz@gnu.org>

	* make-dist: Don't distribute src/buildobj.h.  (Bug#7167)

2010-10-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (PROFILING_LDFLAGS): Do not define, remove all uses.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more doc/emacs/*.texi.in.

	* configure.in (AC_OUTPUT): Remove doc/emacs/emacsver.texi.

2010-10-09  Glenn Morris  <rgm@gnu.org>

	* configure.in: Combine some conditionals.

	* configure.in (AC_OUTPUT): Add doc/emacs/emacsver.texi.
	* make-dist: Include doc/emacs/*.texi.in.

	* INSTALL, make-dist: Remove references to b2m.
	* Makefile.in (MAN_PAGES): Remove b2m.1.

2010-10-05  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el: The Emacs convention is sentence-end-double-space.

2010-10-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (NO_INLINE, noinline): Move here from src/xterm.c.

2010-10-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Include stdlib.h and string.h unconditionally.

2010-09-29  Romain Francoise  <romain@orebokech.com>

	* configure.in: Don't enable ImageMagick unless HAVE_X11.

2010-09-28  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_GNUTLS): Add a description to make autoheader
	happy.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Enable imagemagick by default.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in (HAVE_GNUTLS): Don't break if we don't have the
	GnuTLS libraries.

2010-09-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* configure.in: Set up GnuTLS.

2010-09-22  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Announce whether libxml2 is linked to.

2010-09-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LINKER): Rename to LD_FIRSTFLAG, do not include $(CC).

2010-09-18  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Detect that libxml2 is installed and if so, build
	with it.

2010-09-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in (HAVE_LIBXML2): Check that the libxml2 we found can
	be used.  This fixes a conf problem on Mac OS X.

2010-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* configure.in: Check for libxml2.

2010-09-09  Glenn Morris  <rgm@gnu.org>

	* make-dist: No more TODO files under lisp/.

2010-09-04  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Produce lisp/gnus/_dir-locals.el from
	lisp/gnus/.dir-locals.el.

2010-08-23  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Fix check for librsvg, imagemagick and
	MagickExportImagePixels.

2010-08-18  Joakim Verona  <joakim@verona.se>

	* Makefile.in, configure.in: Checks for ImageMagick.

2010-08-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.65.

2010-08-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.66 to stop version churn.

2010-08-09  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Add AC_C_BIGENDIAN.

2010-08-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (ORDINARY_LINK): Use on hpux* too.

2010-08-06  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for util.h.
	Use -Wimplicit-function-declaration if compiler supports it.

2010-08-05  Eli Zaretskii  <eliz@gnu.org>

	* configure.in (UNEXEC_OBJ): Rename unexec.o => unexcoff.o.

2010-08-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Restore accidentally removed use of
	GCC_TEST_OPTIONS/NON_GCC_TEST_OPTIONS.

2010-07-29  Chad Brown  <yandros@mit.edu>

	* configure.in: Check for dirent.h.

2010-07-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove reference to usg5-4, unused.

2010-07-25  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Check for __executable_start.

2010-07-24  Ken Brown  <kbrown@cornell.edu>

	* configure.in (LINKER, LIB_GCC): Remove cygwin special cases (Bug#6715)

2010-07-24  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore, .gitignore: Ignore README.W32 on the root directory.

2010-07-24  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* configure.in (START_FILES) [cygwin]: Set to pre-crt0.o (Bug#6715).

2010-07-12  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (C_WARNINGS_SWITCH, PROFILING_CFLAGS)
	(PROFILING_LDFLAGS): Substitute, don't add them to CFLAGS/LDFLAGS.
	(C_OPTIMIZE_SWITCH): Remove.
	(TEMACS_LDFLAGS2): Add ${PROFILING_LDFLAGS}.

2010-07-11  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't check for index and rindex, check for strchr
	and strrchr.  Define strchr and strrchr as index and rindex,
	resp., in src/config.h if not available.

2010-07-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Use -Wold-style-definition if available.
	This helps with the transition to standard C code, it can be
	removed when done.

	* configure.in (PRE_EDIT_LDFLAGS, POST_EDIT_LDFLAGS): Remove.

	* configure.in (UNEXEC_OBJ): Add comment about values for MSDOS
	and MSWindows.

2010-07-07  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in: Don't check for bcopy, bcmp, bzero.  Don't include
	<strings.h> and don't define bcopy, bzero, BCMP in config.h.

2010-07-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (getenv): Remove K&R declaration.

2010-07-02  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Remove define __P.

2010-07-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-use-lisp-union-type): New flag.

2010-06-30  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix CFLAGS for non-GCC compilers.
	* configure.in (CFLAGS): Always use -g like it was done before the
	2010-03-30 change.
	(REAL_CFLAGS): Use CFLAGS for non-GCC to get optimization flags.
	(Bug#6538)

2010-06-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_SOUND, HAVE_X_I18N, HAVE_X11R6_XIM):
	Set with AC_DEFINE rather than AH_BOTTOM.

	* configure.in (C_OPTIMIZE_SWITCH, CANNOT_DUMP, SYSTEM_MALLOC)
	(USE_MMAP_FOR_BUFFERS, C_WARNING_SWITCH, CFLAGS, REAL_CFLAGS):
	Set with shell, not cpp.
	(LIBX): Remove, just use -lX11 in the one place this was used.
	(cannot_dump): Replace with CANNOT_DUMP.

2010-06-28  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Add --with-x-toolkit=gtk3.  Remove HAVE_GTK_MULTIDISPLAY,
	check for gtk_file_chooser_dialog_new, and HAVE_GTK_FILE_BOTH (implied
	by minimum required Gtk+ 2.6).  Add checks for functions introduced
	in Gtk+ 2.14 or newer (bug#6505).

2010-06-26  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Remove white space around "+" in COPY commands.

2010-06-23  Glenn Morris  <rgm@gnu.org>

	* info/dir: Start descriptions in column 32, per Texinfo convention.

2010-06-16  Chong Yidong  <cyd@stupidchicken.com>

	* INSTALL: Update font information (Bug#6389).

2010-06-16  Glenn Morris  <rgm@gnu.org>

	* INSTALL: General update.

2010-06-12  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Delete any old info .gz files first.

2010-06-11  Glenn Morris  <rgm@gnu.org>

	* configure.in (--without-compress-info): New option.
	(GZIP_INFO): New output variable.

	* Makefile.in (GZIP_INFO): New, set by configure.
	(install-arch-indep): Don't gzip info pages if GZIP_INFO is nil.
	Handle man pages in the same way.

2010-06-10  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Gzip the info files too.

	* make-dist: Remove references to non-existent directories and files.

2010-06-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Include <strings.h> and <string.h> instead of
	"strings.h" and "string.h".

2010-06-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove code dealing with BSTRING.

2010-06-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (AC_PREREQ): Require autoconf 2.65.

	* configure.in (unxec): Do not define and substitute.
	(UNEXEC_OBJ): New output variable, replaces cpp UNEXEC.

2010-06-03  Glenn Morris  <rgm@gnu.org>

	* configure.in (AH_BOTTOM): Remove NOT_C_CODE test, it is always true.

2010-06-02  Dan Nicolaescu  <dann@ics.uci.edu>

	Fix alloca definition when using gcc on non-gnu systems.
	* configure.in: Use the code sequence indicated by "info autoconf"
	for alloca (bug#6170).

2010-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* .bzrignore: Ignore new files from trunk, which appear if you use
	colocated branches (i.e. "bzr switch").

2010-05-28  Glenn Morris  <rgm@gnu.org>

	* configure.in: Simplify some of the $canonical tests.

2010-05-27  Glenn Morris  <rgm@gnu.org>

	* config.bat: Do not preprocess src/Makefile.in.

	* configure.in: Do not preprocess src/Makefile.in.
	(cpp_undefs, CPP_NEED_TRADITIONAL): Remove.
	(AC_EGREP_CPP): Test no longer needed.

	* make-dist: No more Makefile.c files.

2010-05-26  Glenn Morris  <rgm@gnu.org>

	* configure.in (YMF_PASS_LDFLAGS): Remove.
	(PRE_EDIT_LDFLAGS, POST_EDIT_LDFLAGS): New output variables.

	* configure.in (CPPFLAGS, CFLAGS, REAL_CFLAGS):
	Add $GNUSTEP_LOCAL_HEADERS.
	(LDFLAGS, LD_SWITCH_SYSTEM_TEMACS): Add $GNUSTEP_LOCAL_LIBRARIES.

	* configure.in (NS_IMPL_GNUSTEP_INC, NS_IMPL_GNUSTEP_TEMACS_LDFLAGS)
	(GNUSTEP_MAKEFILES): Remove.
	(LD_SWITCH_SYSTEM_TEMACS): Move NS_IMPL_GNUSTEP_TEMACS_LDFLAGS
	stuff to here.

2010-05-25  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_SYSTEM): Move some gnu-linux stuff...
	(LD_SWITCH_SYSTEM_TEMACS): ... to here.

	* configure.in (LD_SWITCH_SYSTEM_EXTRA): Remove.
	(LD_SWITCH_SYSTEM_TEMACS): Put darwin stuff from LD_SWITCH_SYSTEM_EXTRA
	here instead.

2010-05-24  Romain Francoise  <romain@orebokech.com>

	* make-dist: Look for version in src/emacs.c.
	Use lisp/subr.el rather than lisp/version.el for location check.

2010-05-21  Glenn Morris  <rgm@gnu.org>

	* configure.in (MKDEPDIR): Parallel build tweak.

	* configure.in (ns_frag): New output file.

	* configure.in (OLDXMENU): Set to "nothing" if !HAVE_X11 || USE_GTK.
	(OLDXMENU_TARGET): Set to empty if USE_GTK.

	* configure.in (cannot_dump): New output variable.

2010-05-20  enami tsugutomo  <tsugutomo.enami@jp.sony.com>

	* configure.in: On NetBSD, if terminfo is found, use it in
	preference to termcap.  (Bug#6190)

2010-05-20  Glenn Morris  <rgm@gnu.org>

	* make-dist (src): Include *.mk.
	* config.bat: Concatenate deps.mk onto the end of src/Makefile.
	* configure.in (DEPFLAGS, MKDEPDIR): New output variables.
	(deps_frag): New output file.
	(AUTO_DEPEND): Remove this definition.

	* configure.in (--with-gtk, --with-gcc): Remove option stubs.

2010-05-19  Glenn Morris  <rgm@gnu.org>

	* configure.in (LINKER, YMF_PASS_LDFLAGS): New output variables.
	(ORDINARY_LINK): New AC_DEFINE.
	(LIB_GCC): No need to set if ORDINARY_LINK.

2010-05-18  Glenn Morris  <rgm@gnu.org>

	* configure.in (POST_ALLOC_OBJ) [cygwin]: Omit vm-limit.o.
	(POST_ALLOC_OBJ) [!cygwin]: Set to empty.

	* config.bat (RALLOC_OBJ): Edit to empty if sys_malloc.
	* configure.in (REL_ALLOC): Unset on gnu, gnu-linux if DOUG_LEA_MALLOC.
	(RALLOC_OBJ): New output variable.

	* config.bat (GMALLOC_OBJ, VMLIMIT_OBJ): Edit to empty if sys_malloc.
	* configure.in (GMALLOC_OBJ, VMLIMIT_OBJ): New output variables.

2010-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (src): Provide the name of the VCS file that witnesses
	a pull.
	($(srcdir)/src/config.in): Handle accidental removal of src/config.in.

2010-05-17  Glenn Morris  <rgm@gnu.org>

	* configure.in (OLDXMENU_DEPS): New output variable.

2010-05-16  Glenn Morris  <rgm@gnu.org>

	* configure.in (ns_appbindir, ns_appresdir): Set using $ns_appdir.

	* configure.in (ns_appdir, ns_appbindir): Add trailing "/" to value.
	* Makefile.in (install-arch-dep): Update for above change.

	* Makefile.in (ns_appdir): Remove.
	(install-arch-dep): Test $ns_appresdir instead of $ns_appdir.

	* configure.in (TEMACS_LDFLAGS2): New output variable.

	* configure.in (NS_IMPL_GNUSTEP_TEMACS_LDFLAGS): New output variable.
	(START_FILES): Set to empty if NS_IMPL_GNUSTEP.
	(GNUSTEP_SYSTEM_HEADERS, GNUSTEP_SYSTEM_LIBRARIES): Do not output,
	nothing uses.

2010-05-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove references to usg5-4 and bsd-common, $opsys
	does not use them.
	(X11R5_INHIBIT_I18N): Remove, unused.

2010-05-15  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXMENU): Set to empty if !HAVE_X_WINDOWS.

	* configure.in (FONT_OBJ): Set to empty if !HAVE_X_WINDOWS.

2010-05-15  Ken Raeburn  <raeburn@raeburn.org>

	* configure.in: Look for version string in its new location.

2010-05-15  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Remove support for DJGPP v1.x.

2010-05-15  Glenn Morris  <rgm@gnu.org>

	* configure.in (OLDXMENU_TARGET): New output variable.

	* Makefile.in (install-arch-dep): Update odd NS rule for Emacs version.

	* Makefile.in (install-arch-indep): Remove references to RCS, CVS,
	and other files that no longer exist.

2010-05-14  Glenn Morris  <rgm@gnu.org>

	* configure.in (cpp_undefs): Add mktime, register, X11.

	* configure.in (GPM_MOUSE_SUPPORT): Remove.
	(MOUSE_SUPPORT, TOOLTIP_SUPPORT, WINDOW_SUPPORT): New output variables.
	(HAVE_WINDOW_SYSTEM, HAVE_MOUSE): Move out of AC_BOTTOM.

	* configure.in (NS_IMPL_GNUSTEP_INC): New output variable.
	(GNUSTEP_MAKEFILES): Do not output.

2010-05-13  Glenn Morris  <rgm@gnu.org>

	* configure.in: Fix some paren typos.

	* configure.in (OLDXMENU, LIBXMENU): Set to empty if !HAVE_MENUS.

	* configure.in (LD_SWITCH_X_SITE, C_SWITCH_X_SITE): Do not define.

2010-05-12  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIB_SRC_EXTRA_INSTALLABLES): Remove, unused.

	* configure.in (LIB_GCC): New output variable.

2010-05-11  Glenn Morris  <rgm@gnu.org>

	* make-dist (msdos): No more mainmake.

	* configure.in: Generate lib-src/Makefile directly, do not run cpp.
	* config.bat: Do not run cpp on lib-src/Makefile.in.

	* config.bat [HAVE_X11]: Run sed3x.inp on lib-src/Makefile.

2010-05-10  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBS_SYSTEM): New output variable, replacing cpp.

	* configure.in (MAIL_USE_FLOCK, MAIL_USE_LOCKF): New AC_DEFINEs.
	(BLESSMAIL_TARGET): New output variable.

2010-05-08  Štěpán Němec  <stepnem@gmail.com>  (tiny change)

	* INSTALL: Fix typos.

2010-05-08  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Add check for buggy version of GCC (Bug#6031).

2010-05-08  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIBNCURSES): New local variable.
	(TERMINFO, LIBS_TERMCAP, TERMCAP_OBJ): New output variables,
	replacing cpp in src/s/*.h and src/Makefile.in.

2010-05-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.2 released.

2010-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Add tests for `isnan' and `copysign'.

2010-05-07  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Allow for 2 leading `#'s in comments in
	src/Makefile.in.

2010-05-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_SYSTEM): Set with configure, not cpp.
	Merges logic from src/s/* and src/Makefile.in.
	(LD_SWITCH_SYSTEM_TEMACS): New output variable.

2010-05-07  Dan Nicolaescu  <dann@ics.uci.edu>

	Define START_FILES and LIB_STANDARD using autoconf.
	* configure.in (START_FILES, LIB_STANDARD): New definitions, moved
	here from src/s/*.h.
	(HAVE_CRTIN): Remove, inline logic in the netbsd
	START_FILES/LIB_STANDARD computation.

2010-05-06  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_PROG_LN_S): Remove test, nothing uses @LN_S@.

	* Makefile.in (CPP, C_SWITCH_SYSTEM, ALLOCA, LN_S, C_SWITCH_X_SITE)
	(LD_SWITCH_X_SITE): Remove unused variables.

2010-05-04  Glenn Morris  <rgm@gnu.org>

	* configure.in (LD_SWITCH_X_SITE_AUX): Use AC_SUBST only, not AC_DEFINE
	as well.
	(LD_SWITCH_X_SITE_AUX_RPATH): New output variable.

	* configure.in (LD_SWITCH_SYSTEM_TEMACS): New output variable.

	* configure.in (C_SWITCH_MACHINE, C_SWITCH_SYSTEM): New output
	variables, replacing c_switch_machine, c_switch_system.
	* Makefile.in (C_SWITCH_SYSTEM): Use @C_SWITCH_SYSTEM@ rather than
	@c_switch_system@.

2010-05-03  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXT_OTHER, LIBX_OTHER): New output variables.

	* make-dist: There are no more src/m/*.inp files.

2010-05-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LD_SWITCH_MACHINE, ld_switch_machine): Remove, unused.
	(ac_link): Do not use ld_switch_machine.

2010-05-01  Glenn Morris  <rgm@gnu.org>

	* configure.in (OTHER_OBJ): Remove.
	(PRE_ALLOC_OBJ, POST_ALLOC_OBJ): New output variables.

2010-04-30  Glenn Morris  <rgm@gnu.org>

	* configure.in (OTHER_OBJ): Always include vm-limit.o on Cygwin.
	Elsewhere, maybe include it.

	* configure.in (TOOLKIT_LIBW) [HAVE_GTK]: Set to $GTK_LIBS.
	(OLDXMENU, LIBXMENU): New output variables.

	* configure.in (OTHER_OBJ): New output variable.

2010-04-28  Glenn Morris  <rgm@gnu.org>

	* configure.in (CYGWIN_OBJ): New output variable.

	* configure.in (GPM_MOUSE_SUPPORT): New output variable.

	* configure.in (FONT_OBJ): New output variable.

	* configure.in (LIBXMU): New output variable.

	* configure.in (NS_OBJ, NS_SUPPORT): New output variables.

	* configure.in (machine, canonical): On amdx86-64, check for a 32-bit
	userland and maybe change values to i386 (move test from s/amdx86-64.h).

2010-04-27  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBXTR6): New output variable.  Move unixware special
	case here from src/s/unixware.h.

	* configure.in (LUCID_LIBW, MOTIF_LIBW): No longer substitute
	in Makefiles.
	(TOOLKIT_LIBW): New output variable, replacing LUCID_LIBW/MOTIF_LIBW.

	* configure.in (HAVE_MOTIF_2_1): Remove unused variable.
	(LIBXP): No longer substitute in Makefiles.
	(MOTIF_LIBW): New output variable.  Move system-specific settings here
	from src/s files.

2010-04-27  Dan Nicolaescu  <dann@ics.uci.edu>

	Reduce CPP usage.
	* configure.in (LIB_X11_LIB): Remove, inline in the only user.
	(unexec): Define unconditionally, all platforms define
	UNEXEC.  AC_SUBST it.
	(UNEXEC_SRC): Remove, unused.
	(C_SWITCH_X_SYSTEM): Define using autoconf, not cpp.

2010-04-27  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_MOTIF_2_1, HAVE_LIBXP): Remove unused AC_DEFINEs,
	replaced by LIBXP.

	* configure.in (--with-crt-dir): Doc fix (now valid for all platforms).
	(CRT_DIR): On (powerpc64|sparc64)-*-linux-gnu*, default to /usr/lib64.
	On hpux10-20, default to /lib.

	* configure.in (LUCID_LIBW, LIBXP, WIDGET_OBJ): New output variables.

2010-04-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (LIBS_MACHINE): Remove, unused.

	* configure.in (LIB_MATH): New output variable.  Set it for some systems.

2010-04-24  Glenn Morris  <rgm@gnu.org>

	* configure.in (CRT_DIR): New output variable.
	(--with-crt-dir): New option.  (Bug#5655)
	(HAVE_LIB64_DIR): Remove.

2010-04-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (REAL_CFLAGS, CFLAGS): Restore -g for gcc.

2010-04-22  Miles Bader  <miles@gnu.org>

	* configure.in: Get rid of "unix" pre-defined macro when
	preprocessing Makefile.  (Bug#5857)

2010-04-21  Andreas Schwab  <schwab@linux-m68k.org>

	Avoid non-portable shell command negation
	* configure.in: Revert last change.

2010-04-21  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Change "if test ! -f" to "if ! test -f".

2010-04-21  Glenn Morris  <rgm@gnu.org>

	* configure.in (LIBSELINUX_LIBS): Always substitute in Makefiles.
	(GTK_OBJ, DBUS_OBJ, LIBXSM, XMENU_OBJ, XOBJ): New output variables.

2010-04-21  Karel Klíč  <kklic@redhat.com>

	* configure.in: New option: --with(out)-selinux, on by default.
	Set HAVE_LIBSELINUX if we find libselinux, and substitute
	LIBSELINUX_LIBS in Makefiles.

2010-04-01  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove all references to LIBX11_SYSTEM.

2010-03-30  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove all references to C_DEBUG_SWITCH.

2010-03-27  Eli Zaretskii  <eliz@gnu.org>

	* config.bat <lib-src>: Edit out lines that begin with several #
	characters.

2010-03-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Remove support for old UNIX System V systems and
	for Unixware on non-x86 machines.

	* configure.in: Remove support for Solaris on PPC and for old versions.

	* configure.in: Remove non-working lynxos port.

2010-03-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el (c-mode): Turn on whitespace-mode for diff-mode.

2010-03-19  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIBNCURSES): Add a description to make autoheader
	happy.

2010-03-18  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for tputs and friends, abort if not
	found (bug#5735).

2010-03-18  Glenn Morris  <rgm@gnu.org>

	* configure.in (--with-x-toolkit): In the help text, say which options
	are synonyms.

	* configure.in (--with-mmdf, --with-mail-unlink):
	New options, off by default.
	(--with-mailhost): New option to set default POP host.
	(LIBXPM, LIBJPEG, LIBPNG, LIBTIFF, LIBGIF, LIBGPM, LIBS_MAIL)
	(LIBHESIOD, LIBRESOLV, COM_ERRLIB, CRYPTOLIB, KRB5LIB, DESLIB, KRB4LIB):
	New variables, substituted in Makefiles.
	(try_libungif, ac_gif_lib_name): Replace with HAVE_GIF=maybe, LIBGIF.
	(LIBGIF): Use AC_SUBST rather than AC_DEFINE.
	(HAVE_LIBMAIL, HAVE_LIBLOCKFILE, HAVE_LIBCOM_ERR, HAVE_LIBCRYPTO)
	(HAVE_LIBK5CRYPTO, HAVE_LIBKRB5, HAVE_LIBDES425, HAVE_LIBDES)
	(HAVE_LIBKRB4, HAVE_LIBKRB): New AC_DEFINEs.

2010-03-18  Tetsurou Okazaki  <okazaki@be.to>  (tiny change)

	* Makefile.in (uninstall): Handle the case where archlibdir does not
	exist.  (Bug#5720)

2010-03-12  Eli Zaretskii  <eliz@gnu.org>

	These changes remove termcap.c from the build on POSIX platforms.
	* configure.in <AC_CHECK_HEADERS>: Remove termcap.h.

	* configure: Regenerated.

2010-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.2.

2010-01-31  Juri Linkov  <juri@jurta.org>

	* .bzrignore: Add TAGS-LISP.

2010-01-23  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* configure.in: Check for utmp.h availability (FreeBSD 9.x lacks
	this header file).

2010-01-12  Juanma Barranquero  <lekktu@gmail.com>

	* .bzrignore: Ignore all .exe, instead of individual files.

2010-01-12  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Explicitly check for and link to -lXrender.

2010-01-12  Glenn Morris  <rgm@gnu.org>

	* INSTALL.BZR, README: Use bug-gnu-emacs rather than emacs-pretest-bug
	for bug reports for development versions.

2010-01-02  Eli Zaretskii  <eliz@gnu.org>

	* .bzrignore: Add more ignored patterns, including for the MS-DOS
	build.

2009-12-27  Karl Fogel  <kfogel@red-bean>

	* INSTALL.BZR: Rename from INSTALL.CVS; edit to talk about Bazaar.
	* INSTALL, autogen.sh, configure.in, configure: Adjust accordingly.

2009-12-17  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el (bug-reference-url-format): Change to debbugs.gnu.org.

2009-12-15  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add EDT entry.
	* Makefile.in (INFO_FILES): Add edt.

2009-12-10  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Check for RSVG if GNUstep is used.

2009-12-09  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Don't check for RSVG or GConf unless X11 is used.

2009-12-09  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* configure.in: Allow compiling Emacs with GTK on Cygwin.

2009-12-01  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add etc/images/mpc directory.

2009-11-21  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: Don't check for GConf unless X is used.

2009-11-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Use -Wdeclaration-after-statement if available.

2009-11-17  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: New option: --with(out)-gconf.
	Set HAVE_GCONF if we find gconf.

2009-11-17  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_FILES): Add semantic.

2009-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* info/dir: Add Semantic.

2009-11-16  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Use a more restrictive Makefile
	pattern, so as not to exclude makefile*.el.  (Bug#4912)

2009-11-14  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in: --enable-autodepend is new.  Check for GNU Make
	and that gcc supports -MMD -MF.  Define AUTO_DEPEND if we can use
	gcc and GNU make to generate dependencies.

2009-10-27  Glenn Morris  <rgm@gnu.org>

	* make-dist: Make links to doc/lispintro/*.pdf.

2009-10-23  Jim Meyering  <meyering@redhat.com>

	* configure.in: Invoke $CPP with -P when creating Makefile and
	src/Makefile.  Without this, gcc 4.4.2 converts each
	backslash-newline pair in the input to a bare newline, yielding
	invalid Makefiles.

	* configure: Regenerate.

2009-10-19  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (vax-dec-vms): Remove, not supported anymore.

2009-10-15  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (NS_HAVE_NSINTEGER): Back out previous change.
	(*-apple-darwin*): Add x86_64 architecture.

2009-10-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2009-10-11  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (NS_HAVE_NSINTEGER): Remove this test and define.

2009-10-07  Edward Trumbo  <etrumbo@comcast.net>  (tiny change)

	* Makefile.in (INFO_FILES): Add EDE and EIEIO.

2009-09-29  Glenn Morris  <rgm@gnu.org>

	* make-dist (check): Update for two new levels of subdirectory in lisp/.

2009-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

	* configure.in (OTHER_FILES): Define using autoconf not cpp.

2009-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el (change-log-mode): Restore bug-reference-mode.

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* INSTALL: Update URL for GNU FreeFont.

2009-09-09  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Don't recursively change perms of
	site-lisp and infodir.  There may be non-Emacs files in here, and the
	files supplied by Emacs are all handled explicitly already.  (Bug#3800)
	(mkdir): Set umask to world-readable before creating directories.
	mkinstalldirs already checks if dirs exist, don't duplicate this test.

2009-08-29  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (info-real): Don't ignore errors from doc Makefiles.
	(info): Don't give an error in the absence of makeinfo - let the doc
	Makefiles do that, if the info files need rebuilding.  (Bug#3982)

2009-08-23  Ken Raeburn  <raeburn@raeburn.org>

	* Makefile.in (install-arch-indep): If the versioned DOC-####
	generated during loadup+dump isn't found, install the plain DOC
	file that always gets generated, in case CANNOT_DUMP is set.

	* configure.in: Warn if package version specified here doesn't
	match the version in version.el.
	* configure: Regenerate.

2009-08-22  Michael Albinus  <michael.albinus@gmx.de>

	* configure.in: AC_CHECK_FUNCS dbus_watch_get_unix_fd.

	* configure: Regenerate.

2009-08-19  Glenn Morris  <rgm@gnu.org>

	* INSTALL: Remove reference to cvtmail.

2009-08-15  CHENG Gao  <chenggao@gmail.com>

	* Makefile.in (install-arch-indep): Remove .DS_Store files (MacOSX).

2009-08-02  Kevin Ryde  <user42@zip.com.au>

	* INSTALL: Fix free fonts URL.

2009-07-22  Glenn Morris  <rgm@gnu.org>

	* configure.in (AC_PREREQ): Require autoconf 2.62.

2009-07-04  Andreas Schwab  <schwab@linux-m68k.org>

	* configure.in (--enable-checking, --enable-profiling):
	Use AS_HELP_STRING.

2009-07-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-profiling): New option.
	(mips-*-netbsd*, mipsel-*-netbsd*, mipseb-*-netbsd*): Use machine=mips.

2009-06-27  Glenn Morris  <rgm@gnu.org>

	* configure.in: Restore netbsd on mips, mipsel, mipseb.

2009-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (--enable-checking): New option.

2009-06-24  Glenn Morris  <rgm@gnu.org>

	* make-dist: Warn if subdir does not exist in source.
	(nextstep/Cocoa/Emacs.base/Contents/Resources/preferences.nib)
	(nextstep/GNUstep/Emacs.base/Resources/preferences.gorm):
	No longer make links.

2009-06-24  Yavor Doganov  <yavor@gnu.org>

	* make-dist (tempdir): Don't create directories preferences.gorm
	and preferences.nib, they are no longer required.

2009-06-21  Chong Yidong  <cyd@stupidchicken.com>

	* Branch for 23.1.

2009-06-12  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Delete mac-fix-env target, which has been
	removed (Bug#3531).

2009-05-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* configure.in: Don't define CANNOT_DUMP for GNUstep any more.

2009-05-05  Per Starbäck  <per@starback.se>  (tiny change)

	* BUGS: Use new binding of view-emacs-problems.

2009-05-04  Simon Leinen  <simon.leinen@switch.ch>  (tiny change)

	* Makefile.in (install-arch-dep): Avoid using $$(..) construct,
	for Solaris compatibility.

2009-04-25  Chong Yidong  <cyd@stupidchicken.com>

	* configure: Regenerate.

	* configure.in: Disable use of FreeType without libXft.

2009-04-19  Jan Djärv  <jan.h.d@swipnet.se>

	* configure.in (HAVE_GTK_FILE_SELECTION, HAVE_GTK_FILE_CHOOSER):
	Check if it is declared in gtk.h.

2009-04-12  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (install-arch-indep): Remove .gitignore files.

2009-04-03  Kenichi Handa  <handa@m17n.org>

	* INSTALL: Make the section "Complex Text Layout support
	libraries" the first of "ADDITIONAL DISTRIBUTION FILES".

2009-03-06  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in (rs6000-ibm-aix6*): Fix typo.

2009-03-04  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (INFO_FILES): Add auth.

2009-03-03  Glenn Morris  <rgm@gnu.org>

	* info/dir: Add Auth-source.

2009-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (src): Fix last change so the first `cd' doesn't affect
	the second.

2009-02-28  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Copy .dbxinit to _dbxinit.

	* make-dist (Making links to `info'): Remove .gitignore.

2009-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (lib-src, lisp): Use simpler rule.
	(src): Be more specific to avoid recompiling all the .elc files just
	because the bootstrap-emacs is missing.

2009-02-26  Chong Yidong  <cyd@stupidchicken.com>

	* configure.in: Require librsvg >= 2.11.

2009-02-23  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (HAVE_XFT, HAVE_FREETYPE, HAVE_LIBOTF)
	(HAVE_M17N_FLT): Don't check for these unless HAVE_X11.

2009-02-04  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* configure.in (COCOA_EXPERIMENTAL_CTRL_G): Drop.

2009-02-03  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add some missing files, remove some that are no longer
	present.

2009-02-02  Glenn Morris  <rgm@gnu.org>

	* make-dist: Add some missing nextstep/ files.

2009-01-22  Yavor Doganov  <yavor@gnu.org>  (tiny change)

	* configure.in (HAVE_RSVG): Use librsvg under HAVE_NS also.  (Bug#616)

2009-01-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* configure.in: Add support for m68k-*-netbsd.

2009-01-14  Juri Linkov  <juri@jurta.org>

	* .dir-locals.el (change-log-mode): Remove bug-reference-mode.

	* .dir-locals.el (change-log-mode): Add bug-reference-url-format
	and bug-reference-mode.

2009-01-11  Juri Linkov  <juri@jurta.org>

	* INSTALL.CVS: Move configuration explicitly to the first step.

2009-01-09  Glenn Morris  <rgm@gnu.org>

	* .dir-locals.el: Don't set indent-tabs-mode.

2008-12-30  Kenichi Handa  <handa@m17n.org>

	* configure.in: Define HAVE_OTF_GET_VARIATION_GLYPHS if libotf has
	the function OTF_get_variation_glyphs.

2008-12-30  Jan Djärv  <jan.h.d@swipnet.se>

	* Makefile.in (install-arch-dep): Remove old directories in
	ns_app* before moving new directories there.

2008-12-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* .dir-locals.el: Remove non-working entry for pmail.
	(fill-column): Fix typo.
	(change-log-mode): Add fill column.

2008-12-26  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Produce _dir-locals.el from .dir-locals.el.

2008-12-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* make-dist (tempdir): Distribute .dir-locals.el.

	* .dir-locals.el: New file.

2008-12-19  Eli Zaretskii  <eliz@gnu.org>

	* config.bat (--with-system-malloc): New option; see msdos/INSTALL
	for rationale.

2008-12-13  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (install-arch-indep): Add new man-pages.
	(manext): Remove variable.
	(MAN_PAGES): New variable.
	(install-arch-indep, uninstall): Use MAN_PAGES for list of files to add
	and remove.
	(uninstall): Remove desktop file and icons, game scores if empty.

2008-12-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2008-12-10  Dan Nicolaescu  <dann@ics.uci.edu>

	* Makefile.in (install-arch-indep): Install ebrowse.1.

2008-12-09  Ali Bahrami  <ali_gnu@emvision.com>  (tiny change)

	* configure.in: Add Solaris on x86_64.

2008-12-09  Dan Nicolaescu  <dann@ics.uci.edu>

	* config.guess, config.sub: Updated from master source.

2008-12-08  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Fix last change.

2008-12-07  Eli Zaretskii  <eliz@gnu.org>

	* info/dir: Untabify.

2008-11-28  Ulrich Müller  <ulm@gentoo.org>

	* configure.in: Fix last change.

2008-11-28  Richard M Stallman  <rms@gnu.org>

	* configure.in (mips64-*-linux-gnu*, mips64el-*-linux-gnu*):
	New configurations.

2008-11-20  Josh Elsasser  <josh@elsasser.org>  (tiny change)

	* configure.in: Add hppa-*-openbsd* with machine hp800; mistakenly
	removed while misclassified as now unsupported hp9000s300.  (Bug#1365)

2008-11-15  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (INFO_FILES): Remove ns-emacs.

	* info/dir (NS-Emacs): Remove entry.

2008-11-08  Eli Zaretskii  <eliz@gnu.org>

	* INSTALL: Move MS-DOS specific instructions to msdos/INSTALL.

2008-11-07  Glenn Morris  <rgm@gnu.org>

	* configure.in (HAVE_LIB64_DIR): Check for crtn.o.  (Bug#1287)

2008-10-31  Eli Zaretskii  <eliz@gnu.org>

	* config.bat: Tell user to expect one "File not found" message
	while the `doc' directory is being configured.

2008-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* update-subdirs: Put obsolete directory last.

2008-10-30  Emanuele Giaquinta  <emanuele.giaquinta@gmail.com>

	* configure.in: Check fontconfig always.

